AngleUnits Constants

VtAngleUnits provides the valid units for measuring chart angles.

The following table lists the valid constants for VtAngleUnits:

Constants	Value	Description
VtAngleUnitsDegrees	0	Angles are measured in degrees.
VtAngleUnitsGrads	2	Angles are measured in grads.
VtAngleUnitsRadians	1	Angles are measured in radians.


Appearance Constants

VtAppearance constants can be used to determine the appearance of an object.

The following table lists the valid constants for VtAppearance.

Constant	Value	Description
VtAppearance3D	1	The object has a three-dimensional appearance.
VtAppearanceFlat	0	The object has a flat appearance.


AxisId Constants

VtChAxisId provides options for identifying a chart axis.

The following table lists the valid constants for VtChAxisId:

Constants	Value	Description
VtChAxisIdNone	4	No chart axis.
VtChAxisIdX	0	Identifies the X axis.
VtChAxisIdY	1	Identifies the Y axis.
VtChAxisIdY2	2	Identifies the secondary Y axis.
VtChAxisIdZ	3	Identifies the Z axis.


AxisTickStyle Constants

VtChAxisTickStyle provides options for indicating axis tick mark location.

The following table lists the valid constants for VtChAxisTickStyle:

Constants	Value	Description
VtChAxisTickStyleCenter	1	Tick marks are centered across the axis.
VtChAxisTickStyleInside	2	Tick marks are displayed inside the axis.
VtChAxisTickStyleNone	0	No tick marks are displayed on the axis.
VtChAxisTickStyleOutside	3	Tick marks are displayed outside the axis.


BorderStyle Constants

VtBorderStyle constants can be used to determine the border style of a chart element.

The following table lists the valid constants for VtBorderStyle.

Constant	Value	Description
VtBorderStyleFixedSingle	1	Fixed single
VtBorderStyleNone	0	No border


BrushStyle Constants

VtBrushStyle provides valid brush types.

The following table lists the valid constants for VtBrushStyle:

Constant	Value	Description
VtBrushStyleHatched	3	Hatched brush.
VtBrushStyleNull	0	No brush (background shows through).
VtBrushStylePattern	2	Bitmap patterned brush.
VtBrushStyleSolid	1	Solid color brush.


BrushPatterns Constants

VtBrushPatterns provides valid brush types if VtBrushStyle is set to VtBrushStylePattern.

The following table lists the valid constants for VtBrushPattern:

Constant	Value	Description
VtBrushPattern25percent	4
VtBrushPattern50percent	3
VtBrushPattern75percent	2
VtBrushPattern88percent	1
VtBrushPattern94percent	0
VtBrushPatternBoldDownDiagonal	7
VtBrushPatternBoldHorizontal	5
VtBrushPatternBoldUpDiagonal	8
VtBrushPatternBoldVertical	6
VtBrushPatternChecks	9
VtBrushPatternDownDiagonal	13
VtBrushPatternGrid	15
VtBrushPatternHorizontal	11
VtBrushPatternInvertedTrellis	17
VtBrushPatternTrellis	16
VtBrushPatternUpDiagonal	14
VtBrushPatternVertical	12
VtBrushPatternWeave	10


BrushHatches Constants

VtBrushHatches provides valid brush types.if VtBrushStyle is set to VtBrushStyleHatch.

The following table lists the valid constants for VtBrushHatch:

Constant	Value	Description
VtBrushHatchCount	n/a	Number of elements in this enumeration.
VtBrushHatchCross	4
VtBrushHatchDiagonalCross	5
VtBrushHatchDownDiagonal	2
VtBrushHatchHorizontal	0
VtBrushHatchUpDiagonal	3
VtBrushHatchVertical	1


ChartType Constants

VtChChartType provides chart type options.

The following table lists the valid constants for VtChChartType:

Constant	Value	Description
VtChChartType2dArea	5	2D Area.
VtChChartType2dBar	1	2D Bar.
VtChChartType2dBubble	19	2D Bubble.
VtChChartType2dCombination	9	2D Combination.
VtChChartType2dContour	24	2D Contour.
VtChChartType2dGantt	21	2D Gantt.
VtChChartType2dHiLo	20	2D Hi-Lo.
VtChChartType2dHorizontal Bar	11	2D Horizontal Bar.
VtChChartType2dLine	3	2D Line.
VtChChartType2dPie	14	2D Pie.
VtChChartType2dPolar	17	2D Polar.
VtChChartType2dRadar	18	2D Radar.
VtChChartType2dStep	7	2D Step.
VtChChartType2dXY	16	2D XY.
VtChChartType3dArea	4	3D Area.
VtChChartType3dBar	0	3D Bar.
VtChChartType3dClusteredBar	12	3D Clustered Bar.
VtChChartType3dCombination	8	3D Combination.
VtChChartType3dDoughnut	15	3D Doughnut.
VtChChartType3dGantt	22	3D Gantt.
VtChChartType3dHorizontalBar	10	3D Horizontal Bar.
VtChChartType3dLine	2	3D Line.
VtChChartType3dPie	13	3D Pie.
VtChChartType3dScatter	25	3D Scatter.
VtChChartType3dStep	6	3D Step.
VtChChartType3dSurface	23	3D Surface.
VtChChartType3dXYZ	26	3D XYZ.
VtChChartTypeCount	27	Number of elements in this enumeration


Clipboard Format Constants

VbCF provides clipboard Format Constants for drag/drop operations in First Impression.

The following table lists the valid constants for VbCF.

Constant	Value	Description
vbCFBitmap	2	Bitmap (.bmp files)
vbCFDIB	8	Device-independent bitmap (DIB)
vbCFEMetafile	14	Enhanced metafile (.emf files)
vbCFFiles	15	List of files
vbCFMetafile	3	metafile (.wmf files)
vbCFPalette	9	Color palette
vbCFRTF	-16639	Rich text format (.rtf files)
vbCFText	1	Text (.txt files)
Remarks

First Impression supports vbCFText, vbCFMetafile and vbCFDIB for drop operations to the chart. The exact format used depends on what is selected to drop. First Impression always uses vbCFMetafile for drag operations from the chart.

For more information, see the  GetFormat Method and Using Drag and Drop Functionality to Copy Data.


ContourDisplayType Constants

VtChContourDisplayType provides options for displaying chart contours.

The following table lists the valid constants for VtChContourDisplayType:

Constants	Value	Description
VtChContourDisplayTypeCBand	0	The contour is displayed with contour bands.
VtChContourDisplayTypeCLines	1	The contour is displayed with contour lines.


ContourColorType Constants

VtChContourColorType provides options for displaying contour colors.

The following table lists the valid constants for VtChContourColorType:

Type	Value	Description
VtChContourColorTypeAutomatic	0	The contour colors are displayed as the default series colors.
VtChContourColorTypeGradient	1	The contours are displayed in an even transition of color.
VtChContourColorTypeManual	2	Custom contour colors can be specified and modified by the user. (Manual colors is only available when Automatic values is unchecked.)


DateIntervalType Constants

VtChDateIntervalType provides options for displaying tick marks on a date axis.

The following table lists the valid constants for VtChDateIntervalType:

Constants	Value	Description
VtChDateIntervalTypeDaily	1	A tick mark occurs each day.
VtChDateIntervalTypeMonthly	4	A tick mark occurs on the 1st of each month.
VtChDateIntervalTypeNone	0	No Interval.
VtChDateIntervalTypeSemimonthly	3	A tick mark occurs on the 1st and 15th of each month.
VtChDateIntervalTypeWeekly	2	A tick mark occurs Monday of each week.
VtChDateIntervalTypeYearly	5	A tick mark occurs on January 1 of each year.


DragOver Constants

VtState identifies the transition state of the control being dragged in relation to a target form or control.

The following table lists the valid constants for VtState:

Constant	Value	Description
vtEnter	0	Source component is being dragged within the range of a target.
vtLeave	1	Source component is being dragged out of the range of a target.
vtOver	2	Source component has moved from one position in the target to another.


DrawMode Constants

VtChDrawMode provides options for redisplaying a chart after it has been altered.

The following table lists the valid constants for VtChDrawMode:

Constants	Value	Description
VtChDrawModeBlit	1	The chart is redrawn off screen and displayed after the redraw is complete.
VtChDrawModeDraw	0	The chart is redrawn on the screen every time you change a setting.

Blit mode stores a bitmap copy of the chart in memory when the chart is laid out.  Repainting the chart uses the bitmap and draws very quickly. It requires more memory than Draw mode, but can save time waiting for the chart to redraw on screen. Blit mode is particularly useful when working with charts that contain many elements.


DropEffect Constants

VtDropEffect provides options for exchange of data between applications during drop operations.

The following table lists the valid comstants for VtDropEffect.

Constant	Value	Description
vtOLEDropEffectCopy	1	Drop results in a copy of data from the source to the target. The original data is unaltered by the drag operation.
vtOLEDropEffectMove	2	Drop results in a link to the original data being created between drag source and drop target.
vtOLEDropEffectNone	0	Drop target cannot accept the data, or the drop operation was cancelled.
VtOLEDropEffectScroll	-2147483648	A mask to indicate that the drop target window has scrolled/would scroll.


DcType Constants

VtDcType identifies the type of context represented by HDC (a standard Windows device context).

The following table lists the valid constants for VtDcType.

Constants	Value	Description
VtDcTypeNull	0	No device context represented.
VtDcTypeDisplay	1	Sends the file to the display identified by HDC.
VtDcTypePrinter	2	Sends the file to the printer identified by HDC.
VtDcTypeMetafile	3	Saves the file in Windows Metafile format to the device identified by HDC.


FillStyle Constants

VtFillStyle provides options for indicating the type of fill used to paint a backdrop.

The following table lists the valid constants for VtFillStyle:

Constant	Value	Description
VtFillStyleNull	0	No fill (background shows through)
VtFillStyleBrush	1	A solid color or pattern fill.
VtFillStyleGradient	2	A gradient fill.


FontEffect Constants

VtFontEffect provides methods of altering fonts for the desired effect. These constants can be OR'd together.

The following table lists the valid constants for VtFontEffect:

Constant	Value	Description
VtFontEffectStrikeThrough	256	Applies the strike-through attribute to the font.
VtFontEffectUnderline	512	Applies the underscore attribute to the font.

A "regular" font effect is the absence of other effects, represented by zero.


FontStyle Constants

VtFontStyle provides valid font attribute options.

The following table lists the valid constants for VtFontStyle. These constants can be OR'd together.

Constant	Value	Description
VtFontStyleBold	1	Applies the bold attribute to the font.
VtFontStyleItalic	2	Applies the italic attribute to the font.
VtFontStyleOutline	3	Applies the outline attribute to the font.

A "regular" font style is the absence of other styles, represented by zero.


FrameStyle Constants

VtFrameStyle provides options for displaying backdrop frames.

The following table lists the valid constants for VtFrameStyle:

Constant	Value	Description
VtFrameStyleDoubleLine	2	Two equal width lines enclose the backdrop.
VtFrameStyleNull	0	No frame.
VtFrameStyleSingleLine	1	A Single line encloses the backdrop.
VtFrameStyleThickInner	3	A thick inner line and a thin outer line enclose the backdrop.
VtFrameStyleThickOuter	4	A thin inner line and a thick outer line enclose the backdrop.


GradientStyle Constants

VtGradientStyle provides methods of displaying chart gradients.

The following table lists the valid constants for VtGradientStyle::

Constant	Value	Description
VtGradientStyleHorizontal	0	The color changes from top to bottom.
VtGradientStyleOval	3	The color changes in concentric ovals from the center outwards.
VtGradientStyleRectangle	2	The color changes in concentric rectangles from the center outwards.
VtGradientStyleVertical	1	The color changes from left to right.


HorizontalAlignment Constants

VtHorizontalAlignment provides options for text alignment.

The following table lists the valid constants for VtHorizontalAlignment:

Constants	Value	Description
VtHorizontalAlignmentCenter	2	All lines of text are centered horizontally.
VtHorizontalAlignmentLeft	0	All lines of text are aligned on the left margin.
VtHorizontalAlignmentRight	1	All lines of text are aligned on the right margin.


LabelComponent Constants

VtChLabelComponent provides options for displaying chart labels.

The following table lists the valid constants for VtChLabelComponent:

Constants	Value	Description
VtChLabelComponentPercent	2	The value of the data point is displayed in the label as a percentage of the total value of the series.
VtChLabelComponentPointName	8	The data point name is used to label the data point.
VtChLabelComponentSeriesName	4	The series name is used to label the data point. This name is taken from the label associated with the column in the data grid.
VtChLabelComponentValue	1	The value of the data point appears in the label. Data points in XY, Polar, and Bubble charts actually have two or three values. The default label for these chart types display all values in a standard format. You can customize this format to highlight an individual data value if you so desire.


LabelLineStyle Constants

VtChLabelLineStyle provides options for displaying lines connecting a label and series.

The following table lists the valid constants for VtChLabelLineStyle:

Constants	Value	Description
VtChLabelLineStyleBent	2	A bent line connects the label and series.
VtChLabelLineStyleNone	0	No line connects the label and series.
VtChLabelLineStyleStraight	1	A straight line connects the label and series.


LabelLocationType Constants

VtChLabelLocationType provides options for determining series label location.

The following table lists the valid constants for VtChLabelLocationType:

Constants	Value	Description
VtChLabelLocationTypeAbovePoint	1	The label is displayed above the.data point.
VtChLabelLocationTypeBase	4	The label is displayed at the base along the category axis, directly beneath the data point.
VtChLabelLocationTypeBelowPoint	2	The label is displayed below the data point.
VtChLabelLocationTypeCenter	3	The label is displayed centered on the data point.
VtChLabelLocationTypeInside	5	The label is displayed inside a pie slice.
VtChLabelLocationTypeLeft	7	The label is displayed to the left of the data point.
VtChLabelLocationTypeNone	0	No label displayed.
VtChLabelLocationTypeOutside	6	The label is displayed outside a pie slice.
VtChLabelLocationTypeRight	8	The label is displayed to the right of the data point.

The following table lists the valid values expected for certain label types.

Kind of Label	Valid Values
Series Label	none, left, center, right.
DataPoint Label (non-pie)	none, above, below, center, base.
DataPoint Label (pie)	inside, outside, none.


LocationType Constants

VtChLocationType provides location options for chart elements.

The following table lists the valid constants for VtChLocationType:

Constants	Value	Example
VtChLocationTypeBottom	6	The chart element appears below the chart.
VtChLocationTypeBottomLeft	5	The chart element appears to the lower left of the chart.
VtChLocationTypeBottomRight	7	The chart element appears to the lower right of the chart.
VtChLocationTypeCustom	8	You may specify a custom location for the chart element
VtChLocationTypeLeft	3	The chart element appears to the left of the chart.
VtChLocationTypeRight	4	The chart element appears to the right of the chart.
VtChLocationTypeTop	1	The chart element appears above the chart.
VtChLocationTypeTopLeft	0	The chart element appears to the upper left of the chart.
VtChLocationTypeTopRight	2	The chart element appears to the upper right of the chart.


MarkerStyle Constants

VtMarkerStyle provides options for displaying datapoint markers.

The following table lists the valid constants for VtMarkerStyle:

Constants	Value	Example
VtMarkerStyle3dBall	14
VtMarkerStyleCircle	4
VtMarkerStyleDash	0
VtMarkerStyleDiamond	6
VtMarkerStyleDownTriangle	8
VtMarkerStyleFilled Square	9
VtMarkerStyleFilledCircle	11
VtMarkerStyleFilledDiamond	13
VtMarkerStyleFilledDownTriangle	10
VtMarkerStyleFilledUpTriangle	12
VtMarkerStyleNull	15	suppressed
VtMarkerStylePlus	1
VtMarkerStyleSquare	5
VtMarkerStyleStar	3
VtMarkerStyleUpTriangle	7
VtMarkerStyleX	2


MenuItem Constants

VtChMenuItem provides the context menu items for the Chart.

The following table lists the valid constants for VtChMenuItem.

Constant	Value	Description
VtChMenuItemDesigner	0	Launches the Chart Designer.
VtChMenuItemEditCopy	3	Copies data to clipboard.
VtChMenuItemEditData	1	Launched the Data Grid Editor.
VtChMenuItemEditPaste	4	Pastes data from clipboard.
VtChMenuItemLoad	7	Loads a chart file.
VtChMenuItemPrint	5	Prints a chart.
VtChMenuItemSaveAs	6	Saves a chart to a file.
VtChMenuItemWizard	2	Launches the Chart Wizard.


MousePointer Constants

VtMousePointer provides the pointer options for the mouse.

The following table lists the valid constants for VtMousePointer.

Constant	Value	Description
VtMousePointerArrow	1	Arrow pointer.
VtMousePointerArrowHourGlass	13	Arrow  and hourglass pointer.
VtMousePointerArrowQuestion	14	Arrow and question mark pointer.
VtMousePointerCross	2	Crosshair pointer.
VtMousePointerDefault	0	Default chart pointer.
VtMousePointerHourGlass	11	Hourglass (wait) pointer.
VtMousePointerIbeam	3	Ibeam pointer.
VtMousePointerIcon	4	Icon pointer.
VtMousePointerNoDrop	12	No drop pointer.
VtMousePointerSize	5	Size pointer.
VtMousePointerSizeAll	15	Size all pointer.
VtMousePointerSizeNESW	6	Size NE SW pointer.
VtMousePointerSizeNS	7	Size N S pointer.
VtMousePointerSizeNWSE	8	Size NW SE pointer.
VtMousePointerSizeWE	9	Size WE pointer.
VtMousePointerUpArrow	10	Up arrow pointer.


MouseFlag Constants

VtChMouseFlag indicates what keyboard keys being held down while the mouse button is clicked.

The following table lists valid constants for VtChMouseFlag:

Constants	Value	Description
VtChMouseFlagControlKeyDown	8	The Control key is held down when the mouse button is clicked.
VtChMouseFlagShiftKeyDown	4	The Shift key is held down when the mouse button is clicked.


OLEDrag Constants

Constants for the OLEDragMode property

The following table shows the valid constants for OLEDrag.

Constant	Value	Description
VtOLEDragAutomatic	1	OLE drag/drop will be initialized when the user drags out of the control, or under programmatic control.
VtOLEDragManual	0	OLE drag/drop will be initialized only under programmatic control.


OLEDrop Constants

Constants for the OLEDropMode property.

The following table shows the valid constants for OLEDrop.

Constant	Value	Description
VtOLEDropAutomatic	2	Accepts an OLE drag/drop without programmatic control.
VtOLEDropManual	1	Accepts an OLE drag/drop under programmatic control only.
VtOLEDropNone	0	Accepts no OLE drag/drop operations.


Orientation Constants

VtOrientation provides options for positioning text.

The following table lists the valid constants for VtOrientation:

Constants	Value	Description
VtOrientationHorizontal	0	The text is displayed horizontally.
VtOrientationVertical	1	The letters of the text are drawn one on top of each other from the top down.
VtOrientationUp	2	The text is rotated to read from bottom to top.
VtOrientationDown	3	The text is rotated to read from top to bottom.


PartType Constants

VtChPartType identifies chart elements.

The following table lists the valid constants for VtChPartType:

Constants	Value	Description
VtChPartTypeAxis	9	Identifies an axis.
VtChPartTypeAxisLabel	10	Identifies an axis label.
VtChPartTypeAxisTitle	11	Identifies an axis title.
VtChPartTypeChart	0	Identifies the chart control.
VtChPartTypeFootnote	2	Identifies the chart footnote.
VtChPartTypeLegend	3	Identifies the chart legend.
VtChPartTypePlot	4	Identifies the chart plot.
VtChPartTypePoint	7	Identifies an individual data point.
VtChPartTypePointLabel	8	Identifies a data point label.
VtChPartTypePointName	13	Identifies a data point name utilizing the grid row labels.
VtChPartTypeSeries	5	Identifies a chart series.
VtChPartTypeSeriesLabel	6	Identifies a series label.
VtChPartTypeSeriesName	12	Identifies a series name.
VtChPartTypeTitle	1	Identifies the chart title.


PercentAxisBasis Constants

VtChPercentAxisBasis provides methods of displaying percentage axes.

The following table lists the valid constants for VtChPercentAxisBasis:

Constant	Value	Description
VtChPercentAxisBasisMaxChart	0	The largest value in the chart is considered 100 percent and all other values on the chart are displayed as percentages of that value.
VtChPercentAxisBasisMaxColumn	2	The largest value in each series is considered 100 percent and all other values in that series are displayed as percentages of that value.
VtChPercentAxisBasisMaxRow	1	The largest value in each row is considered 100 percent and all other values in that row are displayed as percentages of that value.
VtChPercentAxisBasisSumChart	3	All values in the chart are added together, and that value is considered 100 percent. All other values are displayed as percentages of that value.
VtChPercentAxisBasisSumColumn	5	All values in each series are added together to give a total value for each series. All values are displayed as a percentage of their series total value.
VtChPercentAxisBasisSumRow	4	All values in each row are added together and the total value for each row is considered 100 percent. All other values in that same row are displayed as percentages of that value. This is the basis for 100 percent stacked charts.


PenCap Constants

VtPenCap provides methods for displaying line endings.

The following table lists the valid constants for VtPenCap:

Constant	Value	Description
VtPenCapButt	0	The line is squared off at the endpoint.
VtPenCapRound	1	A semicircle with the diameter of the line thickness is drawn at the end of the line.
VtPenCapSquare	2	The line continues beyond the endpoint for a distance equal to half the line thickness and is squared off.


PenJoin Constants

VtPenJoin provides options for joining line segments in a series.

The following table lists the valid constants for VtPenJoin:

Constant	Value	Description
VtPenJoinBevel	2	The notch between the ends of two joining lines is filled.
VtPenJoinMiter	0	The outer edges of the two lines are extended until they meet.
VtPenJoinRound	1	A circular arc is drawn around the point where the two lines meet.


PenStyle Constants

VtPenStyle provides options for the pen used to draw chart lines.

The following table lists the valid constants for VtPenStyle:

Constant	Value	Pattern
VtPenStyleNull	0	No pen is applied.
VtPenStyleSolid	1
VtPenStyleDashed	2
VtPenStyleDotted	3
VtPenStyleDashDot	4
VtPenStyleDashDotDot	5
VtPenStyleDitted	6
VtPenStyleDashDit	7
VtPenStyleDashDitDit	8


PictureOption Constants

VtPictureOption provides options for saving the chart as a Windows Metafile.

The following table lists the valid constants for VtPictureOption when the chart is saved as a Windows Metafile. These options can be OR'd together and passed as the argument if you desire both of the options. If you do not want either option, use zero to save the chart as a metafile with a size header.

Constants	Value	Description
VtPictureOptionNoSizeHeader	1	Does not save the Adobe Placeable header information with the metafile. Do not use this option if you intend to import the metafile into a Microsoft application such as Word or Excel. These applications expect size information to be included in metafiles.
VtPictureOptionTextAsCurves	2	Saves chart text as curves instead of text. Use this option if you are using an unusual font that may not be present on other systems that will be using the metafile. This option should also be used to properly display text if you are deforming the metafile by stretching it.
Remarks

PictureOption constants do not apply to charts saved as a BMP or JPEG graphic types.


PictureMapType Constants

VtPictureMapType describes how the picture is displayed.

The following table lists the valid constants for VtPictureMapType:

Constants	Value	Description
VtPictureMapTypeActual	0	Displays the graphic at the original size it was created.
VtPictureMapTypeFitted	1	Scales the graphic proportionally to fit within the object.
VtPictureMapTypeStretched	2	Scales the graphic to fill the object regardless of its original proportions.
VtPictureMapTypeTiled	3	Duplicates the graphic repeatedly to fill the object.
VtPictureMapTypeHorizontalTile	5	Tiles the graphic horizontally.
VtPictureMapTypeVerticalTile	6	Tiles the graphic vertically.
VtPictueMapTypeCropFitted	4	Centers the graphic and scales it proportionally to fill the object. Since the original aspect ratio is maintained, any part of the image that falls outside the object is cropped.


PictureType Constants

VtPictureType provides types of graphic files.

The following table lists the valid constants for VtPictureType:

Constants	Value	Description
VtPictureTypeNull	0	No graphic.
VtPictureTypeBMP	3	Windows bitmap.
VtPictureTypeWMF	4	Microsoft Windows MetaFile. This metafile contains Adobe placeable header information that indicates the size of the picture.
VtPictureTypeJPEG	6	Joint Photographic Experts Group graphics standard. This option will create a JPEG image with a 75% compression value. Gray-scale compression is not currently supported in this version of First Impression.


PieWeightBasis Constants

VtChPieWeightBasis provides options for displaying pie chart slices.

The following table lists the valid constants for VtPieWeightBasis:

Types	Value	Description
VtChPieWeightBasis None	0	All pies are drawn the same size.
VtChPieWeightBasisTotal	1	The slice values in each pie are totaled and the pie with the highest total identified. The size of each pie in the chart is determined by the ratio of its total value compared to the largest pie.
VtChPieWeightBasisSeries	2	The first column of data in the data grid holds the relative size index. In other words, if you have 5 categories, you can control the size of the pies representing each category by using the first column of the data grid to number the rows 1 through 5. The size of the pie is determined by the ratio of its first column value and the largest value in the first column. The pie containing the 1 is the largest pie; the one containing the 5 the smallest. It is most common to exclude this first column of data so that the values are not drawn as a pie slice.


PieWeightStyle Constants

VtChPieWeightStyle provides options for displaying individual pies within a single chart.

The following table lists the valid constants for VtChPieWeightStyle:

Constant	Value	Description
VtChPieWeightStyleArea	0	The area of the individual pies changes based on their weighting.
VtChPieWeightStyleDiameter	1	The diameter of the individual pies changes based on their weighting.


PrintOrientation Constants

VtPrintOrientation provides options for displaying the chart for printing.

The following table lists the valid constants for VtPrintOrientation:

Constant	Value	Description
VtPrintOrientationPortrait	0	The chart is printed across the short side of the paper.
VtPrintOrientationLandscape	1	The chart is rotated to print across the long side of the paper.


PrintScaleType Constants

VtPrintScaleType provides methods of scaling the chart for printing.

The following table lists the valid constants for VtPrintScaleType:

Constant	Value	Description
VtPrintScaleTypeActual	0	The chart is printed at the original size it was created.
VtPrintScaleTypeFitted	1	The chart is scaled proportionally to fit the page.
VtPrintScaleTypeStretched	2	The chart is scaled to fit the page, regardless of its original proportions.


ProjectionType Constants

VtProjectionType provides viewpoint and perspective options for displaying and viewing a chart.

The following table lists the valid constants for VtProjectionType:

Constants	Value	Description
VtProjectionTypeOblique	1	This is sometimes referred to as 2.5 dimensional. The chart does have depth, but the XY plane does not change when the chart is rotated or elevated.
VtProjectionTypeOrthogonal	2	Perspective is not applied in this 3D view. The major advantage of using this type of projection is that vertical lines remain vertical, making some charts easier to read.
VtProjectionTypePerspective	0	This provides the most realistic 3D appearance. Objects farther away from you converge toward a vanishing point. This is the default projection.


ScaleType Constants

VtChScaleType provides methods for plotting chart values and displaying the chart scale.

The following table lists the valid constants for VtChScaleType:

Constant	Value	Description
VtChScaleTypeCategory	3	Chart values are plotted in a category scale with values based on the category or series in the chart.
VtChScaleTypeDate	4	Chart values are plotted in a date scale with values based on a range of dates.
VtChScaleTypeLinear	0	Chart values are plotted in a linear scale with values ranging from the minimum to the maximum chart range value.
VtChScaleTypeLogarithmic	1	Chart values are plotted in a logarithmic scale with values based on a specific log scale set with the logBase argument.
VtChScaleTypePercent	2	Chart values are plotted in a linear scale with values based on the percentages of the chart range values.


SeriesType Constants

VtChSeriesType provides options for types of series.

The following table lists the valid series constants for VtChSeriesType:

Constant	Value	Series Type
VtChSeriesType2dArea	8	2D Area
VtChSeriesType2dBar	1	2D Bar
VtChSeriesType2dBarHiLo	28	Floating 2D Bars
VtChSeriesType2dBubble	15	Bubble
VtChSeriesType2dContour	33	2D Contour
VtChSeriesType2dDates	26	Dates
VtChSeriesType2dGantt	21	2D Gantt
VtChSeriesType2dHiLo	16	Hi-Lo
VtChSeriesType2dHLC	17	Hi-Lo Close
VtChSeriesType2dHLCRight	18	Hi-Lo-Close with Close Marker to the right.
VtChSeriesType2dHorizontalBar	3	2D Horizontal Bar
VtChSeriesType2dHorizontalBarHiLo	30	Floating 2D Horizontal Bars
VtChSeriesType2dLine	6	2D Line
VtChSeriesType2dOHLC	19	Open-Hi-Lo-Close
VtChSeriesType2dOHLCBar	20	Open-Hi-Lo-Close Bar
VtChSeriesType2dPie	24	2D Pie
VtChSeriesType2dPolar	12	Polar
VtChSeriesType2dRadarArea	14	Radar Area
VtChSeriesType2dRadarLine	13	Radar Line
VtChSeriesType2dStep	10	2D Step
VtChSeriesType2dXY	11	XY
VtChSeriesType3dArea	7	3D Area
VtChSeriesType3dBar	0	3D Bar
VtChSeriesType3dBarHiLo	27	Floating 3D Bars
VtChSeriesType3dClusteredBar	4	3D Clustered Bar
VtChSeriesType3dClusteredBarHiLo	31	Floating 3D Clustered Bars
VtChSeriesType3dDoughnut	25	Doughnut
VtChSeriesType3dGantt	22	3D Gantt
VtChSeriesType3dHorizontalBar	2	3D Horizontal Bar
VtChSeriesType3dHorizontalBarHiLo	29	Floating 3D Horizontal Bars
VtChSeriesType3dLine	5	3D Line
VtChSeriesType3dPie	23	3D Pie
VtChSeriesType3dStep	9	3D Step
VtChSeriesType3dSurface	32	3D Surface
VtChSeriesType3dXYZ	34	3D XYZ
VtChSeriesTypeCount	35	Number of elements in this enumeration
VtChSeriesTypeDefault	-1	Default
VtChSeriesTypeVaries	-2	Used by UI to describe combo charts


ShadowStyle Constants

VtShadowStyle provides shadow options.

The following table lists the valid constants for VtShadowStyle:

Constant	Value	Description
VtShadowStyleNull	0	No shadow.
VtShadowStyleDrop	1	Drop shadow.


SmoothingType Constants

VtSmoothingType provides methods for smoothing chart display data.

The following table lists the valid constants for VtSmoothingType:

Constant	Value	Description
VtSmoothingTypeNone	0	No smoothing is applied to the data.
VtSmoothingTypeQuadraticBSpline	2	A quadratic B-spline formula is used to determine the smoothing applied to the data. This form of smoothing results in a less-smooth curve that stays closer to the data points.
VtSmoothingTypeCubicBSpline	1	A cubic B-spline formula is used to determine the smoothing applied to the data. This form of smoothing results in a smoother curve, but varies further from the data point than a QuadraticBspline curve.


SortType Constants

VtSortType provides options for sorting pie charts.

The following table lists the valid constants for VtSortType:

Constants	Value	Description
VtSortTypeNone	0	Pie slices are drawn in the order the data appears in the data grid.
VtSortTypeAscending	1	Pie slices are drawn, in order, from the smallest to the largest slice, starting at the defined starting angle and in the defined plot direction.
VtSortTypeDescending	2	Pie slices are drawn, in order, from the largest to the smallest slice, starting at the defined starting angle and in the defined plot direction.


SsLinkMode Constants

VtChSsLinkMode provides methods for linking and maintaining a connection to a Formula One spreadsheet.

The following table lists the valid constants for VtChSsLinkMode:

Constants	Value	Description
VtChSsLinkModeOff	0	The connection to the spreadsheet is not active.
VtChSsLinkModeOn	1	The spreadsheet is active.First Impression makes no attempt to interpret the spreadsheet data. It uses the values set by the Column, Row, ColumnLabelCount, and RowLabelCount properties to determine the data grid dimensions and then fills those areas with data from the spreadsheet.
VtChSsLinkModeAutoParse	2	The spreadsheet connection is active. First Impression examines the spreadsheet data and tries to determine what is a label and what is data. It determines what it thinks the dimensions of the data grid should be and adjusts the values of the Column, Row, ColumnLabelCount, and RowLabelCount properties accordingly.


Stats Constants

VtChStats provides methods of displaying statistic lines on a chart.

The following table lists the valid constants for VtChStats:

Constant	Value	Description
VtChStatsMinimum	1	Shows the minimum value in the series.
VtChStatsMaximum	2	Shows the maximum value in the series.
VtChStatsMean	4	Shows the mathematical mean of the values in the series
VtChStatsStddev	8	Shows the standard deviation of the values in the series
VtChStatsRegression	16	Shows a trend line indicated by the values in a series.


SubPlotLabelLocationType Constants

VtSubPlotLabelLocationType provides methods for displaying the subplot label.

The following table lists the valid constants for VtSubPlotLabelLocationType:

Constants	Value	Description
VtChSubPlotLabelLocationTypeNone	0	No subplot label is displayed.
VtChSubPlotLabelLocationTypeAbove	1	The subplot label is displayed above the pie.
VtChSubPlotLabelLocationTypeBelow	2	The subplot label is displayed below the pie.
VtChSubPlotLabelLocationTypeCenter	3	The subplot label is centered on the pie.


SurfaceBaseType Constants

VtChSurfaceBaseType provides methods for displaying the base of surface charts.

The following table lists the valid constants for VtChSurfaceBaseType

Constant	Value	Description
VtChSurfaceBaseTypePedestal	0	The chart is displayed with a base that extends all the way to the surface.
VtChSurfaceBaseTypeStandard	1	The chart is displayed with a base like those in 3D bar charts.
VtChSurfaceBaseTypeStandardWithCBands	2	The chart is displayed as a standard base with contour bands on its top.
VtChSurfaceBaseTypeStandardWithCLines	3	The chart is displayed as a standard base with contour lines on its top.


SurfaceDisplayType Constants

VtChSurfaceDisplayType provides methods for displaying chart surfaces.

The following table lists the valid constants for VtChSurfaceDisplayType:

Constant	Value	Description
VtChSurfaceDisplayTypeCBands	1	The surface is displayed with contour bands.
VtChSurfaceDisplayTypeCLines	2	The surface is displayed with contour lines.
VtChSurfaceDisplayTypeNone	0	No surface is displayed.
VtChSurfaceDisplayTypeSolid	3	The surface is displayed with the surface brush.
VtChSurfaceDisplayTypeSolidWithCLines	4	The surface is displayed with the surface brush overlaid with contour lines.


SurfaceProjectionType Constants

VtChSurfaceProjectionType provides options for projecting contours above a chart surface.

The following table lists the valid constants for VtChSurfaceProjectionType:

Constant	Value	Description
VtChSurfaceProjectionTypeNone	0	No projection displayed.
VtChSurfaceProjectionTypeCBands	1	Contour bands are projected above the surface.
VtChSurfaceProjectionTypeCLines	2	Contour lines are projected above the surface.


SurfaceWireframeType Constants

VtChSurfaceWireframeType provides methods for displaying wireframe surfaces.

The following table lists the valid constants for VtChSurfaceWireframeType:

Constant	Value	Description
VtChSurfaceWireframeTypeNone	0	No wireframe is displayed.
VtChSurfaceWireframeTypeMajor	1	The wireframe is based on major divisions in the axis.
VtChSurfaceWireframeTypeMajorAndMinor	2	The wireframe is based on major and minor divisions in the axis.


TextLengthType Constants

VtTextLengthType provides options for optimizing text layout for the screen or for the printer.

The following table lists the valid constants for VtTextLengthType:

Constants	Value	Description
VtTextLengthTypeVirtual	0	Choose this constant to use TrueType virtual font metrics to optimize text layout for printing.  TrueType virtual font metrics may not be very accurate for text displayed on the screen. Text displayed on the screen may be a larger or smaller than the virtual metrics requested. Larger text may not fit where it is supposed to and part of a character, a whole character, or even in some cases words may be clipped.
VtTextLengthTypeDevice	1	Choose this constant to optimize text layout for the screen.  Text in charts laid out for screen display always fits correctly within its chart area.  The printed text is generally a bit smaller and so the text may appear in slightly different places.


TextOutputType Constants

VtTextOutputType provides methods of outputting text when you are generating a metafile.

The following table lists the valid constants for VtTextOutputType:

Constants	Value	Description
VtTextOutputTypeHardware	0	Device context type Null. Text is placed in the metafile as hardware text strings.
VtTextOutputTypePolygon	1	Device context type Metafile. Text is removed from the metafile and characters are replaced with polygons.
Remarks

Use VtTextOutputTypeHardware constant if you are generating a metafile and feel confident that the fonts contained in the chart will be readily available on all output machines. This constant places the text into the metafile as hardware text strings. The resulting metafile will be smaller and have more readible text than VtTextOutputTypePolygon.

Use VtTextOutputTypePolygon constant if you are not confident that the fonts in your chart will be available for output on the machines using the metafile. This will remove the actual text and replace the characters with polygons. Polygon-drawn text is larger and doesn't rasterize as well as the hardware text.


VerticalAlignment Constants

VtVerticalAlignment provides methods of vertically aligning text.

The following table lists the valid constants for VtVerticalAlignment:

Constants	Value	Description
VtVerticalAlignmentTop	0	All lines of text are aligned at the top margin.
VtVerticalAlignmentBottom	1	All lines of text are aligned at the bottom margin.
VtVerticalAlignmentCenter	2	All lines of text are centered vertically.


UpdateFlag Constants

VtChUpdateFlags identifies the effect of a chart update.

The following table lists the valid constants for VtChUpdateFlags :

Constants	Value	Description
VtChDisplayLegend	4	The chart legend is redrawn.
VtChDisplayPlot	1	The chart plot is redrawn.
VtChLayoutLegend	8	The chart legend is laid out.
VtChLayoutPlot	2	The chart plot is laid out.
VtChLayoutSeries	16	The chart series are laid out.
VtChNoDisplay	0	Update has no visual effect.
VtChPositionSection	32	A section of the chart is repositioned.

These flags will be OR'd together in updated events to tell the programmer what will be the results of the update. Note that VtChNoDisplay has a value of zero, so it cannot be OR'd together with the other constants.


The Chart Designer

The Chart Designer does more than just allow you to interactively design your chart. The Designer's tree view outline allows you to select multiple chart parts and set properties for all selected parts at once.

Once the Chart has been placed in the container, the Chart Designer can be accessed 3 ways:

To display the Chart Designer at Design Time:

1.	Right-click the chart control on the form.

2.	Choose Chart Designer from the context menu.

To display the Chart Designer from the menu in Edit Mode or at run time:

1.	Right-click the chart control on the form.

2.	Choose Edit from the context menu.

3.	Double click a chart element to display the chart designer. The chart designer will display all pages that apply to the chart element.

To display the Chart Designer in Edit Mode or at run time:

1.	Position your mouse pointer over the chart part you wish to access.

2.	Double-click the chart part.

The first click will activate the chart part and the second click will launch the Chart Designer.

Related Topics

Applying Changes to the Chart

Basic Rules of Chart Design

Applying Attributes to Multiple Chart Elements

Special Considerations

Selecting Chart Elements in the Designer Tree View


Applying Changes to the Chart

When using the Chart Designer, you may select options on each tab displayed for the selected chart part. You may select multiple chart parts by holding down the CTRL or shift key when selecting. This will allow you to make common attribute changes to a group of chart elements at once.

The options you select from all tabs are applied to the chart when you click either the Apply or the OK button.

Changes are not applied to the chart as you move from tab to tab. Only the Apply button, or the OK button will affect the chart.

Related Topics

The Chart Designer

Basic Rules of Chart Design

Applying Attributes to Multiple Chart Elements

Special Considerations

Selecting Chart Elements in the Designer Tree View


Basic Rules of Chart Design

One basic rule of thumb when designing charts using the Chart Designer is to remember that unless you actually modify or change an attribute on a tab, the chart is unaffected by that particular attribute. You must make some sort of change in order to "activate" the attribute so it can be applied to the chart. This feature enhances the Chart Designer's natural ability to apply attributes selectively.

Related Topics

The Chart Designer

Applying Changes to the Chart

Applying Attributes to Multiple Chart Elements

Special Considerations

Selecting Chart Elements in the Designer Tree View


Applying Attributes to Multiple Chart Elements

The Chart Designer is intelligent enough to apply common attributes to multiple chart elements as well as track the individual attributes of each element. This concept is most apparent when you have multiple chart elements selected and apply a number of attributes to them.

For example, suppose you select the chart title, legend and footnote, and make them all visible from the location tab. Then, you apply a horizontal gradient backdrop with a blue pattern color to all of them at once. Next, suppose you select only the footnote, and change the gradient color from blue to green. Finally, if you select all three elements once again, and attempt to change the gradient from horizontal to oval, you will notice that the pattern color no longer appears in the tab. That's because all three elements no longer have the same pattern color in common.

Related Topics

The Chart Designer

Applying Changes to the Chart

Basic Rules of Chart Design

Special Considerations

Selecting Chart Elements in the Designer Tree View


Special Considerations

Axis Titles deserve special consideration when you are modifying them via the Chart Designer. In order to place axis titles on your chart, you must edit or modify the default axis title text that exists in the Text tab, then click the Apply button.

Related Topics

The Chart Designer

Applying Changes to the Chart

Basic Rules of Chart Design

Applying Attributes to Multiple Chart Elements

Selecting Chart Elements in the Designer Tree View


Selecting Chart Elements in the Designer Tree View

The Designer's tree view outline provides you the freedom to select either a specific chart element or multiple chart elements in order to set properties. The key to working in the Chart Designer is understanding how to select individual and multiple chart elements and how the changes you make in the designer affect those selected parts.

To select a single chart element:

Click once on the element in the tree view.

To select multiple chart elements:

Hold down the CTRL key while clicking once on each element you wish to select.

Select one of the following chart elements to learn more about selection in the Chart Designer tree view.

Chart	Plot	Chart Title, Footnote, and Legend
Axes	Axis Titles	Axis Labels
Series and Datapoints	Datapoint Labels	Series Labels
Related Topics

The Chart Designer

Applying Changes to the Chart

Basic Rules of Chart Design

Applying Attributes to Multiple Chart Elements

Special Considerations


Selecting the Chart and Plot in the Chart Designer

To select the chart element in the Designer tree view, simply click once on Chart and the tabs relevant to the chart design will appear.

It is important to note that you declare the type of chart you wish to design in the Type tab available when you have Chart selected; however, you make most of your design choices in the tabs available when you have the Plot selected.

To select the chart plot element in the Designer tree view, simply click once on Plot and the tabs relevant to the plot design will appear.


Selecting the Chart Title, Footnote, Legend in the Chart Designer

To select the title, footnote or legend elements in the Designer tree view, simply click once on title, footnote or legend and the tabs relevant to their design will appear.

The title, footnote and legend elements share four common tabs, so it makes sense that you might want to set some common attributes for all of these chart elements at once. An example of setting a common attribute would be to set an identical font style and size for the chart title, footnote and legend.

To select multiple chart elements, hold down on the CTRL key while selecting title, footnote and legend from the tree view. Then simply make the desired design choices from the available tabs.


Selecting Axes in the Chart Designer

In the Chart Designer tree view you can select a specific axis for a chart or you can select all axes and set common attributes from the available tabs.

To select multiple chart elements, hold down on the CTRL key while selecting the axes from the tree view. Then simply make the desired design choices from the available tabs.

It is important to note that not all chart types contain all axes. Some charts, for example do not have a Z axis. In addition, depending on the type of data in your chart, your axis may be one of three possible scale types: Category, Value or Date scale. For information regarding the kind of axes your chart will contain, see the Axis Types Table..


Selecting Axis Titles in the Chart Designer

In the Chart Designer tree view you can select a specific axis title for a chart or you can select all axis titles and set common attributes from the available tabs.

To select multiple chart elements, hold down on the CTRL key while selecting the axis titles from the tree view. Then simply make the desired design choices from the available tabs.

Note: In order to place axis titles on your chart, you must edit or modify the default axis title text that exists in the Text tab, then click the Apply button.


Selecting Axis Labels in the Chart Designer

In the Chart Designer tree view you can select a specific axis label for a chart or you can select all axis labels and set common attributes from the available tabs.

To select multiple chart elements, hold down on the CTRL key while selecting the axis labels from the tree view. Then simply make the desired design choices from the available tabs.

It is important to note that not all chart types contain all axes. Some charts, for example do not have a Z axis. In addition, depending on the type of data in your chart, your axis may be one of three possible scale types: Category, Value or Date scale. Category axes have text labels identifying the category or series in the chart. Value axes display numbers as values or percents. Date axes display a range of dates.

For information regarding the kind of axes your chart will contain, see the Axis Types Table..

For more information regarding valid formats for axis labels, see The Format Tab .


Selecting Series and Datapoints in the Chart Designer

The following illustration identifies what chart elements are affected when you select a particular series or datapoint tree view level.

Selecting the Series level will allow you to make changes to the attributes that all the series in the current chart have in common.

Selecting an individual series (such as C1) will allow you to make changes to the attributes for a specific series.

Selecting a default datapoint will allow you to make default settings for all datapoints in a series. Any datapoint that does not have any custom settings inherits the settings of the default datapoint.

Selecting an individual datapoint will allow you to make custom changes to a specific datapoint within a series.


Selecting Datapoint Labels in the Chart Designer

Selecting an individual datapoint label (such as R1) for a specific series (such as C1) will allow you to make custom changes to a specific datapoint label within a series.

Selecting a specific default datapoint label will allow you to make default settings for all datapoint labels in a particular series. Any datapoint that does not have any custom settings inherits the settings of the default datapoint label.

Selecting all default datapoint labels (Datapoint Labels) for each series will allow you to make default settings for all datapoint labels in all series. Any datapoint that does not have any custom settings inherits the settings of the default datapoint labels.

Selecting multiple datapoint labels (such as R1) for multiple series (such as C1and C2) will allow you to make custom changes to the selected datapoint labels for each series.

A multiple selection of all datapoint labels (such as R1-R5) for all series (such as C1-C4) will allow you to make custom changes to all the selected datapoint labels. It is important to note that this is considered a custom datapoint label, and would therefore, override any default datapoint label attributes.


Selecting Series Labels in the Chart Designer

In the Chart Designer tree view you can select a specific series label for a chart or you can select multiple series labels and set common attributes from the available tabs.

To select multiple chart elements, hold down on the CTRL key while selecting the series labels from the tree view. Then simply make the desired design choices from the available tabs.


Designer Chart Type Tab

This tab applies to the following chart elements: Chart.

Click on the check boxes, drop down lists and buttons of this tab to learn what they do. Click on a tab to view another designer page.


Chart radio buttons

Select the 2D radio button to display a list of the 2D chart types in the Chart Type list box. Select the 3D radio button to display the 3D chart types.


Chart Type list box

Select a type from the list.


Reset Chart to Defaults Button

Click this button to reset the chart to default settings.


Layout Text Buttons

For Printing

Choose this radio button to use TrueType virtual font metrics to optimize text layout for printing. TrueType virtual font metrics may not be very accurate for text displayed on the screen. Text displayed on the screen may be larger or smaller than the virtual metrics requested.  Larger text may not fit where it is supposed to and part of a character, a whole character, or even in some cases words may be clipped.

For Display

Choose this radio button to optimize text layout for the screen. Text in charts laid out for screen display always fits correctly within its chart area.  The printed text is generally a bit smaller and so the text may appear in slightly different places.


Data In Rows Check Box

Click this to read series data from data grid rows rather than columns.


Ok Button

Applies changes to the chart and dismisses the dialog.


Cancel Button

Dismisses the dialog without applying changes.


Apply Button

Applies changes to the chart without dismissing the dialog


Help Button

Displays this Help screen.


Designer Backdrop Tab

This tab applies to the following chart elements: Chart, Axis Label, Axis Title, Datapoint Label, Footnote, Axis Label, Legend, Plot, Series Label, Title.

If you have selected a default datapoint label, these options will apply to all non-custom datapoint labels. If you have selected a specific datapoint label, these options will apply to that datapoint label only and will override any default datapoint label settings.

Click on the check boxes, drop down lists and buttons of this tab to learn what they do. Click on a tab to view another designer page.


No Fill radio button

The chart control or chart elements have no fill, so any formatting applied to the surface behind them shows through. A picture can still be applied to a element with no fill.


Brush list box

Click the list box to display the pattern picker. Click one of the patterns to fill the object.


Gradient radio button and list box

Click on the radio button and select a gradient type from the list box.


Pattern/To Color list box

Click the control to display the color picker. Choose a predefined color or choose custom to display the custom color palette.

The pattern color is used to draw the pattern color on top of the fill color.

For a gradient fill, use the Pattern/To Color list box to specify the color used as the bottom color in a horizontal gradient, the right color in a vertical gradient, and the outer color in a rectangle or oval gradient.


Custom Color Palette

The custom color palette displays whenever you select the custom color option in a Chart Designer or Properties dialog.

From the custom color palette, you can create a custom color, or select a system color for your chart part.


Color Picker


Fill/From Color list box

Click the control to display the color palette. Choose a predefined color or choose custom to display the custom color palette.

The fill color is used to create a solid pattern that serves as the background color behind a pattern.

For a gradient fill, use the Fill/From Color list box to specify the color used as the top color in a horizontal gradient, the left color in a vertical gradient, and the center color in a rectangle or oval gradient.


Frame Section

Style. Select a frame style from the list box.

Width. Enter the number of points to be used as the width for the frame lines. A point is 1/72 of an inch. For the Thick Inner and Thick Outer frames, the width sets the thick line.

Color. Select a color for the frame lines from the Color palette or choose custom to display the custom color palette.

Shadow. Select this check box to place a shadow on the frame.

Shadow Offset. Specify the number of points the shadow is offset from the frame.


Designer Picture Tab

This tab applies to the following chart elements: Axis Title, Datapoint, Datapoint Label, Footnote , Axis Label, Legend, Plot, Title, Chart, Series Label.

If you have selected a default datapoint or datapoint label, these options will apply to all non-custom datapoints and datapoint labels. If you have selected a specific datapoint or datapoint label, these options will apply to that datapoint or datapoint label only and will override any default datapoint or datapoint label settings.

Click on the check boxes, drop down lists and buttons of this tab to learn what they do. Click on a tab to view another designer page.

Note

Although the pictures can be used to display many chart parts, any chart part that is rendered in 3D perspective does not support pictures. This includes 3D bars, 3D axis labels backdrops, 3D axis title backdrops, 3D datapoint label backdrops and 3D markers.

Backdrops for chart, plot, title, footnote and legend on 3D charts can support pictures because these chart parts are not rendered in 3D perspective.


Picture Clear Button

Click this button to clear an existing picture from the backdrop. Some graphics files can be very large. In order to minimize performance problems , it is recommended that you always clear one picture from the backdrop before specifying a new one. This prevents the system from having to deal with two large graphics files simultaneously.


Picture Paste Button

Click this button to paste a .wmf or .bmp file from the clipboard into the current backdrop. You can also paste a graphic into an existing backdrop by selecting the backdrop on the screen and selecting the Paste command from the floating menu. Select the graphic file you want to paste into the backdrop and Click OK.


Picture Browse Button

Click Browse to display a standard Open dialog box. Select the file to display and click OK. The pathname and file then appear in the File text box and a preview of the graphic appears in the Picture control.


Picture File Text Box

To add a picture to the backdrop, type the full path to the graphic file in the File text box or press the Browse button to display an Open dialog box. When you specify a valid path, a preview of the graphic appears in the dialog box.


Embed Picture Radio Button
Embed Picture

Select the Embed check box to save the picture file with the chart  Embedding a picture with a chart will increase the size of the chart file. This is not recommended unless the chart size is of little consequence to your application.


Picture display box

This control displays a preview of the graphic. When you enter a valid path and file name into the File text box, or paste a graphic from the clipboard, the picture is previewed in the Picture control.


Picture Fit radio buttons
Picture Size

Choose one of these options to determine how to fit the graphic into the backdrop space.

The following table lists the options for fitting graphics.

Constant	Description
Actual Size	Displays the graphic at the original size it was created. If the original size of the graphic is too large , the graphic is cropped. If the original size of the graphic is too small, it is centered.
Best Fit	Scales the graphic proportionally to fit entirely within the backdrop.
Stretch to Fit	Scales the graphic to fit backdrop regardless of its original proportions.
Tiled	Duplicates the graphic repeatedly to fill the backdrop.
Crop Fitted	Centers the graphic and scales it proportionally to fill the backdrop. Any part of the image that falls outside the backdrop is cropped.


 Designer Layout Tab

This tab applies to the following chart elements: Axis Label, Axis Title, Datapoint Label, Footnote, Series Label, Title.

If you have selected a default datapoint label, these options will apply to all non-custom datapoint labels. If you have selected a specific datapoint label, these options will apply to that datapoint label only and will override any default datapoint label settings.

Click on the check boxes, drop down lists and buttons of this tab to learn what they do. Click on a tab to view another designer page.


Horizontal Alignment radio buttons
Horizontal Alignment buttons

Click the appropriate button to align text horizontally.

The following table describes the horizontal alignment options for text.

Alignment	Description
Left	All lines of text are aligned on the left margin.
Center	All lines of text are centered horizontally.
Right	All lines of text are aligned on the right margin.


Vertical Alignment radio buttons
Vertical Alignment buttons

Click the appropriate button to align text vertically.

The following table describes the vertical alignment options for text.

Alignment	Description
Top	All lines of text are aligned at the top margin.
Center	All lines of text are centered vertically.
Bottom	All lines of text are aligned at the bottom margin.


Orientation radio buttons
Orientation buttons

Click the appropriate button to set the desired orientation options.

The following table describes the orientation options for text.

Orientation	Description
Horizontal	The text is displayed horizontally.
Up	The text is rotated to read from bottom to top.
Vertical	The text is displayed, one letter on top of each other, reading from top to bottom.
Down	The text is rotated to read from top to bottom.
Note    When you rotate text up or down, the vertical and horizontal alignment are still relative to the text and not to the bounding box. In other words, text displayed with up orientation and left alignment is actually flush against the bottom of the bounding box, not the left side.


Word Wrap check box

Check this box to wrap any text that is too long to fit on one line of the bounding box. You can also insert line breaks manually by pressing CTRL + ENTER anywhere in the text.


Designer Text Tab

This tab applies to the following chart elements: Axis Title, Datapoint Label, Footnote, Series Label.

If you have selected a default datapoint label, these options will apply to all non-custom datapoint labels. If you have selected a specific datapoint label, these options will apply to that datapoint label only and will override any default datapoint label settings.

Click on the check boxes, drop down lists and buttons of this tab to learn what they do. Click on a tab to view another designer page.

Note: In order to place axis titles on your chart, you must edit or modify the default axis title text that exists in the Text tab, then click the Apply button.

Line, Area, Step, XY, Polar and Radar charts support series labels.


Text box

Enter the text to be displayed by the chart element you are formatting. Use Ctrl+Enter to manually insert line breaks. If you wish to wrap text that exceeds the width of the bounding box, you will need to set the word wrap option on the Layout tab.


Designer Font Tab

This tab applies to the following chart elements: Axis Title, Datapoint Label, Footnote, Axis Label, Series Label, Title, Legend.

If you have selected a default datapoint label, these options will apply to all non-custom datapoint labels. If you have selected a specific datapoint label, these options will apply to that datapoint label only and will override any default datapoint label settings.

Click on the check boxes, drop down lists and buttons of this tab to learn what they do. Click on a tab to view another designer page.

Line, Area, Step, XY, Polar and Radar charts support series labels.


Font list box

Select a font from the list of fonts installed on your Windows system.


Font Style list selection box

Select a style from the list of supported styles for the font you selected.


Size list box

Select a size from the list of valid sizes for the font you selected. You can also type a valid size in the Size text box.


Effects check box

Check either or both the Strikeout and Underline check boxes to apply those effects to the text.


Sample display box

As you make selections from the other controls in this dialog box, the sample is updated to reflect the changes.


Color list box

Click the control to display the Color Picker. Select one of the predefined colors from the color palette or select custom to display the custom color palette .


Designer Location Tab

This tab applies to the following chart elements: Footnote, Legend, Title.

Click on the check boxes, drop down lists and buttons of this tab to learn what they do. Click on a tab to view another designer page.


Visible check box

Click here to display the chart element.


Location radio buttons

Click on one of these buttons to position the chart element.


Custom Location radio button and text boxes

Click here to manually enter a custom location for the chart element, then enter the appropriate value for the following location settings:

Top:   The top of the chart element.

Left:   The left edge of the chart element.

Height:   The height of the chart element.

Width:   The width of the chart element.


Designer Position Tab

This tab applies to the following chart elements: Plot.

Click on the check boxes, drop down lists and buttons of this tab to learn what they do. Click on a tab to view another designer page.


Automatic Location check box

Check this box if you want the chart to automatically position the plot. Uncheck this box if you want to select a custom position for the chart plot.


Custom Location check box and text boxes

Click here to manually enter a custom location for the chart plot position, then enter the appropriate value for the following location settings:

Top:   The top of the plot.

Left:   The left edge of the plot.

Height:   The height of the plot.

Width:   The width of the plot.


Designer Other Tab

This tab applies to the following chart elements: Plot.

Click on the check boxes, drop down lists and buttons of this tab to learn what they do. Click on a tab to view another designer page.


Clockwise check box

Check this box to draw pie, doughnut, polar, and radar charts in a clockwise direction. Uncheck the box to draw the charts in a counterclockwise direction.


Starting Angle text box

Enter a value between 0 and 360 degrees to indicate the point on a circle at which drawing starts for pie, doughnut, polar, and radar charts. Enter 0 to indicate the 3 o’clock position. A starting angle of 90 degrees moves the starting position to 12 o’clock if the direction is set to counterclockwise, or to 6 o’clock if the direction is set to clockwise. The value is displayed in degrees, radians, or grad, depending on the setting in the Angle Units option.


Scale Angle text box

Choose where you want to display the scale on the chart. Angles are measured in the direction specified by the Clockwise check box. A value of 0 starts at the 3 o’clock position.


Angle Units pop-up menu
Angle Units list box

Choose the unit of measure for all angles in the chart. This affects the unit of measure used for: drawing the angle (Y coordinate) in a polar chart; the starting angle for polar, pie and doughnut charts; scale angle for radar and polar charts; and the rotation and elevation of 3D charts. Choose degrees, radians, or grads.


Bar Gap Ratio text box

Enter a bar gap value between 10,000 and -100. The default bar gap of 50 percent places a space between each bar that is half as wide as the bars.


X Gap Ratio text box

Enter an x gap ratio to any value between 0 and 10,000.


Z Gap Ratio text box

Enter a z gap value between 0 and 10,000.


Uniform Axes check box

Check this box to specify that the unit scale for all value axes in the current chart is uniform.


Browse Buttons

Click these buttons to browse through the available tabs for the selected chart part(s). If you click the left arrow button, you will scroll through the tabs to the left. If you click the right arrow button, you will scroll through the tabs to the right.


Designer Walls Tab

This tab applies to the following chart elements: Plot.

Click on the check boxes, drop down lists and buttons of this tab to learn what they do. Click on a tab to view another designer page.


Wall Width text box

Enter the number of points for the wall width.

This control only affects 3D charts.


Wall Pen section

Use these controls to format the lines used to draw the wall edges.

Style. Select a line style for the lines that frame the walls or base.

Width. Select a width for the lines that frame the walls or base.

Color. Click the control to display the Color palette. Select one of the predefined colors to draw the lines that make up the walls or select custom to display the custom color palette.


Wall Fill section

Use these controls to specify the colors and patterns used to draw the walls of a chart.

Pattern. Click the control to display the pattern picker. Select one of the patterns, click None to have no pattern on the object, or click Solid to use only the fill color to fill the object.

Fill Color and Pattern Color. Click any of these controls to display the Color Picker.

The pattern color is used to draw the pattern over the fill color if any pattern other than solid is selected.

Select one of the predefined colors from the palette or select custom to display the custom color palette.


Designer 3D Lighting Tab

This tab applies to the following chart elements: Plot.

Click on the check boxes, drop down lists and buttons of this tab to learn what they do. Click on a tab to view another designer page.


Ambient light text box

Enter a number between 0 and 100 percent to specify the amount of ambient lighting to apply to the chart.

If ambient light is set to 100 percent, all sides of the chart elements are illuminated equally no matter what light sources you turn on. If ambient light is set to 0, only the sides of chart elements facing the active light sources are illuminated. The default setting for ambient light is 15 percent.


Edge Intensity check box and text box

Check the box to turn edge lighting on. Uncheck the box to turn edge lighting off. Enter a number between 0 and 100 percent to specify the amount of lighting applied to the edges of 3D objects such as bars, lines, pies or doughnuts.

An edge light intensity of 0 draws the edges as black lines. An edge light intensity of 100 percent fully illuminates the edges using the edge pen’s color. The default edge pen color is the same as the series fill color.


Light sources text boxes

For each of the light sources, enter a value between 0 and 100 percent. At an intensity of 100 percent, chart surfaces perpendicular to the light source are fully illuminated. At an intensity of 50 percent, these surfaces receive 50 percent illumination from this light. A setting of 0 turns off the light source.


Designer 3D View Tab

This tab applies to the following chart elements: Plot.

Click on the check boxes, drop down lists and buttons of this tab to learn what they do. Click on a tab to view another designer page.


Elevation text box

Enter a number between 0 and 90 degrees in this control to describe the relative height from which a chart is viewed. If you set the elevation to 90, you look directly down on the top of the chart. If you set the elevation to 0, you look directly at the side of the chart. If you are using an angle measurement other than degrees, enter the proper equivalents. The default elevation is 30 degrees.


Rotation text box

Enter a number between 0 and 360 degrees to specify the angle that the chart is turned from the viewer. If you are using an angle measurement other than degrees, enter the proper equivalents. Rotation does not apply to 3D pie or doughnut charts.


Projection pop-up menu
Projection list box

Select a projection type from the list box.

Projection	Description
Oblique	This is sometimes referred to as 2.5 dimensional. The chart has depth, but the XY plane does not change when the chart is rotated or elevated.
Orthogonal	Perspective is not applied to the chart. The advantage of using this type of projection is that vertical lines remain vertical, making some charts easier to read.
Perspective	This provides the most realistic 3D appearance. Objects farther away from you converge toward a vanishing point.


Width to Height and Depth to Height Ratio text boxes

Enter the number representing the percentage of the chart's height used to draw the chart's width and depth.


Viewing Distance text box

Enter a positive number that represents the distance from which the chart is viewed as a percentage of the depth of the chart.


Designer Base Tab

This tab applies to the following chart elements: Plot.

Click on the check boxes, drop down lists and buttons of this tab to learn what they do. Click on a tab to view another designer page.


Base Height text box

Enter the number of points for the base height.

This control only affects 3D charts.


Base Fill section

Use these controls to specify the colors and patterns used to draw the base of a chart.

The Base Fill is not used for a 2D chart.

Pattern. Click the control to display the pattern picker. Select one of the patterns, select None to have no pattern on the object, or select Solid to use only the fill color to fill the object.

Fill Color and Pattern Color. Click any of these controls to display the color palette .

The pattern color is used to draw the pattern over the fill color if any pattern other than solid is selected.

Select one of the predefined colors or select custom to display the custom color palette.


Base Pen section

Use these controls to format the lines used to draw the base . The Base Pen is not used on 2D charts.

Style. Select a line style for the lines that frame the walls or base.

Width. Select a width for the lines that frame the walls or base; or, select Custom to specify your own line width.

Color. Click the control to display the olor palette. Select one of the predefined colors to draw the lines that make up the base or walls; or select custom to display the custom color palette.


Designer Bubble Tab

This tab applies to the following chart elements: Plot.

Click on the check boxes, drop down lists and buttons of this tab to learn what they do. Click on a tab to view another designer page.


Series Size Basis Buttons

These radio buttons determine how series data determines the relative size of bubbles drawn on a bubble chart. Bubble charts require 3 columns of data, with the third column determining relative bubble size.

Select the Bubble Area radio button to use the series value as the relative bubble area.

Select the Bubble Diameter radio button to use the series value as the relative diameter of each bubble.

When bubbles are drawn on the chart, each of the series values are used to draw bubbles in relation to one another depending on the value of Largest Bubble Ratio. If the largest bubble ratio is set to 50, then 50 percent of the shortest chart axis length is used as the diameter or area of the largest bubble. With Bubble Area checked, a value of 7 would produce a bubble with approximately half the area of a bubble with a value of 14. With Bubble Diameter checked, a value of 7 would produce a bubble with approximately half the diameter of a bubble with a value of 14.


Largest Bubble Ratio text box

This setting controls the appearance of bubbles in a bubble chart. Largest Bubble Ratio describes the percentage of the shortest chart axis length that is used as the diameter or area of the largest bubble. All other values are then sized in their relationship to the largest bubble.

Enter a value of 2 to 50 in the text box for this option.

If Largest Bubble Ratio is set to 50, and Bubble Diameter is checked, then 50 percent of the shortest chart axis length is used as the diameter of the largest bubble.

If Largest Bubble Ratio is set to 50, and Bubble Area is checked, then 50 percent of the shortest chart axis length is used as the area of the largest bubble.


Designer Elevation Tab

This tab applies to the following chart elements: Plot.

Click on the check boxes, drop down lists and buttons of this tab to learn what they do. Click on a tab to view another designer page.


Surface Style list box

This option controls how the surface itself is represented on a 3D surface chart. Select one of the following options:

Type	Description
None	The surface data is represented exclusively by a wireframe.
Bands	The surface displays changes in data with contour bands.
Lines	The surface is represented by a wireframe and displays changes in data with contour lines.
Solid	The surface is drawn with a solid color.
Solid with Lines	The surface is drawn with a solid color. Changes in data are indicated by contour lines super imposed on the solid color.


Surface Color picker

Surface color applies to both surface and contour charts and controls the color used to draw solid chart surfaces.

Select the color from the color palette or select custom to display the custom color palette .


Wireframe Style list box

This wireframe option controls the appearance of the wireframe drawn upon a surface chart. Select one of the following options:

Type	Description
None	The surface is represented by the surface color only.
Major	The wireframe indicates the original data grid values.
Major and Minor	The wireframe is drawn upon the surface along the original data grid values and any additional rows or columns generated by the smoothing process.


Wireframe Color picker

Wireframe color controls the color used to draw the wireframe for 3D surface charts.

Select the color from the color palette or select custom to display the custom color palette .


Wireframe Width picker

Wireframe width controls the width of the line used to draw the wireframe for 3D surface charts.


Base list box

This option controls how the base of a surface chart is represented. Select one of the following options:

Type	Description
Pedestal	The base is displayed as a solid area that rises up to meet the surface.
Standard	The base is displayed as a flat area beneath the chart surface.
Bands	The base reflects the chart’s contours as a series of contour bands.
Lines	The base reflects the chart’s contours as a series of contour lines.


Projection list box

This option displays a planar contour chart projected above a surface chart. Select one of the following projection methods:

Method	Description
None	No projection is displayed above the chart.
Bands	The planar chart reflects the chart’s contours in contour bands.
Lines	The planar chart reflects the chart’s contours in contour lines.


Separate Contour Data check box

A contour chart displays only contour data, but a surface chart can display both contouring and elevation data. Uncheck this checkbox to use all data in the data grid for both contouring and elevation. Check this checkbox to provide separate contour and elevation data. When this checkbox is checked, the data grid is divided vertically between columns into two equal subranges of data. The left subrange contains elevation data, and the right subrange contains contouring data.

When Separate Contour Data is enabled, a surface chart will display surface contours that do not necessarily conform to the shape of the surface. For example, a surface chart displaying separate contour and elevation data might depict snowfall across a mountain range.


Designer Contour Tab

This tab applies to the following chart elements: Plot.

Click on the check boxes, drop down lists and buttons of this tab to learn what they do. Click on a tab to view another designer page.


Contour list box

To specify how contours are displayed, select one of the following options:

Type	Description
Bands	Contours are displayed as bands of color.
Lines	Contours are displayed as colored lines.


Contour Colors list box

The Colors option in the contouring tab controls how color is displayed on the chart. The following table describes the valid color types:

Type	Description
Automatic	The contour colors are displayed as the default series colors.
Gradient	The contours are displayed in an even transition of color.
Manual	Custom contour colors can be specified and modified by the user. (Manual colors is only available when Automatic values is unchecked.)


Smoothing text box

First Impression uses the bi cubic B spline formula to determine how to smooth the chart data based on the smoothing factor you specify. Enter a valid factor from  0 - 32.

The following table describes valid smoothing factors:

Factor	Description
0	The raw grid data is used with no smoothing.
1	This factor samples the spline data only at the original data grid locations.
2-32	A factor of 2 or more will break the row and column locations into the specified number of subdivisions.


Contour Value List box

The values representing each contour are displayed here. Select a value from the list to modify, label or delete a contour.


Add Contour button

Click this button to add a new contour to the list. You should enter the value and label in the Contour Value and Label text boxes before clicking the new button, otherwise, it will duplicate the selected value in the list.


Delete Contour button

Click this button to delete the selected contour value from the list


Set Contour button

Click this button to modify the selected contour value in the list. Select the contour value, make a change to the value, and click the Set button.


Contour Value text box

Enter a new contour value here.


Contour Label text box

Enter a new label for the selected contour value here. The Contour label appears in the legend.


Automatic Values Check Box

Automatic values refers to the values used to display chart contours. Check this checkbox if you wish to have each major axis division represent a separate contour. Uncheck this checkbox if you want to design your own custom contours.


Band Options list boxes

Style  Select a contour band style.

Color  Select a contour band color from the palette or select custom to display the custom color palette.


Line Options list boxes

Width  Select a contour line width.

Color  Select a contour line color from the palette or select custom to display the custom color palette.


Designer Pie Tab

This tab applies to the following chart elements: Plot.

Click on the check boxes, drop down lists and buttons of this tab to learn what they do. Click on a tab to view another designer page.


Weighting Basis list box

This setting controls the size of each pie or doughnut in relation to the other pies or doughnuts in the same chart. The following table lists the options for this setting.

Setting	Description
None	All pies and doughnuts are drawn the same size.
Pie Total	The slice values in each pie are totaled and the pie with the highest total identified. The size of each pie in the chart is determined by the ratio of its total value compared to the largest pie.
First Series	The size of a pie is determined by the relationship of values in the first series of each pie. The larger the value in the first series, the bigger the pie. It is most common to exclude this first series so that the values are not drawn as pie slices.


Weighting Radio Buttons

Select the Area radio button to weight pies and doughnuts by the area of the chart element. Select the Diameter radio button to weight pies and doughnuts by the diameter of each chart element.


Thickness Ratio text box

This setting specifies the percentage of the pie or doughnut radius that determines the height of a 3D pie or doughnut. The higher the percentage, the taller the pie or doughnut. You can enter a value between 0 and 100 percent.


Top Radius Ratio text box

This setting specifies the percentage of the pie radius that is used to draw the top of a 3D pie. A ratio of 100 draws a cylinder; values less than 100 result in a tapering of the top of the pie. A value of 0 results in a cone.


Interior Ratio text box

This setting describes the ratio of the entire doughnut size that is used to display the interior "hole" of the doughnut. You can enter any number between 0 percent and 100 percent for this setting.


Sides text box

This setting controls the number of sides used to draw a doughnut. More sides give the doughnut a rounder, smoother appearance. If you enter a value of 1 in this option, First Impression determines the number of sides needed to draw a round doughnut based on the size of the doughnut. The maximum value for this option is 360. A very large number of sides may impact performance.


Label Position text box

This setting controls where the labels for each pie or doughnut are placed on the chart. These labels are actually category labels. They use the font and backdrops defined for the X axis labels. The following table lists the options for this setting.

Setting	Description
None	No label is displayed.
Above	The label is displayed above the pie or doughnut.
Below	The label is displayed below the pie or doughnut.
Center	The label is centered on the pie or doughnut.


Sorting list box

This setting controls the order in which the slices of pie and doughnut charts are drawn. The following table lists the options for this setting.

Setting	Description
None	Pie slices are drawn in the order the data appears in the data grid.
Ascending	Pie slices are drawn from the smallest to the largest slice, starting at the defined starting angle.
Descending	Pie slices are drawn from the largest to the smallest slice, starting at the defined starting angle.


Designer Display Tab

This tab applies to the following chart elements: Labels.

Click on the check boxes, drop down lists and buttons of this tab to learn what they do. Click on a tab to view another designer page.


Automatic Rotation check box

Check this box to allow First Impression to rotate the labels if necessary to optimize the chart layout. Uncheck this box to set a specific horizontal and vertical alignment and orientation for the label text.


Standing Labels check box

On 3D charts, check this box to rotate labels up on the text baseline to stand in the Y plane. Standing text can make the labels more legible if you are viewing the chart at very low elevations. This option applies only to labels on an X or Z axis on most charts, and the Y axis on horizontal charts. Uncheck this box to return labels to their standard position in the X or Z plane.


Designer Format Tab

This tab applies to the following chart elements: Axis Labels.

Click on the check boxes, drop down lists and buttons of this tab to learn what they do. Click on a tab to view another designer page.


Label Category list

The available built-in number formats are arranged by category. Select a format category in this list to display a list of preset format strings in the Format Codes list box at right.

The following table lists the format categories and a description of what each one displays:

Format Category	Display Description
General	Displays no specific number format
Number	Displays with a thousands separator, decimal places, and different formats for negative numbers
Currency	Displays with decimal places, currency symbols, and different formats for negative numbers
Date	Displays as dates, or times and dates combined
Time	Displays as times of the day
Percentage	Displays as a percentage of 1
Fraction	Displays as fractions
Scientific	Displays in scientific format, E+


Label Format Code list

Select a format category in the Format Category list box to display a list of preset format strings in this window. Then select one of the predefined format strings to apply to your label.

For more information, see Number Formats and Date and Time Formats .

If you do not find the option you want, you can create your own custom format.


Custom Format text field
Custom Format text box

Enter valid format symbols in this text box to create your own custom format. For more information about valid format characters, see Custom Label Formats.


Number Formats

The following table lists the built-in format codes and the result if the format is applied to a positive, negative, and decimal number.

Category	Format	3	-3	.3
General	All Formats listed
Number	0	3	-3	0
	0.00	3.00	-3.00	0.30
	#,##0	3	-3	0
	#,##0.00	3.00	-3.00	0.30
	#,##0_);(#,##0)	3	(3)	0
	#,##0_);[RED](#,##0)	3	(3) in red	0
	#,##0.00_);(#,##0.00)	3.00	(3.00)	0.30
	#,##0.00_);[RED](#,##0.00)	3.00	(3.00) in red	0.30
Currency	$#,##0_);($#,##0)	$3	($3)	$0
	$#,##0_);[RED]($#,##0)	$3	($3) in red	$0
	$#,##0.00_);($#,##0.00)	$3.00	($3.00)	$0.30
	$#,##0.00_);[RED]$(#,##0.00)	$3.00	($3.00) in red	$0.30
Percentage	0%	300%	-300%	30%
	0.0%	300.0%	-300.0%	30.0%
	0.00%	300.00%	-300.00%	30.00%
Fraction	# ?/?	3	-3	2/7
	# ??/??	3	-3	3/10
Scientific	0.00E+00	3.00E+00	-3.00E+00	3.00E-01
	##0.0E+0	3.0E+0	-3.0E+0	3.0E-01


Date and Time Formats

The following table lists the built-in date and time formats available on the Formats Tab and the result of applying the format.

Category	Format	Result
Date	m/d/y	2/3/97
	dddd, mmmm, dd, yyyy	Saturday, October 4, 1997
	d/mmm/yy	4/Oct/97
	d/mmm	4/Oct
	mmm/yy	Oct/97
Time	h:mm AM/PM	3:29 PM
	h:mm:ss AM/PM	3:29:41 PM
	hh:mm AM/PM	15:29 PM
	hh:mm:ss  AM/PM	15:29:41 PM
	hh:mm	23:41
	hh:mm:ss	17:09:33
	mm:ss	58:09
	[h]:mm:ss	25.02:09
	m/d/yy h:mm AM/PM	2/3/98 3:29 PM


Custom Label Formats

The following table lists the format symbols that can be used in a custom format string. Any symbol used to create a custom format string that exactly matches another format symbol will be parsed as an escaped character. (i.e. \m).

Format Symbol	Description
General	Displays the number in General format.
0	Digit placeholder. If the number contains fewer digits than the format contains placeholders, the number is padded with 0's. If there are more digits to the right of the decimal than there are placeholders, the decimal portion is rounded to the number of places specified by the placeholders. If there are more digits to the left of the decimal than there are placeholders, the extra digits are retained.
#	Digit placeholder. This placeholder functions the same as the 0 placeholder except the number is not padded with 0's if the number contains fewer digits than the format contains placeholders.
?	Digit placeholder. This placeholder functions the same as the 0 placeholder except that spaces are used to pad the digits.
. (period)	Decimal point. Determines how many digits (0's or #'s) are displayed on either side of the decimal point. If the format contains only #'s left of the decimal point, numbers less than 1 begin with a decimal point. If the format contains 0s left of the decimal point, numbers less than 1 begin with a 0 left of the decimal point.
%	Displays the number as a percentage. The number is multiplied by 100 and the % character is appended.
, (comma)	Thousands separator. If the format contains commas separated by #'s or 0's, the number is displayed with commas separating thousands. A comma following a placeholder scales the number by a thousand. For example, the format 0, scales the number by 1000 (e.g., 10,000 would be displayed as 10).
E- E+ e- e+	Displays the number as scientific notation. If the format contains a scientific notation symbol to the left of a 0 or # placeholder, the number is displayed in scientific notation and an E or an e is added. The number of 0 and # placeholders to the right of the decimal determines the number of digits in the exponent. E- and e- place a minus sign by negative exponents. E+ and e+ place a minus sign by negative exponents and a plus sign by positive exponents.
\	Escape character. Displays the character following the backslash. The backslash is not displayed. You can also display a character or string of characters by surrounding the characters with double quotation marks (" ").
[ ]	Displays hours greater than 24, or minutes or seconds greater than 60. Place the brackets around the leftmost part of the time code; for
<, <=, >=, > or <>	Operator. Restricts a format to a range of values. For example, [<50] 0.00 would make all values less than 50 be displayed as fixed width with two decimal places.
"text"	Displays the text inside the quotation marks.
@	Text placeholder. Text replaces the @ format character.  (e.g. ***@*** becomes ***labeltext***)
m	Month number. Displays the month as digits without leading zeros (e.g., 1-12). Can also represent minutes when used with h or hh formats.
mm	Month number. Displays the month as digits with leading zeros (e.g., 01-12). Can also represent minutes when used with the h or hh formats.
mmm	Month abbreviation. Displays the month as an abbreviation (e.g., Jan-Dec).
mmmm	Month name. Displays the month as a full name (e.g., January-December).
d	Day number. Displays the day as digits with no leading zero (e.g., 1-9).
dd	Day number. Displays the day as digits with leading zeros (e.g., 01-31).
ddd	Day abbreviation. Displays the day as an abbreviation (e.g., Sun-Sat).
dddd	Day name. Displays the day as a full name (e.g., Sunday-Saturday).
yy	Year number. Displays the year as a two-digit number (e.g., 00-99).
yyyy	Year number. Displays the year as a four-digit number (e.g., 1900-2078).
h	Hour number. Displays the hour as a number without leading zeros (1-23). If the format contains one of the AM or PM formats, the hour is based on a 12-hour clock. Otherwise, it is based on a 24-hour clock.
hh	Hour number. Displays the hour as a number with leading zeros (01-23). If the format contains one of the AM or PM formats, the hour is based on a 12-hour clock. Otherwise, it is based on a 24-hour clock.
m	Minute number. Displays the minute as a number without leading zeros (0-59). The m format must appear immediately after the h or hh symbol. Otherwise, it is interpreted as a month number.
mm	Minute number. Displays the minute as a number with leading zeros (00-59). The mm format must appear immediately after the h or hh symbol. Otherwise, it is interpreted as a month number.
s	Second number. Displays the second as a number without leading zeros (0-59).
ss	Second number. Displays the second as a number with leading zeros (00-59).
AM/PM am/pm A/P a/p	12-hour time. Displays time using a 12-hour clock. Displays AM, am, A, or a for times between midnight and noon; displays PM, pm, P, or p for times from noon until midnight.
[BLACK]	Displays text in black
[BLUE]	Displays text in blue.
[CYAN]	Displays text in cyan.
[GREEN]	Displays text in green.
[MAGENTA]	Displays text in magenta.
[RED]	Displays text in red.
[WHITE]	Displays text in white.
[YELLOW]	Displays text in yellow.
[COLOR n]	Not supported in this version.
[COLOR r,g,b,]	Displays text allowing an arbitrary RGB value to be selected as the color.
Other Characters	Any character that is not interpreted as one of the above format characters is interpreted as a literal.


Designer Category Scale Tab

This tab applies to the following chart elements: Category Axes.

Click on the check boxes, drop down lists and buttons of this tab to learn what they do. Click on a tab to view another designer page.


Show Scale check box

Check this box to display the axis scale, line, ticks, and title on the axis. Uncheck the box to hide the axis elements.


Automatic Scale check box

Check this box to let First Impression scale the axis based on the data being charted. Uncheck this box to manually scale the axis based on values you provide in the Divisions Per Label and Divisions per Tick options.


Divisions Per Label text box

A value of 1 labels every division. A value greater than 1 labels the first division and skips the labels for the extra divisions.


Divisions Per Tick text box

A value of 1 places a tick mark at every division. A value greater than 1 places a tick mark at the first division and skips the tick marks for the extra divisions.


Labels On Tick Marks check box

Check this box to center each label on a tick mark. Uncheck this box to center each label between two tick marks.


Axis Tick Length text box

Enter the length of the major tick marks in points. Minor tick marks are drawn at half this length.


Axis Tick Location radio buttons

Select a style to specify the position of the tick on the axis.The following table lists the available tick position settings.

Style	Description
None	No tick marks are displayed on the axis.
Center	Tick marks are centered across the axis.
Inside	Tick marks are displayed inside the axis.
Outside	Tick marks are displayed outside the axis.


Automatic Axis Intersection check box

Check this box to have the axes intersect at their usual position. Uncheck this box to enable the Cross At and Labels Inside Plot options to specify where you want the current axis to intersect a perpendicular axis.


Cross At text box

Enter the position where you want the current axis to cross its intersecting axis. If the intersecting axis is a value axis, enter the value where you want to place the current axis. If the intersecting axis is a date or category axis, enter the division number at which you want to place the current axis.


Labels Inside Plot check box

Check this box to move the axis labels with the axis to the new intersection point. This may cause labels to display on top of the chart plot. Uncheck this box to leave the labels in their original position.Only the axis line and tick marks are drawn at the new intersection point.


Designer Value Scale Tab

This tab applies to the following chart elements: Category Axes.

Click on the check boxes, drop down lists and buttons of this tab to learn what they do. Click on a tab to view another designer page.


Show Value Scale Check Box

Check this box to display the value scale on an axis. Uncheck this box to hide the value scale on an axis.


Automatic Value Axis Scale

Check this box to let First Impression scale the axis based on the minimum and maximum values in the data being charted. Uncheck this box to manually scale the axis based on values you provide.

If you uncheck the Automatic Scale check box, the following two options are enabled so that you can enter values to be used to scale the axis.

Minimum.  Enter the lowest or beginning value for the scale.

Maximum.  Enter the highest or ending value for the scale.


Division Options

Major Divisions.  Enter the number of major divisions you want on the axis. Axis labels are only displayed on major divisions.

Minor Divisions.  Enter the number of minor divisions you want between each major division of the axis.


Designer Date Formats Tab

This tab applies to the following chart elements: Category Axes.

Click on the check boxes, drop down lists and buttons of this tab to learn what they do. Click on a tab to view another designer page.


Date Scale Format list boxes

Major Format. Select a date format to display the first level of axis labels.

You can add additional levels of labels to indicate month and year changes on the date axis.

New Month. Select a format to be used to indicate a change of month. This format will display in the second level of axis labels.

New Year. Select a format to be used to indicate a change of year. This format will display in the third level of axis labels.


Axis Label Date Formats

The following date format options are presented in the Date Formats Tab for formatting date axis labels.

Format	Result	Format	Result
None	No date	mm	Months as 01-31
d	Days as 1-31	mm/dd	01/04
dd	Days as 01-31	mm/dd/yy	01/04/97
dd-mmm	01-Jan	mm/dd/yyyy	01/04/1997
dd-mmm-yyyy	01-Jan-1987	mmm	Months as Jan-Dec
dd-mm-yyyy	01-01-1987	mmm yy	Jan 97
d-mmm	4-Jan	mmm yyyy	Jan 1997
d-mmm-yyyy	4-Jan-1987	mmmm	Months as January-December
m	Months as 1-12	mmmm yy	January 97
m/d	1/4	mmmm yyyy	January 1997
m/d/yy	1/4/97	yy	Years as 00-99
m/d/yyyy	1/4/1997	yyyy	Years as 1900-2078


Designer Date Scale Tab

This tab applies to the following chart elements: Category Axes.

Click on the check boxes, drop down lists and buttons of this tab to learn what they do. Click on a tab to view another designer page.


Show Date Scale Check Box

Check this box to display the date scale on an axis. Uncheck this box to hide the date scale on an axis.


Automatic Date Scale check box

Check this box to let First Impression scale the axis based on the minimum and maximum values in the data being charted. Uncheck this box to manually scale the axis based on values you provide.

Minimum Enter the lowest or beginning date for the axis.

Maximum. Enter the highest or ending date for the axis scale.

Major Interval and Minor Interval. For each of these intervals, enter a number to specify how many intervals pass before a tick mark is placed on the axis. Then, select an interval type from the list box.  The following table describes the interval settings:

Type	Description
None	No Interval.
Days	A tick mark occurs each day.
Weeks	A tick mark occurs Monday of each week.
Semi-months	A tick mark occurs on the 1st and 15th day of each month.
Months	A tick mark occurs on the 1st of each month.
Years	A tick mark occurs on January 1 of each year.


Skip Weekends Check Box

Check this box to not display dates that fall on weekends. Uncheck this box to display all dates regardless of day of the week.


Designer Pens Tab

This tab applies to the following chart elements: X Axes, Y Axes, 2nd Y Axes, Z Axes.

Click on the check boxes, drop down lists and buttons of this tab to learn what they do. Click on a tab to view another designer page.


Pen Options

Pen Width list box

Select a predefined width from the list, or select Custom to assign your own width.

Pen Color list box

Click the control to display the color palette. Select a predefined color, or select custom to display the custom color palette.

Pen Style list box

Click the control to display the line picker. The line picker displays the available line styles. Select the style you want to use to outline objects.


Designer Scale Type Tab

This tab applies to the following chart elements: Category Axes.

Click on the check boxes, drop down lists and buttons of this tab to learn what they do. Click on a tab to view another designer page.


Type Radio buttons

Select the type of scale you want to use on the axis. The following table describes the types of axis scaling

Type	Description
Linear	Data points are plotted in a linear scale with values ranging from the minimum to the maximum chart value. This is the default scale type.
Logarithmic	Data points are plotted in a logarithmic scale with values based on a specific log scale. Logarithmic axes are not appropriate for zero or negative data.
Percent	Data points are plotted in a linear scale as percentages of the chart values. Changing the percent basis of a chart is useful for determining overall trends in data rather than specific values.


Log Base text box

Enter the logarithm base to be used for a logarithmic scale axis.

The default base is 10.


Percent Basis list box

If you select Percent as the axis type, you can choose one of the following methods of calculating the percentages.

Percentage Type	Description
Chart Maximum	The largest value in the chart is considered 100 percent and all other values on the chart are displayed as percentages of that value.
Category Maximum	The largest value in each category is considered 100 percent and all other values in that category are displayed as percentages of that value.
Series Maximum	The largest value in each series is considered 100 percent and all other values in that series are displayed as percentages of that value.
Chart Total	All values in the chart are added together, and that value is considered 100 percent. All values in the chart are displayed as percentages of that value.
Category Total	All values in each category are added together to give a total value for each category. All values are displayed as a percentage of their category total.
Series Total	All values in each series are added together to give a total value for each series. All values are displayed as a percentage of their series total.


Designer Series Type Tab

This tab applies to the following chart elements: Series.

Click on the check boxes, drop down lists and buttons of this tab to learn what they do. Click on a tab to view another designer page.


Series Name list box

Select a series from the list.


Series Display list box

Select the series type you want to use to display data from the list.


Designer Order Tab

This tab applies to the following selected chart elements: Series.

Click on the check boxes, drop down lists and buttons of this tab to learn what they do. Click on a tab to view another designer page.


Series Order list box

Select a series you wish to change the order of.


Up Button

Moves the selected series up one position in order.


Down Button

Moves the selected series down one position in order.


Stack Button

Stacks the selected series with the preceding series.


UnStack Button

Unstacks the selected stack associated with the series.


Designer Options Tab

This tab applies to the following chart elements: Series.

Click on the check boxes, drop down lists and buttons of this tab to learn what they do. Click on a tab to view another designer page.


Hide series check box

Check this box to turn off display of the current series. The space occupied by the series is still shown on the chart, but the data is not displayed. Uncheck this box to redisplay a hidden series. In pie and doughnut charts, room is still reserved for hidden series pie slices, even though they are not displayed.


Exclude series check box

Check this box to remove a series from a chart. The data is not displayed and the space occupied by the series is removed from the chart. Uncheck this box to return an excluded series to the chart.


Plot Series On 2nd Y Axis check box

Check this box to plot the current series on the secondary Y axis instead of the primary axis. You may then want to change the scale, type, or format of the secondary axis to best display the series data. Uncheck this box to plot the data on the primary axis.


Bar Sides text box

Enter a value between 1 and 360 to indicate the number of sides for the bars. If you enter 1, First Impression determines how many sides are necessary to create a round column, given the size of the bar. The following illustration shows a number of different bar styles that can be created by changing the number of sides.


Top Ratio text box

Enter a number between 0 and 10,000 to indicate the percent of the bottom diameter used to draw the top of the bar. Values less than 100 result in a top smaller than the bottom. Values greater than 100 result in the top wider than the bottom. The following illustration shows the effects of changing the top ratio on several bars.


Show Markers check box

Check this box to display markers on the currently selected series. Uncheck this box to remove markers from the selected series.

This option is synchronized with the Show Markers check box in the Chart Designer Markers tab and can later be reversed at the datapoint level.


Automatic Markers check box

Check this box to allow First Impression to automatically assign a marker to all non-custom datapoints in a series. A non-custom datapoint is any datapoint that has no custom attributes.

Un-check this box to select your own choice of marker. Specifying a custom datapoint marker for your series at a later time will also un-check this box in the tab.


Smoothing Function list box

Select a smoothing type from the list box. The following table describes the smoothing type.

Smoothing Type	Description
None	No smoothing is applied to the data.
QuadraticBSpline	A quadratic B-spline formula determines the smoothing applied to the data. This form of smoothing results in a less-smooth curve that stays closer to the data points.
CubicBSpline	A cubic B-spline formula determines the smoothing applied to the data. This form of smoothing results in a smoother curve, but varies further from the data point than a QuadraticB spline curve.


Smoothing Factor text box

Specify the number of facets or points sampled between the chart data points to create the smoothing effect. The higher the number, the more smoothing occurs.


Gain Color color picker

Click the control to display the color palette and select the color used to indicate a gain in value.

Select a predefined color or click custom to display the custom color palette.

Select Automatic to have all elements that reflect a gain in value use the fill color defined for the series.


Loss Color color picker

Click the control to display the color palette and select the color used to indicate a loss in value.

Select a predefined color or click custom to display the custom color palette.

Select Automatic to have all elements that reflect a loss in value use the fill color defined for the series.


Designer Lines Tab

This tab applies to the following chart elements: Series.

Click on the check boxes, drop down lists and buttons of this tab to learn what they do. Click on a tab to view another designer page.


Show Series Lines check box

Check this check box to display lines on a 2D chart. Uncheck this check box to hide the lines on the chart.


Series Line Style list box

Click the control to select a style for the current line.


Series Line Width list box

Click the control to display the preset line widths. Pick a width, or select Custom to assign your own width.


Series Line Color picker

Click the control to display the color palette . Select one of the predefined colors, or select custom to display the custom color palette.


Series Line Join style list box

Select a method of joining line segments in the series. Join styles are particularly important when using thick lines.

Join Types	Description
Mitered	The outer edges of the two lines are extended until they meet.
Round	A circular arc is drawn around the point where the two lines meet.
Beveled	The notch between the ends of two joining lines is filled.
Important    Very acute mitered joins are automatically beveled to avoid drawing large spikes along the line.


Series Line Cap style list box

Select a type to specify how the ends of lines are displayed.

Cap Type	Description
Butt	The line is squared off at the endpoint.
Round	A semicircle with a diameter of the line thickness is drawn at the end of the line.
Squared	The line continues beyond the endpoint for a distance equal to half the line thickness and is squared off.


Designer Guidelines Tab

This tab applies to the following chart elements: Series.

Click on the check boxes, drop down lists and buttons of this tab to learn what they do. Click on a tab to view another designer page.


Show Guidelines check box

Check this box to display guidelines for the series. Uncheck this box to remove guidelines.


Guideline Styles list boxes

Select a Guideline style from the list of predefined styles.


Guideline Color picker

Select the color from the palette for the guideline or select custom to display the custom color palette.


Guideline Width list box

Select a width for the guideline, or click custom and set a new width.


Guidelines Cap style list box

Select a type to specify how the ends of guidelines are displayed.

Cap Type	Description
Butt	The line is squared off at the endpoint.
Round	A semicircle with a diameter of the line thickness is drawn at the end of the line.
Squared	The line continues beyond the endpoint for a distance equal to half the line thickness and is squared off.


Designer Statistics Tab

This tab applies to the following chart elements: Series.

Click on the check boxes, drop down lists and buttons of this tab to learn what they do. Click on a tab to view another designer page.


Show Statistics Lines check boxes

For each type of statistic, check the box to display the line or uncheck the box to remove the line. The following table describes each type of statistic.

Statistic Type	Description
Minimum	Shows the minimum Y value in the series.
Maximum	Shows the maximum Y value in the series.
Mean	Shows the mathematical mean of the Y values in the series.
Standard Deviation	Shows the standard deviation of the Y values in the series.
Regression	Shows a trend line indicated by the Y values in a series.


Statistics Line Styles list boxes

For each type of statistic, select a line style that uniquely identifies it.


Statistics Line Color picker

Select the color from the palette for the statistics lines that represent the current series or select custom to display the custom color palette.

If you select Automatic, the statistics line adopts the series line color.


Statistics Line Width list box

Select a width for the statistics lines, or click custom and set a new width.


Designer Style Tab

This tab applies to the following chart elements: Series Labels.

Click on the check boxes, drop down lists and buttons of this tab to learn what they do. Click on a tab to view another designer page.

Line, Area, Step, XY, Polar and Radar charts support series labels.


Series Label Location radio buttons

To display a series label on the chart, select one of the predefined positions. The following table describes the valid positions for series labels.

Positions	Description
None	Hides the label.
Left	The label is displayed to above the first data point in the series.
Center	The label is displayed above the middle data point in the series.
Right	The label is displayed above the last data point in the series.


Series Label Line Style radio buttons

To display a line connecting a label to a series it represents, select one of the Label Line Style radio buttons described in the following table.

Line Styles	Description
None	No line connects the label and series.
Line	A straight line connects the label and series.
Angle Line	An angled line connects the label and series.


Designer Fill Tab

This tab applies to the following chart elements: Datapoints.

If you have selected a default datapoint, these options will apply to all non-custom datapoints. If you have selected a specific datapoint, these options will apply to that datapoint only and will override any default datapoint settings.

Click on the check boxes, drop down lists and buttons of this tab to learn what they do. Click on a tab to view another designer page.


Series Fill Pattern picker

Click the control to display the pattern picker. Select the pattern or hatch you want to use to fill the data point.


Series Fill Color picker

The fill color is used as the color for solid patterns. It is used as the background color for any other type of pattern. By default, the line color for an element matches this fill color.

Click the control to display the color palette. Select the color you want to use. Choose custom to display the custom color palette.


Series Pattern Color picker

The pattern color is used to draw the pattern over the fill color if any pattern other than solid is selected.

Click the control to display the color palette. Select the color you want to use. Choose custom to display the custom color palette.


Edge Pen Style list box

Click the control to display the line picker. The line picker displays the available line styles. Select the style you want to use to outline objects.


Edge Pen Line Width list box

Click the control to display the available line widths. Select a width from the list or click Custom to specify your own width.


Edge Pen Color picker

Click the control to display the color palette.

Select a predefined color, or select Automatic to have the outline drawn in the same color as the object’s fill color.

You can also click custom to display the custom color palette.


Designer Markers Tab

This tab applies to the following chart elements: Datapoints.

If you have selected a default datapoint, these options will apply to all non-custom datapoints. If you have selected a specific datapoint, these options will apply to that datapoint only and will override any default datapoint settings.

Click on the check boxes, drop down lists and buttons of this tab to learn what they do. Click on a tab to view another designer page.


Show Series Markers check box

Check this box to display markers for the selected datapoint or default datapoint. Uncheck this box to remove markers from selected datapoint or default datapoint.

This option is synchronized with the Show Markers check box on the Series Options tab. Un-checking this option for the default datapoint in this tab will also disable the option for the series in the Options tab.


Series Markers Style list box

Select a marker type to identify the data points in the current series.


Series Markers Color picker

Click the control to display the color palette. Select a color for the marker or click the control to display the color picker. Select the color you want to use.

Choose custom to display the custom color palette.


Series Markers Size text box

Enter the number of points for the marker diameter.


Series Markers Pen Width list box

Select a width for the lines that form the marker, or click Custom and set your own width.


Designer Defaults Tab

This tab applies to the following chart elements: Datapoints.

Click on the check boxes, drop down lists and buttons of this tab to learn what they do. Click on a tab to view another designer page.


Reset to Datapoint Default Button

Click this button to reset the datapoint to its default settings.


Designer Appearance Tab

This tab applies to the following chart elements: Datapoint Labels.

If you have selected a default datapoint label, these options will apply to all non-custom datapoint labels. If you have selected a specific datapoint label, these options will apply to that datapoint label only and will override any default datapoint label settings.

Click on the check boxes, drop down lists and buttons of this tab to learn what they do. Click on a tab to view another designer page.


Data Point Label Location radio buttons

Choose one of nine preset locations to position data point labels. The following table lists the available locations..

Locations	Description
None	No label displayed.
Above Point	The label is displayed above the data point. This location is only valid for bar, line, area, step, XY, polar, radar, and bubble charts.
Below Point	The label is displayed below the data point. This location is only valid for bar, line, area, step, XY, polar, radar, and bubble charts.
Center	The label is displayed centered on the data point. This location is only valid for bar, line, area, and step charts.
Base	The label is displayed along the category axis, directly beneath the data point. This location is only valid for bar, line, area, and step charts.
Inside	The label is displayed inside a pie or doughnut slice.
Outside	The label is displayed outside a pie or doughnut slice.
Left	The label is displayed to the left of the data point. This location is only valid for XY, polar, radar, and bubble charts.
Right	The label is displayed to the right of the data point. This location is only valid for XY, polar, radar, and bubble charts.


Data Point Label Line Styles

Choose one of the available line styles from the list box. The following table lists the valid label line styles.

Line Styles	Description
None	No line connects the label and series.
Straight line	A straight line connects the label and data point.
Angled line	An angled line connects the label and data point.


Automatic Data Point Label check box

Check this box if you want the datapoint labels to automatically display the datapoint value.


Label Types Check Boxes

Select a label from the available label types. The label types are described in the following table. If you select more than one type, the labels are stacked on top of each other.

Value check box	The value of the data point appears in the label.
Percent check box	The value of the data point is displayed in the label as a percentage according to the axis percent basis.
Series Name check box	The series name is used to label the data point.
Data Point Name check box	The category name is used to label the data point.


Designer Value Format Tab

This tab applies to the following chart elements: Datapoint Labels.

If you have selected a default datapoint label, these options will apply to all non-custom datapoint labels. If you have selected a specific datapoint label, these options will apply to that datapoint label only and will override any default datapoint label settings.

Click on the check boxes, drop down lists and buttons of this tab to learn what they do. Click on a tab to view another designer page.


Designer Percent Format Tab

This tab applies to the following chart elements: DatapointLabels.

If you have selected a default datapoint label, these options will apply to all non-custom datapoint labels. If you have selected a specific datapoint label, these options will apply to that datapoint label only and will override any default datapoint label settings.

Click on the check boxes, drop down lists and buttons of this tab to learn what they do. Click on a tab to view another designer page.


Designer No Common Pages Tab

The No Common Pages Tab appears when the Chart Designer is unable to display tabs for the selected chart elements in the tree view. This tab may appear for any of the following reasons:

1. One or more of the selected chart elements do not share common tabs. For example, if you select unrelated chart elements such as footnote and series, the Chart Designer cannot display common tabs.

2. The Chart Designer cannot display a single tab for the selected chart element. For example, Series Labels has no designer pages.

3. The selected chart element does not apply to the current chart type. For example, if the current chart type does not have a secondary Y or Z axis, this tab will display when either axis is selected in the tree view.

Try making your selection again or limiting the number of chart parts you select.


Axis Types Table

There are three types of axes that can appear on a chart: a value axis, a category axis, and a date axis. Category axes have text labels identifying the category or series in the chart. Value axes display numbers as values or percents. Date axes display a range of dates. It is important to know the type of axis you are dealing with in each chart type, because any appropriate formatting applied to an axis is maintained when you switch to a new chart type.

The following table provides a list of the types of each axis on various chart types.

Chart Types	X	Y	2nd Y	Z
2D Bar	Category	Value	Value	N/A
2D Line	"	"	"	"
2D Area	"	"	"	"
2D Step	"	"	"	"
2D Combination	"	"	"	"
3D Bar	Category	Value	Value	Category
3D Line	"	"	"	"
3D Area	"	"	"	"
3D Step	"	"	"	"
3D Combination	"	"	"	"
2D/3D Horizontal Bar	Category	Value	N/A	N/A
2D/3D Gantt	Category	Date	N/A	N/A
XY	Value	Value	N/A	N/A
Bubble	Value	Value	N/A	N/A
Hi-Lo	Date/Category	Value	Value	N/A
Polar	Angle	Value	N/A	N/A
Radar	Radar	Value	N/A	N/A
3D Clustered Bar	Category	Value	Value	N/A
3D XYZ	Value	Value	Value	N/A
3D Scatter	Value	Value	Value	Value
2D Contour	Category	N/A	N/A	Category
3D Surface	Category	Value	Value	Category


The DataGrid Editor

You can easily modify the data in the Data Grid by using the Data Grid Editor.

To Access the Data Grid Editor

1.	Right-click the chart control on the form to display the floating menu.

2.	Choose Edit Chart Data...from the menu.

The Data Grid Editor dialog will display.

Click on the Data Grid Editor buttons to learn their function.

Related Topics:

Resizing the Data Grid

Modifying Data in the Data Grid

Adding Row and Column Labels

Modifying Row and Column Labels

The DataGrid Editor Menu

Adding a Data Grid Row

Adding a Data Grid Column

Deleting a Data Grid Row

Deleting a Data Grid Column

Adding a Column of Row Labels

Adding a Row of Column Labels

Deleting a Column of Row Labels

Deleting a Row of Column Labels


Resizing the Data Grid

Since the chart grid is initially filled with random data, you might want to start by resizing the data grid to agree with the size of the worksheet containing your data. You can resize the grid simply by indicating the correct number of rows and columns of your worksheet in the Data Grid Editor. You can also indicate the number of levels of labels the rows and columns have.

To Resize the Data Grid for 8 Rows and Columns of Data:

1.	Double-click the mouse cursor in the Rows field of the Editor dialog to select the current row value.

2.	Type the number 8.

3.	Tab to the Columns field.

4.	In the Columns field, type the number 8.

5.	Tab to exit the Columns field.

6.	You must click Apply to affect the chart. Click OK to affect the chart and dismiss the dialog.

The data grid should now display 8 columns and 8 rows. The additional column and row cells will appear empty.

Related Topics:

Modifying Data in the Data Grid

Adding Row and Column Labels

Modifying Row and Column Labels

The DataGrid Editor Menu

Adding a Data Grid Row

Adding a Data Grid Column

Deleting a Data Grid Row

Deleting a Data Grid Column

Adding a Column of Row Labels

Adding a Row of Column Labels

Deleting a Column of Row Labels

Deleting a Row of Column Labels


Modifying Data in the Data Grid

Once you have resized the data grid to accommodate your worksheet data, you are ready to modify the data in the grid.

To Modify The Data In The Grid:

1.	Use the mouse or navigation keys to select the desired cell.

2.	The cell location will be highlighted by a thick black border, indicating that the cell is active.

3.	Once the cell is active, type the new data value.

4.	The cell will display the new value and replace the previous value once you have exited the cell. You may exit the grid cell by navigational keys or the Enter key.

Related Topics:

Resizing the Data Grid

Adding Row and Column Labels

Modifying Row and Column Labels

The DataGrid Editor Menu

Adding a Data Grid Row

Adding a Data Grid Column

Deleting a Data Grid Row

Deleting a Data Grid Column

Adding a Column of Row Labels

Adding a Row of Column Labels

Deleting a Column of Row Labels

Deleting a Row of Column Labels


Adding Row and Column Labels

The Data Grid Editor provides an easy method for changing the number of  row and column labels.

To add Row Labels and Column Labels.

1.	Double-click the mouse cursor in the Row Labels field of the Editor dialog to select the current number of row labels.

2.	Type the number of desired row labels.

3.	Tab to the Column Labels field.

4.	In the Column Labels field, type the number of desired column labels.

5.	Tab to exit the Column Labels field.

Remember   You must click Apply or OK to affect the chart.

Once you have added row and column labels, you are ready to modify the row and column labels.

Related Topics:

Resizing the Data Grid

Modifying Data in the Data Grid

Modifying Row and Column Labels

The DataGrid Editor Menu

Adding a Data Grid Row

Adding a Data Grid Column

Deleting a Data Grid Row

Deleting a Data Grid Column

Adding a Column of Row Labels

Adding a Row of Column Labels

Deleting a Column of Row Labels

Deleting a Row of Column Labels


Modifying Row and Column Labels

You can change data grid labels in a few simple steps.

To Modify Row and Column Labels In The Grid:

1.	Use the mouse cursor or navigational keys to select the desired cell.

2.	The cell location will be highlighted by a thick black border, indicating that the cell is active.

3.	Once the cell is active, type the new label.

4.	The cell will display the new label and replace the previous label once you have exited the cell. You may exit the grid cell by navigational keys or the Enter key.

Related Topics:

Resizing the Data Grid

Modifying Data in the Data Grid

Adding Row and Column Labels

The DataGrid Editor Menu

Adding a Data Grid Row

Adding a Data Grid Column

Deleting a Data Grid Row

Deleting a Data Grid Column

Adding a Column of Row Labels

Adding a Row of Column Labels

Deleting a Column of Row Labels

Deleting a Row of Column Labels


The DataGrid Editor Menu

The Data Grid Editor right-click menu provide methods to simplify the data editing process.

Click on the Data Grid menu items to learn what they do.

Related Topics:

Resizing the Data Grid

Modifying Data in the Data Grid


Adding a Data Grid Row

You can insert rows in a few simple steps:

To Add a Data Grid Row:

1.	Use the mouse or navigational keys to move to the desired cell location.

2.	The cell location will be highlighted by a thick black border, indicating that the cell is active.

3.	Once the cell is active, select Add Row from the right-click menu.

4.	.Select Before to add the row above the current row or After to add the row below the current row.

Related Topics:

Adding a Data Grid Column

Deleting a Data Grid Row

Deleting a Data Grid Column

Adding a Column of Row Labels

Adding a Row of Column Labels

Deleting a Column of Row Labels

Deleting a Row of Column Labels


Adding a Data Grid Column

You can add columns in a few simple steps.

To Add a Data Grid Column:

1.	Use the mouse or navigational keys to move to the desired cell location.

2.	The cell location will be highlighted by a thick black border, indicating that the cell is active.

3.	Once the cell is active, select Add Column from the right-click menu.

4.	Select Before to add a column to the left of the current column. Select After to add a column to the right of the current column.

Related Topics:

Adding a Data Grid Row

Deleting a Data Grid Row

Deleting a Data Grid Column

Adding a Column of Row Labels

Adding a Row of Column Labels

Deleting a Column of Row Labels

Deleting a Row of Column Labels


Deleting a Data Grid Row

You can easily delete an entire row from your data grid.

To Delete a Data Grid Row:

1.	 Use the mouse or navigational keys to move to the desired cell location.

2.	The cell location will be highlighted by a thick black border, indicating that the cell is active.

3.	Once the cell is active, select Delete Row from the right-click menu.

4.	The entire data grid row will be deleted at that point, moving the row below the current cell location up to the current position.

Related Topics:

Adding a Data Grid Row

Adding a Data Grid Column

Deleting a Data Grid Column

Adding a Column of Row Labels

Adding a Row of Column Labels

Deleting a Column of Row Labels

Deleting a Row of Column Labels


Deleting a Data Grid Column

You can easily delete an entire column from your data grid.

To Delete a Data Grid Column:

1.	Use the mouse or navigational keys to move to the desired cell location.

2.	The cell location will be highlighted by a thick black border, indicating that the cell is active.

3.	Once the cell is active, select Delete Column from the right-click menu.

4.	The entire data grid column will be deleted at that point, moving the column to the right of the current cell location left one position.

Related Topics:

Adding a Data Grid Row

Adding a Data Grid Column

Deleting a Data Grid Row

Adding a Column of Row Labels

Adding a Row of Column Labels

Deleting a Column of Row Labels

Deleting a Row of Column Labels


Adding a Column of Row Labels

You can easily add an entire column of row labels.

To Add a Column of Data Grid Row Labels:

1.	Use the mouse or navigational keys to move to the desired row label location.

2.	The row label location will be highlighted by a thick black border, indicating that the cell is active.

3.	Once the cell is active, select Add Row Label from the right-click menu.

4.	Choose Before to add a column of row labels to the left of the currently selected label. Choose After to add a column of row labels to the right of  the currently selected label.

Related Topics:

Adding Row and Column Labels

Modifying Row and Column Labels

The DataGrid Editor Menu

Adding a Data Grid Row

Adding a Data Grid Column

Deleting a Data Grid Row

Deleting a Data Grid Column

Adding a Row of Column Labels

Deleting a Column of Row Labels

Deleting a Row of Column Labels


Adding a Row of Column Labels

You can easily add a row of column labels.

To Add a Row of Data Grid Column Labels

1.	Use the mouse or navigational keys to move to the desired column label location.

2.	The column label location will be highlighted by a thick black border, indicating that the cell is active.

3.	Once the cell is active, select Add Column Label from the right-click menu.

4.	Choose Before to add a row of column labels above the currently selected label. Choose After to add a row of column labels below the currently selected label

Related Topics:

Adding Row and Column Labels

Modifying Row and Column Labels

Adding a Column of Row Labels

Deleting a Column of Row Labels

Deleting a Row of Column Labels


Deleting a Column of Row Labels

You can easily delete an entire column of row labels.

To Delete a Column of Data Grid Row Labels:

1.	Use the mouse or navigational keys to move to the desired row label location.

2.	The row label location will be highlighted by a thick black border, indicating that the cell is active.

3.	Once the cell is active, select Delete Row Label from the right-click menu.

4.	The entire column of row labels will be deleted at that point in the grid, moving the existing row labels left one position.

Related Topics:

Adding Row and Column Labels

Modifying Row and Column Labels

Adding a Column of Row Labels

Adding a Row of Column Labels

Deleting a Row of Column Labels


Deleting a Row of Column Labels

You can easily delete a row of column labels.

To Delete a Row of Data Grid Column Labels:

1.	Use the mouse or navigational keys to move to the desired column label location.

2.	The column label location will be highlighted by a thick black border, indicating that the cell is active.

3.	Once the cell is active, select Delete Column Label from the right-click menu.

4.	A row of column labels will be deleted at that point in the grid, moving the existing row labels up one position.

Related Topics:

Adding Row and Column Labels

Modifying Row and Column Labels

Adding a Column of Row Labels

Adding a Row of Column Labels

Deleting a Column of Row Labels


Column Label Text

The text in these column labels is used as series labels to identify the series in a chart legend.


Row Label Text

The text in these row labels is used as data point labels on a chart.


Data Grid Columns

Data grid columns are represented as series on a chart.


Data Grid Rows

Data grid rows are represented as data points within a chart series.


The Editor Apply Button

Apply data grid changes to the chart.


The Editor OK  Button

Apply data grid changes and exit the dialog simultaneously.


The Editor Cancel Button

Exit the data grid editor without applying changes.


The Editor Help Button

Displays Data Grid Editor Help.


Grid Size Rows

Double-click this value and enter a new one to modify the number of rows in the data grid.


Grid Size Columns

Double-click this value and enter a new one to modify the number of columns in the data grid.


Grid Size Row Labels

Double-click this value and enter a new one to modify the number of row labels in the data grid.


Grid Size Column Labels

Double-click this value and enter a new one to modify the number of column labels in the data grid.


Data Grid Rows and Columns

Click to select a cell in a row or column and enter a new value to modify the data.


Data Grid Row Labels

Click to select a row label cell and enter a new value to modify the data.


Data Grid Column Labels

Click to select a column label cell and enter a new value to modify the data.


Cut, Copy, Paste and Delete

Select Cut from the menu to delete the contents of a grid cell and retain the contents on the clipboard. Select Copy from the menu to copy the contents of a grid cell. Use the Paste menu item following a cut or copy command. Select Paste from the menu to paste the contents of a cell into another cell location. Select Delete from the menu if you wish to clear a grid cell without reusing the cell contents.


Add Row

Select this item to add a row to the grid. Select Before to add the row before (above) the current row. Select After to add the row after (below) the current row.


Add Column

Select this item to add a column to the grid. Select Before to add the column before (to the left of) the current column. Select After to add the column after (to the right of) the current column.


Add Column Label

Select this item to add a row of column labels. Select Before to add the row of column labels before (above) the current row of column labels. Select After to add the row of column labels after (below) the current row of column labels.


Add Row Label

Select this item to add column of row labels. Select Before to add a column of row labels before (to the left of) the current column of row labels. Select After to add a column of row labels after (to the right of) the current column of row labels.


Delete Row

Select this item to delete the current row.


Delete Column

Select this item to delete the current column.


Delete RowLabel

Select this item to delete the current column of row labels.


Delete Column Label

Select this item to delete the current row of column labels.


Chart Data Grids

Each chart is associated with a data grid. This data grid is a table that holds the data being charted. The data grid can also include labels used to identify series and categories on the chart. The person who designs your chart application fills the data grid with information by inserting data, or by importing data from a spreadsheet or array. You can think of a chart data grid as an array or table containing the chart information

The following illustration shows the relationship between a data grid and a chart.

In most cases, each column in the data grid translates to one series on the chart. However, First Impression supports a number of chart types that require two or more columns of data to chart a series. These chart types include XY Charts , polar, bubble, hi-lo , and gantt charts.

Note    You may be formatting a chart in an application designed for you by someone else. To use one of the chart types that requires more than one column of data for a series, you may need to have the chart designer familiarize you with the structure of the chart data. If you are attempting to design a chart, refer to the First Impression Reference Information for more information about data grids.

Related Topics:

Simple Data Grids

More Complex Data Grids

Identifying Data Grid Elements

Multiple Level Labels

Creating the Data Grid

Manipulating the Data Grid Using Properties

Deleting Data Grid Elements

Inserting Data Grid Elements

Changing Data Grid Values or Text

Linking to a Formula One Spreadsheet

Data Grid Requirements of Various Chart Types


Simple Data Grids

Most data can be simply arranged in series of rows and columns. In this format, each value in the chart can be identified by one column label and one row label. For example, in the following illustration, the value 4 can be identified by the row label East and column label Model 421.

Click on the columns, rows and labels of the data grid to learn about the information they contain.

In general, data grid columns are represented as series on a chart, and data grid rows are represented as data points within a chart series. In First Impression, you can specify if you want data grid rows to contain chart series data.

The organization of information in the data grid varies for each chart type. Specific information about how the data grid should be organized for different chart types is presented at the end of this help document.

Related Topics:

Chart Data Grids

More Complex Data Grids

Identifying Data Grid Elements

Multiple Level Labels

Creating the Data Grid

Manipulating the Data Grid Using Properties

Deleting Data Grid Elements

Inserting Data Grid Elements

Changing Data Grid Values or Text

Linking to a Formula One Spreadsheet

Data Grid Requirements of Various Chart Types


More Complex Data Grids

First Impression can also chart more complex data. In the simple data grid discussed previously, each value is identified by a column label and a row label. However, many times it is useful to view chart data that belongs to more than one category. You can accomplish this by adding levels of labels representing the new categories in the data grid.

The following illustration expands on the simple data grid discussed earlier in this chapter. One new level of column labels and one new level of row labels are added to the original data grid. In addition, three new rows of data have been added to the data grid.

Notice that the value 4, previously identified by the row label East and the column label Model 421 can now be identified by the row labels 1994 and East, and by the column labels Assembled and Model 421. This provides more specific information about the data being charted.

Following is an illustration of a 3D bar chart created using this data grid.

Related Topics:

Chart Data Grids

Simple Data Grids

Identifying Data Grid Elements

Multiple Level Labels

Creating the Data Grid

Manipulating the Data Grid Using Properties

Deleting Data Grid Elements

Inserting Data Grid Elements

Changing Data Grid Values or Text

Linking to a Formula One Spreadsheet

Data Grid Requirements of Various Chart Types


Identifying Data Grid Elements

There are two types of information stored in the data grid: data and labels. Columns of data are numbered from left to right, beginning with 1. Rows of data are numbered from top to bottom, beginning with 1.

Note For information about identifying columns in data grids used to draw more complex chart types, see the topic titled Special Chart Types.

Column labels identify the data columns. They are numbered from left to right within each level. Multiple levels of column labels are numbered from bottom to top, beginning with 1. Row labels identify the data rows. They are numbered from top to bottom, beginning with 1. Multiple levels of row labels are numbered from right to left beginning with 1.

Related Topics:

Chart Data Grids

Simple Data Grids

More Complex Data Grids

Multiple Level Labels

Creating the Data Grid

Manipulating the Data Grid Using Properties

Deleting Data Grid Elements

Inserting Data Grid Elements

Changing Data Grid Values or Text

Linking to a Formula One Spreadsheet

Data Grid Requirements of Various Chart Types


Multiple Level Labels

In order to accommodate the need for multiple levels of labels, First Impression must understand the relationship between labels at each level. The following illustration shows how First Impression interprets two levels of labels.

In order to properly match lower and higher level labels, First Impression analyses the text in a label and compares it to the text in the next label. If the text is the same, or a null string, First Impression assumes the lower level label is still associated with the same higher level label. It continues associating lower level labels as long as it encounters the same text or a null string. When it encounters a new string, it stops associating lower level labels with the old string and begins associating them with the new string. The following illustration shows an example of this process.

Important When comparing the contents of each column label, First Impression does differentiate between null strings and a string of spaces. If it encounters a string of spaces, it assumes it is a new label. Information on how to ensure a column label contains a null string is provided in the Using Properties to Manipulate the Data Grid section later in this chapter.

Related Topics:

Chart Data Grids

Simple Data Grids

More Complex Data Grids

Identifying Data Grid Elements

Creating the Data Grid

Manipulating the Data Grid Using Properties

Deleting Data Grid Elements

Inserting Data Grid Elements

Changing Data Grid Values or Text

Linking to a Formula One Spreadsheet

Data Grid Requirements of Various Chart Types


Creating the Data Grid

The data grid is created when you draw the chart control on a form. First Impression uses the settings for the RowCount, ColumnCount, RowLabelCount, and ColumnLabelCount to determine the initial dimensions of the data grid. When it is first created, the data grid is filled with random data. You can use this random data to format your chart, or you can modify that data to represent specific data values.


Data Grid Editor

Users can easily modify the data in the Data Grid without setting property values by using the Data Grid Editor. For more information see The Data Grid Editor

Related Topics:

Chart Data Grids

Simple Data Grids

More Complex Data Grids

Identifying Data Grid Elements

Multiple Level Labels

Manipulating the Data Grid Using Properties

Deleting Data Grid Elements

Inserting Data Grid Elements

Changing Data Grid Values or Text

Linking to a Formula One Spreadsheet

Data Grid Requirements of Various Chart Types


Manipulating the Data Grid Using Properties

First Impression provides a number of properties that allow you to resize the data grid, or modify a value, column label, or row label. Changing any of these properties causes the chart to redraw and reflect the changes in the data grid.

  Use the ColumnCount and RowCount properties to determine the number of data columns and data rows in the data grid. Rows and columns containing labels are not included in the ColumnCount and RowCount . If the new column or row count is greater or smaller than the current count, columns are added to or deleted from the right and rows are added to or deleted from the bottom of the data grid. Any data in the deleted columns or rows is lost.

  Use the ColumnLabelCount property to set the number of levels of column labels on the data grid. Use the RowLabelCount property to set the number of levels of row labels on the data grid. If the new count is greater than the current count, new levels of labels are added to the top or left side of the data grid. If the new count is smaller than the current count, levels of labels are deleted from the top or left side of the data grid. Any labels in deleted levels are lost.

  Use the Column and Row properties to identify a specific point in the data grid. Data columns are numbered from left to right beginning with 1. Rows in the data grid are numbered from top to bottom beginning with 1. Any labels in the data grid are not counted.

Important  In most chart types, each column in the data grid represents a series on the chart. However, First Impression supports a number of special chart types that require two or more columns to chart a series. Specific information about the data grid requirements of these special chart types is provided later in this chapter.

  Use the ColumnLabelIndex and RowLabelIndex properties to identify a specific row or column of labels. For example, if you want to change a label in the second level of column labels, you must set ColumnLabelIndex to 2. Levels of column labels are numbered from bottom to top, beginning at 1. Levels of row labels are numbered from right to left, beginning at 1.

  Use the ColumnLabel and RowLabel properties to change the label identifying a row or column. ColumnLabel holds the label text on the column identified by the Column property and in the level identified by the ColumnLabelIndex property. RowLabel holds the text associated with the row identified by the Row property and in the level identified by the RowLabelIndex property.

Note If you are removing an existing label from a column or row, highlight it in the Properties Window and press Delete. This tells First Impression to place a null string in the label. If you remove the existing label by highlighting it and pressing the space bar, you are actually replacing the label with spaces instead of a null string.

  Use the Data property to modify an individual value in the data grid. Use Column and Row properties to identify the data you wish to change before using the Data property which assigns the new data value. If you assign a value with the Data property, the RandomFill property is automatically set to FALSE to prevent you from losing the data you entered.

  Use RandomFill to generate random data for prototyping a chart.

  Use the SetSize method to change all the dimensions of the data grid at once. You can use this method to set the column count, row count, column label count, and row label count in one operation. This saves you from having to use four separate properties to set each parameter individually.

Related Topics:

Chart Data Grids

Simple Data Grids

More Complex Data Grids

Identifying Data Grid Elements

Multiple Level Labels

Creating the Data Grid

Deleting Data Grid Elements

Inserting Data Grid Elements

Changing Data Grid Values or Text

Linking to a Formula One Spreadsheet

Data Grid Requirements of Various Chart Types


Deleting Data Grid Elements

The methods and properties discussed under Manipulating and Resizing the Data Grid can be used to delete columns, rows, or levels of labels from the “end” of each dimension. However, there are times when you need to delete elements in a specific location within the data grid. For each method, you must identify the first element to delete by number. You must also specify the total number of elements to delete.

Use DeleteColumns to delete one or more specific columns from the data grid. Columns are deleted from the first column you specify to the right.

Use DeleteRows to delete one or more specific rows from the data grid. Rows are deleted from the first row you specify down.

Note    Both DeleteColumns and DeleteRows delete cells and their labels.

Use DeleteColumnLabels to delete one or more specific levels of column labels from the data grid. Levels of column labels are deleted from the first level you specify up.

Use DeleteRowLabels to delete one or more specific levels of row labels from the data grid. Levels of row labels are deleted from the first level you specify to the left.

Related Topics:

Chart Data Grids

Simple Data Grids

More Complex Data Grids

Identifying Data Grid Elements

Multiple Level Labels

Creating the Data Grid

Manipulating the Data Grid Using Properties

Inserting Data Grid Elements

Changing Data Grid Values or Text

Linking to a Formula One Spreadsheet

Data Grid Requirements of Various Chart Types


Inserting Data Grid Elements

You can also use methods to insert new elements at specific locations in the data grid.

Important When new labels are added to the data grid, either by adding a new level of labels or adding rows or columns to the data grid, they contain a null string. When new columns or rows of data are added, their status depends on the current setting of the RandomFill property. If RandomFill is set to False, the columns and rows contain a null value. If RandomFill is set to True, the columns and rows are filled with random data.

  Use InsertColumns to add one or more data columns to a specific location in the data grid. The new data columns are added to the left of the column you specify. You must also specify how many new columns to add.

  Use InsertRows to add one or more data rows to a specific location in the data grid. The new data rows are added above the row you specify. You must also specify how many new rows to add.

  Use InsertColumnLabels to add one or more levels of column labels at a specific location in the data grid. The new levels are added beneath the level you specify. You must also specify how many new levels to add.

  Use InsertRowLabels to add one or more levels of row labels at a specific location in the data grid. The new levels are added to the right of the level you specify. You must also specify how many new levels to add.

Related Topics:

Chart Data Grids

Simple Data Grids

More Complex Data Grids

Identifying Data Grid Elements

Multiple Level Labels

Creating the Data Grid

Manipulating the Data Grid Using Properties

Deleting Data Grid Elements

Changing Data Grid Values or Text

Linking to a Formula One Spreadsheet

Data Grid Requirements of Various Chart Types

Special Chart Types


Changing Data Grid Values or Text

You can also change the data or labels in a data grid. When you change a data value or label, the data grid is updated internally and the chart is redrawn to reflect the new value.

  Use the Data property to return the value currently assigned to a specific point in the data grid or to set a new value for a specific point. You must identify the position by row and column number. You can also use this property to insert a null value in that position or return a null flag to determine if the data grid holds a null value in that position.

  Use ColumnLabel and RowLabel methods to return the text currently assigned to a specific position within the column or row label or to set a new label for a specific level on a specific row or column. You must identify the specific row or column which the label identifies and the specific level of label. To replace an existing label with a null string, you can enter zero as the label text argument.

Related Topics:

Chart Data Grids

Simple Data Grids

More Complex Data Grids

Identifying Data Grid Elements

Multiple Level Labels

Creating the Data Grid

Manipulating the Data Grid Using Properties

Deleting Data Grid Elements

Inserting Data Grid Elements

Linking to a Formula One Spreadsheet

Data Grid Requirements of Various Chart Types

Special Chart Types


Linking to a Formula One Spreadsheet

You can create a link between a First Impression chart control and a Formula One spreadsheet control. Once the link has been activated, the data from the spreadsheet is imported into the data grid. As long as the link remains active, the spreadsheet notifies the chart control if any charted data changes. The chart automatically redraws to reflect the change.

To organize your spreadsheet data appropriately, you must understand the data grid information presented earlier in this chapter and the data grid requirements of each chart type.

Setting Up the Link

Identifying the Spreadsheet

Specifying a Data Range

Controlling the Link Behavior


Setting Up the Link

First Impression provides three properties to set up the link between the spreadsheet control and the chart control.

  Use the SsLinkBook property to identify the spreadsheet.

  Use the SsLinkRange property to identify the range within the spreadsheet control that contains the data you want to chart.

  Use the SsLinkMode property to specify whether or not the link is active and how First Impression interprets the spreadsheet data.


Identifying the Spreadsheet

You must identify the Formula One spreadsheet you want to use as the data source for the chart. Identify the spreadsheet by table name and not the handle of the spreadsheet control. You can determine the table name using the Formula One TableName property.


Specifying a Data Range

You must also identify the range within the spreadsheet that holds the data you want to chart. This range can be identified by name or coordinates, although the use of named ranges is recommended.

There are also a number of other rules that apply when specifying a data range:

  A defined name used as the source range for the link must contain absolute references, not relative references.

  The source range cannot contain external sheet references.

  First Impression does not interpret “backward” ranges. For example, enter the range $A$4:$D$19, not $D$19:$A$4.


Controlling the Link Behavior

There are three different modes you can use to link to a spreadsheet control: off, on and autoparse.

  Off. The link is not active. Any changes in the spreadsheet are not automatically updated in the chart.

  On. The link is active and changes in the spreadsheet are automatically displayed in the chart. In this mode, First Impression makes no attempt to determine if the data in the specified range is text labels or data. You must first identify how many levels of row and column labels, and how many rows and columns of data your data range contains. Enter these values in the ColumnCount, RowCount, ColumnLabelCount, and RowLabelCount properties to set the dimensions of the data grid. If these dimensions do not match the data in the spreadsheet range, you may get unexpected results.

  AutoParse. The link is active and changes in the spreadsheet are automatically displayed in the chart. In this mode, First Impression analyses the data in the specified spreadsheet range and attempts to determine the number of levels of column and row labels. It also tries to determine how many data columns and data rows are in the specified range. First Impression then adjusts the settings of the ColumnCount, RowCount, ColumnLabelCount and RowLabelCount properties to match the dimensions of the data imported from the spreadsheet.

Note:    AutoParse mode can be very useful when linking to simple ranges of data that are organized in exactly the way First Impression expects to find the data. However, using On mode and setting the data grid dimensions yourself is recommended in most cases that involve more complex data or unusual data arrangements. For example, if your data does not contain column labels, AutoParse may become confused and you may not get the chart you expect.

Related Topics:

Chart Data Grids

Simple Data Grids

More Complex Data Grids

Identifying Data Grid Elements

Multiple Level Labels

Creating the Data Grid

Manipulating the Data Grid Using Properties

Deleting Data Grid Elements

Inserting Data Grid Elements

Changing Data Grid Values or Text

Data Grid Requirements of Various Chart Types


Data Grid Requirements of Various Chart Types

Most of the common chart types such as area, line, bar, pie, doughnut, and radar charts expect the same organization of information in the data grid. The column labels are used to identify chart series. The row labels are used to identify categories in the chart. Each column of data in the data grid displays one series on the chart. Each row value in the column is an individual data point in that series.

The following illustration shows a sample data grid and several charts drawn based on that data.

Related Topics:

Chart Data Grids

Simple Data Grids

More Complex Data Grids

Identifying Data Grid Elements

Multiple Level Labels

Creating the Data Grid

Manipulating the Data Grid Using Properties

Deleting Data Grid Elements

Inserting Data Grid Elements

Changing Data Grid Values or Text

Linking to a Formula One Spreadsheet

Data Grid Requirements of Various Chart Types


Special Chart Types

First Impression supports a number of chart types that require multiple columns of data to draw a series. For each of these charts, a series is drawn when there are enough columns of data available. Any extra columns of data are ignored. For example, on a polar chart, a series requires two columns of data; if there are three columns of data in the data grid, the third column is ignored. The column label on the first column in each series is used to identify the series in the legend. Additionally, any formatting applied to the first column is used to display the series on the chart. Any formatting applied to the second column is ignored.

When columns in the data grid are combined to create a series, the column identification numbers do not change. If you need to refer to a series in code, refer to it by the number of the first column in the series. For example, the data grid in the following illustration contains six columns and is used to draw an XY chart. Since it requires two columns of data for each series in the chart, the six columns results in a chart with three series. These would be identified as series 1, series 3, or series 5.

To  turn on the display of guidelines in this series,	To change the value in this position in the data grid
refer to series three in the following code:	refer to row 2, column 4 in the following code:
Vtchart1.plot.seriescollection.item(3). showguideline (vtchaxisidx) = True	With Vtchart1    .column = 4
	.row = 2
	.data = 58
	endwith.
The specific organization required for the data grid is discussed under each chart type.

Related Topics:

XY Charts

Polar Charts

Bubble Charts

Basic Hi-Lo Charts

Hi-Lo-Close Charts

Open Hi-Lo-Close Charts

Gantt Charts

Elevation Charts

3D XYZ Charts

3D Scatter Charts


XY Charts

An XY chart plots two pairs of numbers as x and y coordinates. Each series on the chart requires two columns of data in the data grid. The first column holds the x coordinate and the second column the y coordinate. The partial data grid in the following illustration shows the organization required for an XY chart.

Related Topics:

Special Chart Types

Polar Charts

Bubble Charts

Basic Hi-Lo Charts

Hi-Lo-Close Charts

Open Hi-Lo-Close Charts

Gantt Charts

Elevation Charts

3D XYZ Charts

3D Scatter Charts


Polar Charts

Polar charts require two columns in the data grid for each chart series: the first data column holds the distance from the center of the chart (the Radius) and the second column holds the angle from the zero (0) position of the chart (the Angle.) The column label on the first column in each series is used to identify the series in the legend. Additionally, any formatting applied to the first column is used to display the series on the chart. Any formatting applied to the second column is ignored. The partial data grid in the following illustration shows the organization required for a polar chart.

Related Topics:

Special Chart Types

XY Charts

Bubble Charts

Basic Hi-Lo Charts

Hi-Lo-Close Charts

Open Hi-Lo-Close Charts

Gantt Charts

Elevation Charts

3D XYZ Charts

3D Scatter Charts


Bubble Charts

Each series displayed on a bubble chart requires three columns of data in the data grid. The first column holds the X coordinate, the second column holds the Y coordinate, and the third column determines the relative bubble size. The column label on the first column in each series is used to identify the series in the legend. Additionally, any formatting applied to the first column is used to display the series on the chart. Any formatting applied to the second and third columns are ignored.

Related Topics:

Special Chart Types

XY Charts

Polar Charts

Basic Hi-Lo Charts

Hi-Lo-Close Charts

Open Hi-Lo-Close Charts

Gantt Charts

Elevation Charts

3D XYZ Charts

3D Scatter Charts


Basic Hi-Lo Charts

The data in the data grid must be organized appropriately for each type of hi-lo chart supported by first impression.

The basic hi-lo chart requires two columns for each data series: the first column is used for the high point, and the second is used for the low point.

Related Topics:

Special Chart Types

XY Charts

Polar Charts

Bubble Charts

Hi-Lo-Close Charts

Open Hi-Lo-Close Charts

Gantt Charts

Elevation Charts

3D XYZ Charts

3D Scatter Charts


Hi-Lo-Close Charts

A hi-lo-close chart requires three columns for each data series: the first column is used for the high point, the second for the low point, and the third for the closing point.

Related Topics:

Special Chart Types

XY Charts

Polar Charts

Bubble Charts

Basic Hi-Lo Charts

Open Hi-Lo-Close Charts

Gantt Charts

Elevation Charts

3D XYZ Charts

3D Scatter Charts


Open Hi-Lo-Close Charts

An open-hi-lo-close chart requires four columns for each data series: the first column is used for the open point, the second for the high point, the third for the low point, and the fourth for the closing point.

Related Topics:

Special Chart Types

XY Charts

Polar Charts

Bubble Charts

Basic Hi-Lo Charts

Hi-Lo-Close Charts

Gantt Charts

Elevation Charts

3D XYZ Charts

3D Scatter Charts


Gantt Charts

Use a gantt chart to display range bars which indicate the relative time required for various activities within a project. This chart type requires two columns of data for each series. The first column is the start time and the second column is the duration. The column label on the first column in each series is used to identify the series in the legend. Additionally, any formatting applied to the first column is used to display the series on the chart. Any formatting applied to the second column is ignored.

The start date is a number calculated as the number of days since January 1, 1900. If you are linking to a Formula One spreadsheet, you can enter a date in a more understandable format such as 1-23-93. Since the spreadsheet stores that date as the number of days since January 1, 1900 First Impression can use the data to create a date axis for your chart. The duration is a number of days. Again, if you are using the Formula One spreadsheet to provide data for the chart, you can use an expression to subtract a start date from a finish date to determine the duration.

Related Topics:

Special Chart Types

XY Charts

Polar Charts

Bubble Charts

Basic Hi-Lo Charts

Hi-Lo-Close Charts

Open Hi-Lo-Close Charts

Elevation Charts

3D XYZ Charts

3D Scatter Charts


Elevation Charts

Use Elevation charts to display topographic data. There are two types of elevation charts: 2D contour charts and 3D surface charts. In contour charts, data values within a specific range appear on the chart in two-dimensional bands of the same color. In surface charts, data values within a specific range have the same elevation. Data values can also be illustrated with contour bands or lines of the same color projected on the three-dimensional surface model.

Related Topics:

Special Chart Types

XY Charts

Polar Charts

Bubble Charts

Basic Hi-Lo Charts

Hi-Lo-Close Charts

Open Hi-Lo-Close Charts

Gantt Charts

3D XYZ Charts

3D Scatter Charts


3D XYZ Charts

This chart displays variation and relationships over three sets of values plotted on a three-dimensional grid. Each series on the chart requires three columns of data in the data grid.

Related Topics:

Special Chart Types

XY Charts

Polar Charts

Bubble Charts

Basic Hi-Lo Charts

Hi-Lo-Close Charts

Open Hi-Lo-Close Charts

Gantt Charts

Elevation Charts

3D Scatter Charts


3D Scatter Charts

This chart is drawn as a three-dimensional grid with a base and walls. It plots data points created by the intersection of three different coordinate values. Each series on the chart requires three columns of data in the data grid.

Related Topics:

Special Chart Types

XY Charts

Polar Charts

Bubble Charts

Basic Hi-Lo Charts

Hi-Lo-Close Charts

Open Hi-Lo-Close Charts

Gantt Charts

Elevation Charts

3D XYZ Charts


Handling Errors

First Impression errors that occur during program execution are handled like other errors. You must write your own error handling routine to trap and manage errors.

The ErrorOffset property sets or returns an adjustment to trappable error numbers returned by First Impression. The adjustment is the amount by which First Impression error numbers should by incremented so that the numbers do not conflict with other control errors in the container. By default, the ErrorOffset value is set to 20000.

Use this property only if the First Impression error range conflicts with values returned by the Err statement.

The First Impression errors have been sorted according to name and number. Select your desired view method from the options listed below.

Errors By Name

Errors By Number


Errors By Name

The following table list the errors for First Impression according to their name.

Error Name	Error Number	Error Description
DataNotSetForFormat	676	Requested data was not supplied to the DataObject during the OLESetData event.
DataObjectLocked	672	DataObject formats list may not be cleared or expanded outside of the OLEStartDrag event
ExpectedAnArgument	673	Expected at least one argument.
GetNotSupported	394	Property is write-only
InvalidObjectUse	425	Invalid object use
InvalidProcedureCall	5	Invalid procedure call
InvalidPropertyValue	380	Invalid property value
RecursiveOleDrag	674	Illegal recursive invocation of OLE drag and drop
SafeMode	680	Invalid procedure call in safe mode
SetNotSupported	383	Property is read-only
UserFormatNotBinArray	675	Non-intrinsic OLE drag and drop formats used with SetData require Byte array data.  GetData may return more bytes than were given to SetData.
WrongClipboardFormat	461	Specified format doesn't match format of data
VtChError	2000	Non-specific chart error
VtChErrorInvalidAxis	2004	Nonexistent axis
VtChErrorInvalidHandle	2001	Invalid chart handle
VtChErrorInvalidSeriesNumber	2003	Nonexistent series
VtChErrorNoData	2002	Necessary data unavailable
VtChErrorRestrictedVersion	2005	Operation not allowed in this version
VtErrorActionCanceled	1116	User canceled operation
VtErrorArchivePointerMismatch	1110	Attempted to load pointer into reference
VtErrorArchiveTypeMismatch	1109	Unexpected class type
VtErrorArchiveVersion	1108	Attempted to load incompatible version
VtErrorBufferTooSmall	1113	String buffer too small; string truncated
VtErrorCannotOpenFile	1111	Unable to open requested file
VtErrorCopyingObject	1114	Failed to copy object
VtErrorCorruptArchive	1107	Persistent storage corrupted
VtErrorCorruptData	1003	Corrupt data; unable to continue
VtErrorCreateWindow	1120	Could not create window.
VtErrorDefaultFontSubstituted	1504	Default substituted for requested font
VtErrorDeletingDeletedObject	1002	Attempted to delete object already deleted
VtErrorDeletingUsedObject	1106	Attempted to delete object still in use
VtErrorDisplay	1500	Error communicating with display drivers
VtErrorDuplicateObject	1115	Encountered duplicate object
VtErrorDuplicateSymbol	1205	Duplicate Symbol.
VtErrorFileRead	1123	Error reading file.
VtErrorFileWrite	1124	Error writing file.
VtErrorIdentifierTooBig	1201	Identifier too big.
VtErrorInvalidArgument	1101	Bad function argument
VtErrorInvalidDate	1125	Date cannot be represented in requested format.
VtErrorInvalidFont	1502	Requested font description invalid
VtErrorInvalidFontName	1501	Requested font name not available
VtErrorInvalidIndex	1117	Index given is out of bounds
VtErrorInvalidObject	1119	Object is uninitialized or invalid.
VtErrorInvalidRequest	1104	Inappropriate or invalid request
VtErrorInvalidSyntax	1200	Invalid Syntax.
VtErrorInvalidTypeConversion	1118	Requested type conversion is not supported.
VtErrorLoadPicture	1122	Could not load requested picture.
VtErrorLockedObject	1005	Invalid operation on a locked object
VtErrorNoDisplayResources	1503	Not enough display resources
VtErrorNoMemory	1100	Not enough memory
VtErrorNotFound	1102	Cannot find item
VtErrorNotImplemented	1004	Function not yet implemented
VtErrorOSVersion	1121	This version of Windows is not supported.
VtErrorStreamIo	1105	Failed to read or write a file
VtErrorTooSmall	1103	Result too long for return buffer
VtErrorUnableToLoadString	1112	Failed to load string; possibly too long
VtErrorUnexpectedEOS	1204	Unexpected end of string.
VtErrorUnrecognizedFunction	1202	Unrecognized function name.
VtErrorUnrecognizedSymbol	1203	Unrecognized symbol.
VtErrorUserIo	1106	Failed to write to user-created function
VtFail	1000	General failure
VtOk	0	No error


Errors By Number

The following table list the errors for First Impression.

Error Number	Error Name	Error Description
0	VtOk	No error
5	InvalidProcedureCall	Invalid procedure call
380	InvalidPropertyValue	Invalid property value
383	SetNotSupported	Property is read-only
394	GetNotSupported	Property is write-only
425	InvalidObjectUse	Invalid object use
461	WrongClipboardFormat	Specified format doesn't match format of data
672	DataObjectLocked	DataObject formats list may not be cleared or expanded outside of the OLEStartDrag event
673	ExpectedAnArgument	Expected at least one argument.
674	RecursiveOleDrag	Illegal recursive invocation of OLE drag and drop
675	UserFormatNotBinArray	Non-intrinsic OLE drag and drop formats used with SetData require Byte array data.  GetData may return more bytes than were given to SetData.
676	DataNotSetForFormat	Requested data was not supplied to the DataObject during the OLESetData event.
680	SafeMode	Invalid procedure call in safe mode
1000	VtFail	General failure
1002	VtErrorDeletingDeletedObject	Attempted to delete object already deleted
1003	VtErrorCorruptData	Corrupt data; unable to continue
1004	VtErrorNotImplemented	Function not yet implemented
1005	VtErrorLockedObject	Invalid operation on a locked object
1100	VtErrorNoMemory	Not enough memory
1101	VtErrorInvalidArgument	Bad function argument
1102	VtErrorNotFound	Cannot find item
1103	VtErrorTooSmall	Result too long for return buffer
1104	VtErrorInvalidRequest	Inappropriate or invalid request
1105	VtErrorStreamIo	Failed to read or write a file
1106	VtErrorDeletingUsedObject	Attempted to delete object still in use
1106	VtErrorUserIo	Failed to write to user-created function
1107	VtErrorCorruptArchive	Persistent storage corrupted
1108	VtErrorArchiveVersion	Attempted to load incompatible version
1109	VtErrorArchiveTypeMismatch	Unexpected class type
1110	VtErrorArchivePointerMismatch	Attempted to load pointer into reference
1111	VtErrorCannotOpenFile	Unable to open requested file
1112	VtErrorUnableToLoadString	Failed to load string; possibly too long
1113	VtErrorBufferTooSmall	String buffer too small; string truncated
1114	VtErrorCopyingObject	Failed to copy object
1115	VtErrorDuplicateObject	Encountered duplicate object
1116	VtErrorActionCanceled	User canceled operation
1117	VtErrorInvalidIndex	Index given is out of bounds
1118	VtErrorInvalidTypeConversion	Requested type conversion is not supported.
1119	VtErrorInvalidObject	Object is uninitialized or invalid.
1120	VtErrorCreateWindow	Could not create window.
1121	VtErrorOSVersion	This version of Windows is not supported.
1122	VtErrorLoadPicture	Could not load requested picture.
1123	VtErrorFileRead	Error reading file.
1124	VtErrorFileWrite	Error writing file.
1125	VtErrorInvalidDate	Date cannot be represented in requested format.
1200	VtErrorInvalidSyntax	Invalid Syntax.
1201	VtErrorIdentifierTooBig	Identifier too big.
1202	VtErrorUnrecognizedFunction	Unrecognized function name.
1203	VtErrorUnrecognizedSymbol	Unrecognized symbol.
1204	VtErrorUnexpectedEOS	Unexpected end of string.
1205	VtErrorDuplicateSymbol	Duplicate Symbol.
1500	VtErrorDisplay	Error communicating with display drivers
1501	VtErrorInvalidFontName	Requested font name not available
1502	VtErrorInvalidFont	Requested font description invalid
1503	VtErrorNoDisplayResources	Not enough display resources
1504	VtErrorDefaultFontSubstituted	Default substituted for requested font
2000	VtChError	Non-specific chart error
2001	VtChErrorInvalidHandle	Invalid chart handle
2002	VtChErrorNoData	Necessary data unavailable
2003	VtChErrorInvalidSeriesNumber	Nonexistent series
2004	VtChErrorInvalidAxis	Nonexistent axis
2005	VtChErrorRestrictedVersion	Operation not allowed in this version


Using Events

First Impression provides a set of events that allows you to track and monitor actions performed on a chart control by users of your application. Events allow you to respond to user’s actions and control the operations of the chart control

One of the most common uses of events is to prevent the default behavior on an action. For example, you may want to prevent your end-user from being able to select certain chart elements. You might also want to prevent the display the Chart Designer when a user double-clicks on items.


Update Events

When changes are made to a chart, only the most specific update event applicable will occur. For example, changing an axis scale really causes changes to the appearance of the plot and to the chart as a whole. However, only an AxisUpdated event will be fired. The updateFlags argument can be examined to see how the update will affect the appearance of the chart.

The PartUpdated event fires immediately after every specific updated event (i.e. AxisUpdated) with a corresponding chart part. In this case, an Axis would be the part specified in the PartUpdated event.


ApplyChanges Event

Description

This event occurs when the user presses the OK or Apply button in the Chart Designer or the DataGrid Editor or the Finish button in the Chart Wizard.

Syntax

Sub VtChart1_ApplyChanges ( )

Remarks

This event should fire once whenever the user clicks the OK or Apply button in the datagrid editor or the chart designer if anything has been changed on the chart. Similarly, it should fire once whenever the user clicks the Finish button on the wizard dialog.


AxisActivated Event

Description

This event occurs when the user double-clicks a chart axis. To replace the standard user interface, cancel the event and display a custom dialog box.

Syntax

Sub VtChart1_AxisActivated ( axisId As Integer, axisIndex As Integer, mouseFlag As Integer, cancel As Integer )

axisId identifies a specific axis.

axisIndex is reserved for future use. For this version of First Impression, 1 is the only valid value for this argument.

mouseFlag indicates a key is held down when the mouse button is clicked.

Remarks

Set cancel equal to True to prevent the user from activating an axis and displaying the Chart Designer.


AxisLabelActivated Event

Description

This event occurs when the user double-clicks an axis label. To replace the standard user interface, canceling the event and displaying a custom dialog box.

Syntax

Sub VtChart1_AxisLabelActivated ( axisId As Integer, axisIndex As Integer, labelSetIndex As Integer, labelIndex As Integer, mouseFlag As Integer, cancel As Integer )

axisId identifies a specific axis.

axisIndex is reserved for future use. For this version of First Impression, 1 is the only valid value for this argument.

labelSetIndex identifies the level of labels you are double-clicking on. Levels of labels are numbered from the axis out, beginning with 1.

labelIndex is currently unused.

mouseFlag  indicates if another key is held down when the mouse button is clicked.

Remarks

Set cancel equal to True to prevent the user from activating the axis labels and displaying the Chart Designer.


AxisLabelSelected Event

Description

This event occurs when the user clicks an axis label.

Syntax

Sub VtChart1_AxisLabelSelected ( axisId As Integer, axisIndex As Integer, labelSetIndex As Integer, labelIndex As Integer, mouseFlag As Integer, cancel As Integer )

axisId identifies a specific axis.

axisIndex is reserved for future use. For this version of First Impression, 1 is the only valid value for this argument.

labelSetIndex identifies the level of labels you are clicking on. Levels of labels are numbered from the axis out, beginning with 1.

labelIndex is currently unused.

mouseFlag indicates if another key is held down when the mouse button is clicked.

Remarks

Set cancel equal to True to prevent the user from activating the axis and displaying selection handles along the axis title.


AxisLabelUpdated Event

Description

This event occurs when an axis label has changed.

Syntax

Sub VtChart1_AxisLabelUpdated ( axisId as Integer, axisIndex As Integer, labelSetIndex As Integer, LabelIndex As Integer, updateFlags As Integer )

axisId identifies a specific axis.

axisIndex is reserved for future use. For this version of First Impression, 1 is the only valid value for this argument.

labelSetIndex identifies the level of labels you are clicking on. Levels of labels are numbered from the axis out, beginning with 1.

labelIndex indicates a specific axis label.

updateFlags is a vector of flags.


AxisSelected Event

Description

This event occurs when the user clicks a chart axis.

Syntax

Sub VtChart1_AxisSelected ( axisId As Integer, axisIndex As Integer, mouseFlag As Integer, cancel As Integer )

axisId identifies a specific axis.

axisIndex is reserved for future use. For this version of First Impression, 1 is the only valid value for this argument.

mouseFlag indicates a key is held down when the mouse button is clicked.

Remarks

Set cancel equal to True to prevent the user from activating the axis.


AxisTitleActivated Event

Description

This event occurs when the user double-clicks an axis title. To replace the standard user interface, canceling the event and displaying a custom dialog box.

Syntax

Sub VtChart1_AxisTitleActivated ( axisId As Integer, axisIndex As Integer, mouseFlag As Integer, cancel As Integer )

axisId identifies a specific axis.

axisIndex is reserved for future use. For this version of First Impression, 1 is the only valid value for this argument.

mouseFlag indicates if another key is held down when the mouse button is clicked.

Remarks

Set cancel equal to True to prevent the user from activating the axis title and displaying the Chart Designer.


AxisTitleSelected Event

Description

This event occurs when the user clicks an axis title.

Syntax

Sub VtChart1_AxisTitleSelected ( axisId As Integer, axisIndex As Integer, mouseFlag As Integer, cancel As Integer )

axisId identifies a specific axis.

mouseFlag indicates if another key is held down when the mouse button is clicked.

Remarks

Set cancel equal to True to prevent the user from activating the axis and displaying selection handles around the axis title.


AxisTitleUpdated Event

Description

This event occurs when an axis title has changed.

Syntax

Sub VtChart1_AxisTitleUpdated ( axisId As Integer, axisIndex As Integer, updateFlags As Integer )

axisId identifies a specific axis.

axisIndex is reserved for future use. For this version of First Impression, 1 is the only valid value for this argument.

updateFlags is a vector of flags identifying the chart update.


AxisUpdatedEvent

Description

This event occurs when an axis has changed.

Syntax

Sub VtChart1_AxisUpdated ( axisId As Integer, axisIndex As Integer, updateFlags As Integer )

axisId identifies a specific axis.

axisIndex is reserved for future use. For this version of First Impression, 1 is the only valid value for this argument.

updateFlags is a vector of flags identifying the chart update.


ChartActivated Event

Description

This event occurs when the user double-clicks the First Impression chart control, but not on a specific element in the chart. To replace the standard user interface, canceling the event and displaying a custom dialog box.

Syntax

Sub VtChart1_ChartActivated ( mouseFlag As Integer, cancel As Integer )

mouseFlag indicates if another key is held down when the mouse button is clicked.

Remarks

Set cancel equal to True to prevent the user from activating the chart and displaying the Chart Designer.


ChartSelected Event

Description

This event occurs when the user clicks the First Impression chart control, but not on a specific element in the chart.

Syntax

Sub VtChart1_ChartSelected ( mouseFlag As Integer, cancel As Integer )

mouseFlag indicates if another key is held down when the mouse button is clicked.

Remarks

Set cancel equal to True to prevent the user from selecting the chart control.


ChartUpdated Event

Description

This event occurs when the chart has changed.

Syntax

Sub VtChart1_ChartUpdated ( updateFlags As Integer )

updateFlags is a vector of flags identifying the chart update.


Click Event

Description

This event occurs when the user presses and then releases a mouse button over an object. This event is fired before the select event.

Syntax

Sub VtChart1_Click ( )


DataUpdated Event

Description

This event occurs when the chart datagrid has changed. If row and column are non-zero, then the change occured to the indicated data cell. If labelRow or labelColumn, along with labelSetIndex, are non-zero, then the indicated row or column label changed. If none of these are non-zero, no specific information about the change is available.

Syntax

Sub VtChart1_DataUpdated ( row As Integer, column As Integer, labelRow as Integer, labelColumn As Integer, labelSetIndex As Integer, updateFlags As Integer )

row indicates the row in the datagrid.

column indicates the column in the datagrid.

labelRow indicates the row label.

labelColumn indicates the column label.

labelSetIndex identifies the level of labels. Levels of labels are numbered from the axis out, beginning with 1.

updateFlags is a vector of flags identifying the chart update.


DblClick Event

Description

This event occurs when a user presses and releases a mouse button and then presses and releases it again over an object. This event is fired before the activate event.

Syntax

Sub VtChart1_DblClick ( )


DonePainting Event

Description

This event occurs immediately after the chart repaints.

Syntax

Sub VtChart1_DonePainting ( )


FootnoteActivated Event

Description

This event occurs when the user double-clicks the chart footnote. To replace the standard user interface, canceling the event and displaying a custom dialog box.

Syntax

Sub VtChart1_FootnoteActivated ( mouseFlag As Integer, cancel As Integer )

mouseFlag indicates if another key is held down when the mouse button is clicked.

Remarks

Set cancel equal to True to prevent the user from activating the footnote and displaying the Chart Designer.


FootnoteSelected Event

Description

This event occurs when the user clicks the chart footnote.

Syntax

Sub VtChart1_FootnoteSelected ( mouseFlag As Integer, cancel As Integer )

mouseFlag indicates if another key is held down when the mouse button is clicked.

Remarks

Set cancel equal to True to prevent the user from selecting the footnote.


FootnoteUpdated Event

Description

This event occurs when the chart footnote has changed.

Syntax

Sub VtChart1_FootnoteUpdated ( updateFlags As Integer )

updateFlags  is a vector of flags identifying the chart update.


KeyDown KeyUp Events

Description

These events occur when the user presses (KeyDown) and releases (KeyUp) a key while the First Impression object has the focus.

Syntax

Sub VtChart1_KeyDown ( KeyCode As Integer, Shift As Integer )

Sub VtChart1_KeyUp ( KeyCode As Integer, Shift As Integer )


KeyPress Event

Description

This event occurs when the user presses and releases an ANSI key.

Syntax

Sub VtChart1_KeyPress ( KeyAscii As Integer )


LegendActivated Event

Description

This event occurs when the user double-clicks the chart legend. To replace the standard user interface, canceling the event and displaying a custom dialog box.

Syntax

Sub VtChart1_LegendActivated ( mouseFlag As Integer, cancel As Integer )

mouseFlag indicates if another key is held down when the mouse button is clicked.

Remarks

Set cancel equal to True to prevent the user from selecting the legend and displaying the Chart Designer.


LegendSelected Event

Description

This event occurs when the user clicks the chart legend.

Syntax

Sub VtChart1_LegendSelected ( mouseFlag As Integer, cancel As Integer )

mouseFlag indicates if another key is held down when the mouse button is clicked.

Remarks

Set cancel equal to True to prevent the user from selecting the legend.


LegendUpdated Event

Description

This event occurs when the chart legend has changed.

Syntax

Sub VtChart1_LegendUpdated ( updateFlags As Integer )

updateFlags is a vector of flags identifying the chart update.


LostFocus Event

Description

This event occurs when the First Impression window loses focus, either by clicking the object or changing the focus in code using the SetFocus method.

Syntax

Sub VtChart1_LostFocus ( )


MouseDown Event

Description

This event occurs when the user presses a mouse button.

Syntax

Sub VtChart1_MouseDown ( Button As Integer, Shift As Integer, X As Single, Y As Single )


MouseMove Event

Description

This event occurs when the user moves the mouse.

Syntax

Sub VtChart1_MouseMove ( Button As Integer, Shift As Integer, X As Single, Y As Single )


MouseUp Event

Description

This event occurs when the user releases a mouse button.

Syntax

Sub VtChart1_MouseUp ( Button As Integer, Shift As Integer, X As Single, Y As Single )


OLECompleteDrag Event

Occurs when a source component is dropped onto a target component, informing the source component that a drag action was either performed or canceled.

Syntax

Private Sub object_CompleteDrag([effect As Long])

The CompleteDrag event syntax has these parts:

Part	Description
object	An object expression that evaluates to an object in the Applies To list.
effect	A long integer set by the source object identifying the action that has been performed, thus allowing the source to take appropriate action if the component was moved (such as the source deleting data if it is moved from one component to another).
Remarks

The OLECompleteDrag event is the final event to be called in an OLE drag/drop operation. This event informs the source component of the action that was performed when the object was dropped onto the target component. The target sets this value through the effect parameter of the OLEDragDrop event. Based on this, the source can then determine the appropriate action it needs to take. For example, if the object was moved into the target (vtDropEffectMove), the source needs to delete the object from itself after the move. If OLEDragMode is set to Automatic, the event still occurs, however, allowing the user to add to or change the behavior.

Most components support manual OLE drag and drop events, and some support automatic OLE drag and drop events.


OLEDragDrop Event

Occurs when a source component is dropped onto a target component  when the source component determines that a drop can occur.

Note   This event occurs only if OLEDropMode is set to 1 (Manual).

Syntax

Private Sub object_OLEDragDrop(data As DataObject, effect As Long, button As Integer, shift As Integer, x As Single, y As Single)

The OLEDragDrop event syntax has these parts:

Part	Description
object	An object expression that evaluates to an object in the Applies To list.
data	A DataObject object containing formats that the source will provide and, in addition, possibly the data for those formats. If no data is contained in the DataObject, it is provided when the control calls the GetData method. The SetData and Clear methods cannot be used here.
effect	A long integer set by the target component identifying the action that has been performed (if any), thus allowing the source to take appropriate action if the component was moved (such as the source deleting the data).
button	An integer which acts as a bit field corresponding to the state of a mouse button when it is depressed. The left button is bit 0, the right button is bit 1, and the middle button is bit 2. These bits correspond to the values 1, 2, and 4, respectively. It indicates the state of the mouse buttons; some, all, or none of these three bits can be set, indicating that some, all, or none of the buttons are depressed.
shift	An integer which acts as a bit field corresponding to the state of the SHIFT, CTRL, and ALT keys when they are depressed. The SHIFT key is bit 0, the CTRL key is bit 1, and the ALT key is bit 2. These bits correspond to the values 1, 2, and 4, respectively. The shift parameter indicates the state of these keys; some, all, or none of the bits can be set, indicating that some, all, or none of the keys are depressed. For example, if both the CTRL and ALT keys were depressed, the value of shift would be 6.
x,y	A number which specifies the current location of the mouse pointer. The x and y values are always expressed in terms of the coordinate system set by the ScaleHeight, ScaleWidth, ScaleLeft, and ScaleTop properties of the object.
Remarks

The source ActiveX component should always mask values from the effect parameter to ensure compatibility with future implementations of ActiveX components. Presently, only three of the 32 bits in the effect parameter are used. Therefore, as a precaution against future problems, drag sources and drop targets should mask these values appropriately before performing any comparisons.

For example, a source component should not compare an effect against, say, vtDropEffectCopy, such as in this manner:

If Effect = vtDropEffectCopy...

Instead, the source component should mask for the value or values being sought, such as this:

If Effect And vtDropEffectCopy = vtDropEffectCopy...

-or-

If (Effect And vtDropEffectCopy)...

This allows for the definition of new drop effects while preserving backwards compatibility with your existing code.

Most components support manual OLE drag and drop events, and some support automatic OLE drag and drop events.


OLEDragOver Event

Occurs when one component is dragged over another.

Syntax

Private Sub object_OLEDragOver(data As DataObject, effect As Long, button As Integer, shift As Integer, x As Single, y As Single, state As Integer)

The OLEDragOver event syntax has these parts:

Part	Description
object	An object expression that evaluates to an object in the Applies To list.
data	A DataObject object containing formats that the source will provide and, in addition, possibly the data for those formats. If no data is contained in the DataObject, it is provided when the control calls the GetData method. The SetData and Clear methods cannot be used here.
effect	A long integer initially set by the source object identifying all effects it supports. This parameter must be correctly set by the target component during this event. The value of effect is determined by logically Or'ing together all active effects. The target component should check these effects and other parameters to determine which actions are appropriate for it, and then set this parameter to one of the allowable effects (as specified by the source) to specify which actions will be performed if the user drops the selection on the component.
button	An integer which acts as a bit field corresponding to the state of a mouse button when it is depressed. The left button is bit 0, the right button is bit 1, and the middle button is bit 2. These bits correspond to the values 1, 2, and 4, respectively. It indicates the state of the mouse buttons; some, all, or none of these three bits can be set, indicating that some, all, or none of the buttons are depressed.
shift	An integer which acts as a bit field corresponding to the state of the SHIFT, CTRL, and ALT keys when they are depressed. The SHIFT key is bit 0, the CTRL key is bit 1, and the ALT key is bit 2. These bits correspond to the values 1, 2, and 4, respectively. The shift parameter indicates the state of these keys; some, all, or none of the bits can be set, indicating that some, all, or none of the keys are depressed. For example, if both the CTRL and ALT keys are depressed, the value of shift would be 6.
x,y	A number that specifies the current horizontal (x) and vertical (y) position of the mouse pointer within the target form or control. The x and y values are always expressed in terms of the coordinate system set by the ScaleHeight, ScaleWidth, ScaleLeft, and ScaleTop properties of the object.
state	An integer that corresponds to the transition state of the control being dragged in relation to a target form or control.
Remarks

Note  If the state parameter is vtLeave, indicating that the mouse pointer has left the target, then the x and y parameters will contain zeros.

The source component should always mask values from the effect parameter to ensure compatibility with future implementations of ActiveX components. Presently, only three of the 32 bits in the effect parameter are used. Therefore, as a precaution against future problems, drag sources and drop targets should mask these values appropriately before performing any comparisons.

For example, a source component should not compare an effect against, say, vtDropEffectCopy, such as in this manner:

If Effect = vtDropEffectCopy...

Instead, the source component should mask for the value or values being sought, such as this:

If Effect And vtDropEffectCopy = vtDropEffectCopy...

-or-

If (Effect And vtDropEffectCopy)...

This allows for the definition of new drop effects while preserving backwards compatibility with your existing code.

Most components support manual OLE drag and drop events, and some support automatic OLE drag and drop events.


OLEGiveFeedback Event

Occurs after every OLEDragOver event. OLEGiveFeedback allows the source component to provide visual feedback to the user, such as changing the mouse cursor to indicate what will happen if the user drops the object, or provide visual feedback on the selection (in the source component) to indicate what will happen.

Syntax

Private Sub object_OLEGiveFeedback(effect As Long, defaultcursors As Boolean)

The OLEGiveFeedback event syntax has these parts:

Part	Description
object	An object expression that evaluates to an object in the Applies To list.
effect	A long integer set by the target component in the OLEDragOver event specifying the action to be performed if the user drops the selection on it. This allows the source to take the appropriate action (such as giving visual feedback).
defaultcursors	True (default) = use default mouse cursor.
	False = do not use default cursor. Mouse cursor must be set with the MousePointer property of the Screen object.
Remarks

If there is no code in the OLEGiveFeedback event, or if the defaultcursors parameter is set to True, then the mouse cursor is automatically set to the default cursor provided by the component.

The source component should always mask values from the effect parameter to ensure compatibility with future implementations of components. Presently, only three of the 32 bits in the effect parameter are used. Therefore, as a precaution against future problems, drag sources and drop targets should mask these values appropriately before performing any comparisons.

For example, a source component should not compare an effect against, say, vtDropEffectCopy, such as in this manner:

If Effect = vtDropEffectCopy...

Instead, the source component should mask for the value or values being sought, such as this:

If Effect And vtDropEffectCopy = vtDropEffectCopy...

-or-

If (Effect And vtDropEffectCopy)...

This allows for the definition of new drop effects while preserving backwards compatibility with your existing code.

Most components support manual OLE drag and drop events, and some support automatic OLE drag and drop events.


OLESetData Event

Occurs on an source component when a target component performs the GetData method on the source’s DataObject object, but the data for the specified format has not yet been loaded.

Syntax

Private Sub object_OLESetData(data As DataObject, dataformat As Integer)

The OLESetData event syntax has these parts:

Part	Description
object	An object expression that evaluates to an object in the Applies To list.
data	A DataObject object in which to place the requested data. The component calls the SetData method to load the requested format.
dataformat	An integer specifying the format of the data that the target component is requesting. The source component uses this value to determine what to load into the DataObject object.
Remarks

In certain cases, you may wish to defer loading data into the DataObject object of a source component to save time, especially if the source component supports many formats. This event allows the source to respond to only one request for a given format of data. When this event is called, the source should check the format parameter to determine what needs to be loaded and then perform the SetData method on the DataObject object to load the data which is then passed back to the target component.


OLEStartDrag Event

Occurs when a component's OLEDrag method is performed, or when a component initiates an OLE drag/drop operation when the OLEDragMode property is set to Automatic.

This event specifies the data formats and drop effects that the source component supports. It can also be used to insert data into the DataObject object.

Syntax

Private Sub object_StartDrag(data As DataObject, allowedeffects As Long)

The StartDrag event syntax has these parts:

Part	Description
object	An object expression that evaluates to an object in the Applies To list.
data	A DataObject object containing formats that the source will provide and, optionally, the data for those formats. If no data is contained in the DataObject, it is provided when the control calls the GetData method. The programmer should provide the values for this parameter in this event. The SetData and Clear methods cannot be used here.
allowedeffects	A long integer containing the effects that the source component supports.  The programmer should provide the values for this parameter in this event.
Remarks

The source component should logically Or together the supported values and places the result in the allowedeffects parameter. The target component can use this value to determine the appropriate action (and what the appropriate user feedback should be).

The StartDrag event also occurs if the component’s OLEDragMode property is set to Automatic. This allows you to add formats and data to the DataObject object after the component has done so. You can also override the default behavior of the component by clearing the DataObject object (using the Clear method) and then adding your data and formats.

You may wish to defer putting data into the DataObject object until the target component requests it. This allows the source component to save time by not loading multiple data formats. When the target performs the GetData method on the DataObject, the source’s OLESetData event will occur if the requested data is not contained in the DataObject. At this point, the data can be loaded into the DataObject, which will in turn provide the data to the target.

If the user does not load any formats into the DataObject, then the drag/drop operation is canceled.


PartActivated Event

Description

This event occurs when the user double-clicks a chart part. To replace the standard user interface, canceling the event and displaying a custom dialog box.

Syntax

Sub VtChart1_PartActivated (ChartPart , MouseFlags , CancelEvent)

The PartActivated event syntax has these parts:

Part	Description
ChartPart	Refers to the ChartPart object.
MouseFlags	Integer. Indicates if another key is held down when the mouse button is clicked.
CancelEvent	Refers to CancelEvent object.
Remarks

This event fires in addition to an event listed in the See Also list, provided that event has not been cancelled first.  If the container does not support the CancelFlag or ByRef values, then this event is used with the CancelEvent object. This event is fully functional in Internet Explorer 3.0 and other VBScript-based containers.


PartSelected Event

Description

This event occurs when the user clicks to select a chart part.

Syntax

Sub VtChart1_PartSelected (ChartPart , MouseFlags , CancelEvent )

The PartSelected event syntax has these parts:

Part	Description
ChartPart	Refers to ChartPart object.
MouseFlags	Integer. Indicates if another key is held down when the mouse button is clicked.
CancelEvent	Refers to CancelEvent object.
Remarks

This event fires in addition to an event listed in the See Also list, provided that event has not been cancelled first.  If the container does not support the CancelFlag or ByRef values, then this event is used with the CancelEvent object. This event is fully functional in Internet Explorer 3.0 and other VBScript-based containers.


PartUpdated Event

Description

This event occurs when the chart part has changed.

Syntax

Sub VtChart1_PartUpdated (ChartPart , updateFlags )

The PartUpddated event syntax has these parts:

Part	Description
ChartPart	Refers to the ChartPart object.
updateFlags	updateFlags is a vector of flags identifying the chart update.
Remarks

This event fires in addition to an event listed in the See Also list. This event is fully functional in Internet Explorer 3.0 and other VBScript-based containers.


PlotActivated Event

Description

This event occurs when the user double-clicks the chart plot. To replace the standard user interface, canceling the event and displaying a custom dialog box.

Syntax

Sub VtChart1_PlotActivated ( mouseFlag As Integer, cancel As Integer )

mouseFlag indicates if another key is held down when the mouse button is clicked.

Remarks

Set cancel equal to True to prevent the user from selecting the plot and displaying the Chart Designer.


PlotSelected Event

Description

This event occurs when the user clicks the chart plot.

Syntax

Sub VtChart1_PlotSelected ( mouseFlag As Integer, cancel As Integer )

mouseFlag  indicates if another key is held down when the mouse button is clicked.

Remarks

Set cancel equal to True to prevent the user from selecting the plot.


PlotUpdated Event

Description

This event occurs when the chart plot has changed.

Sytax

Sub VtChart1_PlotUpdated ( updateFlags As Integer )

updateFlags is a vector of flags identifying the chart update.


PointActivated Event

Description

This event occurs when the user double-clicks a data point. To replace the standard user interface, canceling the event and displaying a custom dialog box.

Syntax

Sub VtChart1_PointActivated ( series As Integer, dataPoint As Integer, mouseFlag As Integer, cancel As Integer )

series identifies the series containing the data point. Series are numbered in the order that their columns appear in the data grid, beginning with 1.

dataPoint identifies the data point’s position in the series. Points are numbered in the order that their rows appear in the data grid, beginning with 1.

mouseFlag indicates if another key is held down when the mouse button is clicked.

Remarks

Set cancel equal to True to prevent the user from selecting the data point and displaying the Chart Designer.


PointLabelActivated Event

Description

This event occurs when the user double-clicks a data point label. To replace the standard user interface, canceling the event and displaying a custom dialog box.

Syntax

Sub VtChart1_PointLabelActivated ( series As Integer, dataPoint As Integer, mouseFlag As Integer, cancel As Integer )

series identifies the series containing the data point. Series are numbered in the order that their columns appear in the data grid, beginning with 1.

dataPoint identifies the data point’s position in the series. Points are numbered in the order that their rows appear in the data grid, beginning with 1.

mouseFlag indicates if another key is held down when the mouse button is clicked.

Remarks

Set cancel equal to True to prevent the user from selecting the data point label and displaying the Chart Designer.


PointLabelSelected Event

Description

This event occurs when the user clicks a data point label.

Syntax

VtChart1_PointLabelSelected ( series As Integer, dataPoint As Integer, mouseFlag As Integer, cancel As Integer )

series identifies the series containing the data point. Series are numbered in the order that their columns appear in the data grid, beginning with 1.

dataPoint identifies the data point’s position in the series. Points are numbered in the order that their rows appear in the data grid, beginning with 1.

mouseFlag indicates if another key is held down when the mouse button is clicked.

Remarks

Set cancel equal to True to prevent the user from selecting the data point label.


PointLabelUpdated Event

Description

This event occurs when a datapoint label has changed.

Syntax

Sub VtChart1_PointLabelUpdated ( series As Integer, dataPoint As Integer, updateFlags As Integer )

series identifies the series containing the data point. Series are numbered in the order that their columns appear in the data grid, beginning with 1.

dataPoint identifies the data point’s position in the series. Points are numbered in the order that their rows appear in the data grid, beginning with 1.

UpdateFlags  is a vector of flags identifying the chart update.

Flag	Description
VtChNoDisplay	Update does not affect chart display.
VtChDisplayPlot	Update will cause the plot to repaint.
VtChLayoutPlot	Update will cause the plot to lay out.
VtChDisplayLegend	Update will cause the legend to repaint.
VtChLayoutLegend	Update will cause the legend to lay out.
VtChLayoutSeries	Update will cause the series to lay out.


PointSelected Event

Description

This event occurs when the user clicks a data point.

Syntax

Sub VtChart1_PointSelected ( series As Integer, dataPoint As Integer, mouseFlag As Integer, cancel As Integer )

series identifies the series containing the data point. Series are numbered in the order that their columns appear in the data grid, beginning with 1.

dataPoint identifies the data point’s position in the series. Points are numbered in the order that their rows appear in the data grid, beginning with 1.

mouseFlag indicates if another key is held down when the mouse button is clicked.

Remarks

Set cancel equal to True to prevent the user from selecting the specified data point.


PointUpdated Event

Description

This event occurs when a datapoint has changed.

Syntax

Sub VtChart1_PointUpdated ( series As Integer, dataPoint As Integer, updateFlags As Integer )

series identifies the series containing the data point. Series are numbered in the order that their columns appear in the data grid, beginning with 1.

dataPoint identifies the data point’s position in the series. Points are numbered in the order that their rows appear in the data grid, beginning with 1.

updateFlags is a vector of flags identifying the chart update.

Flag	Description
VtChNoDisplay	Update does not affect chart display.
VtChDisplayPlot	Update will cause the plot to repaint.
VtChLayoutPlot	Update will cause the plot to lay out.
VtChDisplayLegend	Update will cause the legend to repaint.
VtChLayoutLegend	Update will cause the legend to lay out.
VtChLayoutSeries	Update will cause the series to lay out.


SeriesActivated Event

Description

This event occurs when the user double-clicks a chart series. To replace the standard user interface, canceling the event and displaying a custom dialog box.

Syntax

Sub VtChart1_SeriesActivated ( series As Integer, mouseFlag As Integer, cancel As Integer )

series identifies the series. Series are numbered in the order that their columns appear in the data grid, beginning with 1.

mouseFlag indicates if another key is held down when the mouse button is clicked.

Remarks

Set cancel equal to True to prevent the user from selecting the series and displaying the Chart Designer.


SeriesLabelActivated Event

Description

This event occurs when the user double-clicks a series label. To replace the standard user interface, canceling the event and displaying a custom dialog box.

Syntax

Sub VtChart1_SeriesLabelActivated ( series As Integer, mouseFlag As Integer, cancel As Integer )

series identifies the series. Series are numbered in the order that their columns appear in the data grid, beginning with 1.

mouseFlag indicates if another key is held down when the mouse button is clicked.

Remarks

Set cancel equal to True to prevent the user from selecting the series label and displaying the Chart Designer.


SeriesLabelSelected Event

Description

This event occurs when the user clicks a series label.

Syntax

Sub VtChart1_SeriesLabelSelected ( series As Integer, mouseFlag As Integer, cancel As Integer )

series identifies the series. Series are numbered in the order that their columns appear in the data grid, beginning with 1.

mouseFlag indicates if another key is held down when the mouse button is clicked.

Remarks

Set cancel equal to True to prevent the user from selecting the series label.


SeriesLabelUpdated Event

Description

This event occurs when a series label has changed.

Syntax

Sub VtChart1_SeriesLabelUpdated ( series As Integer, updateFlags As Integer )

series identifies the series. Series are numbered in the order that their columns appear in the data grid, beginning with 1.

updateFlags is a vector of flags identifying the chart update.

Flag	Description
VtChNoDisplay	Update does not affect chart display.
VtChDisplayPlot	Update will cause the plot to repaint.
VtChLayoutPlot	Update will cause the plot to lay out.
VtChDisplayLegend	Update will cause the legend to repaint.
VtChLayoutLegend	Update will cause the legend to lay out.
VtChLayoutSeries	Update will cause the series to lay out.


SeriesSelected Event

Description

This event occurs when the user clicks a chart series.

Syntax

Sub VtChart1_SeriesSelected ( series As Integer, mouseFlag As Integer, cancel As Integer )

series identifies the series. Series are numbered in the order that their columns appear in the data grid, beginning with 1.

mouseFlag indicates if another key is held down when the mouse button is clicked.

Remarks

Set cancel equal to True to prevent the user from selecting all elements that make up the chart series.


SeriesUpdated Event

Description

This event occurs when a chart series has changed.

Syntax

Sub VtChart1_SeriesUpdated ( series As Integer, updateFlags As Integer )

series identifies the series. Series are numbered in the order that their columns appear in the data grid, beginning with 1.

updateFlags is a vector of flags identifying the chart update.

Flag	Description
VtChNoDisplay	Update does not affect chart display.
VtChDisplayPlot	Update will cause the plot to repaint.
VtChLayoutPlot	Update will cause the plot to lay out.
VtChDisplayLegend	Update will cause the legend to repaint.
VtChLayoutLegend	Update will cause the legend to lay out.
VtChLayoutSeries	Update will cause the series to lay out.


TitleActivated Event

Description

This event occurs when the user double-clicks the chart title. To replace the standard user interface, canceling the event and displaying a custom dialog box.

Syntax

Sub VtChart1_TitleActivated ( mouseFlag As Integer, cancel As Integer )

mouseFlag indicates if another key is held down when the mouse button is clicked.

Remarks

Set cancel equal to True to prevent the user from selecting the title and displaying the Chart Designer.


TitleSelected Event

Description

This event occurs when the user clicks the chart title.

Syntax

Sub VtChart1_TitleSelected ( mouseFlag As Integer, cancel As Integer )

mouseFlag indicates if another key is held down when the mouse button is clicked.

Remarks

Set cancel equal to True to prevent the user from selecting the chart title.


TitleUpdated Event

Description

This event occurs when the chart title has changed.

Syntax

Sub VtChart1_TitleUpdated ( updateFlags As Integer )

updateFlags is a vector of flags identifying the chart update.

Flag	Description
VtChNoDisplay	Update does not affect chart display.
VtChDisplayPlot	Update will cause the plot to repaint.
VtChLayoutPlot	Update will cause the plot to lay out.
VtChDisplayLegend	Update will cause the legend to repaint.
VtChLayoutLegend	Update will cause the legend to lay out.
VtChLayoutSeries	Update will cause the series to lay out.


Methods of Accessing Data with First Impression

In order for First Impression to display data on a chart, the control must have access to data. In general, there are a few ways of providing data to First Impression. Depending on the environment you are using, you may or may not be able to utilize one particular method.

Some methods of providing data to First Impression are:

Copy and Paste. Place data on the clipboard which can then be copied to the control.

Drag and Drop. Interactively select data and drag it onto the First Impression chart for display. Conversely, you can select a First Impression chart and drag data to drop on a spreadsheet or other application that accepts pictures or tab-delimited text.

For more information, see Using Drag and Drop Functionality to Copy Data.

Spreadsheet Link. Link First Impression to a Formula One worksheet and access the sheet data directly.

For information regarding linking Formula One see, Linking to a Formula One Spreadsheet.

Data Binding. First Impression can access data through an ODBC data source control. Data binding is dependent on the data source control provided by your environment.


Data Binding in Development Environments

Microsoft's Remote Data Control permits applications to access ODBC data sources. Visual Basic and Visual C++ are two environments that currently support data binding through the Microsoft Remote Data Control (MSRDC).

In PowerBuilder 5.0, you can provide data to First Impression utilizing two methods.

•	Place the First Impression control in the Application Window. Copy data to the clipboard where First Impression can access it via the Paste method.

•	For database connectivity, PowerBuilder provides data to the First Impression control via the DataWindow Object.

For specific information about databinding in Visual Basic, Visual C++ and PowerBuilder, refer to those sections in the First Impression 5.0 User's Guide.


Clipboard Copy and Paste with First Impression

First Impression supports copy and paste capabilities to the Windows Clipboard. The following three formats are supported:

 CF_Text - tab-delimited text format

 CF_DIB - bitmap format

 CF_METFILEPICT - Windows metafile format

When a paste command is issued, First Impression will first check to see if tab-delimited text exists on the clipboard. If tab-delimited text is present, then the tab-delimited text is parsed into the chart data grid. If text is not available, the entire .bmp or .wmf format present on the clipboard is pasted as a backdrop or as a 2d bar picture to the selected chart part.

When a copy or cut command is issued on a First Impression chart, all three data formats are exported to the clipboard. The entire graphical representation of the chart is copied to the clipboard. It is not possible to copy just a single part of a chart.


Using Drag-and-Drop Functionality to Copy Data

First Impression provides drag-and-drop functionality to copy data between two First Impression applications or between First Impression and other applications that support drag-and-drop.

To use drag-and-drop within First Impression:

If you have two charts, or two First Impression applications, you can copy chart data between the two.

1.	At run-time, select the chart you want to copy from.

2.	Position the mouse pointer near the edge of the plot area and then hold down the mouse button. When the [image] pointer appears, drag the pointer to the other chart. You should try to select the chart for dragging near the plot's edge to avoid inadvertently selecting a chart part.

3.	With the mouse button held down, move to the second chart. When you have the mouse pointer positioned over the other chart, release the mouse. The chart will redraw to reflect the copied data. The dropped data will be copied into the data grid. Any previous data in the grid will be replaced with the dropped data.

To drag data from another application and drop it into First Impression:

1.	Arrange the application windows so that the source and destination documents are open and visible. You must be able to see the information you want to drag and the First Impression chart you want to place it on.

2.	Select the information you want to copy and position the mouse pointer near the border of the selected area. Press and hold down the mouse button.

3.	Begin dragging the selection away from the application. Drag the pointer to the First Impression chart and then release the mouse button. The chart will redraw to reflect the copied data.

Note: Data must be copied to the First Impression application at run-time only.

To drag data from First Impression to another application:

1.	Arrange the application windows so that the source and destination documents are open and visible.

2.	At run-time, select the chart you want to copy data from.

3.	To copy the information, position the mouse pointer near the edge of the plot area and then hold down the mouse button. You should try to select the chart for dragging near the plot's edge to avoid inadvertently selecting a chart part.

4.	As you begin to drag, the [image] pointer will appear.

Note: The [image] pointer appears only if OleDropMode and OleDragMode are both set to Automatic. If OleDropMode is not set to Automatic for the chart, the [image] pointer may appear, but drag operations are still allowed.

5.	With the chart selected, drag the pointer to the other application and release the mouse button.

Important: The functionality and the type of mouse pointer displayed during drag-and-drop operations depends on the settings of the OLEDragMode and OleDropMode Properties.

Related Topics:

Drag-and-Drop Between First Impression and Formula One

Supported Formats for Drag-and-Drop Operations


Supported Formats for Drag-and-Drop Operations

The drag-and-drop functionality will only work with applications that support Windows CF_TEXT, CF_DIB, and CF_METAFILEPICT data.

When dragging and dropping data between applications, the source application notifies the receiver application which data types it can supply, i.e., CF_TEXT, CF_METAFILEPICT, or both. It is ultimately the decision of the receiving application as to which format it actually uses.

On drag operations from the chart, First Impression includes both CF_TEXT and CF_METAFILEPICT information. However; if you drag a First Impression chart to another application, the other application is likely to display only the textual data even though First Impression is also offering picture formats.

On drop operations to the chart, First Impression will first check for CF_TEXT, as this is the preferred format. CF_TEXT data will be copied to the data grid, and the chart will redisplay the new data.

If the drop contains other formats, such as CF_METAFILEPICT and is not accompanied by CF_TEXT, then First Impression will attempt to paste the picture as a backdrop to the currently selected chart part. If the currently selected chart part is a 2D bar, the Metafile is pasted as its fill picture.

Related Topics:

Drag-and-Drop Between First Impression and Formula One

Using Drag-and-Drop Functionality to Copy Data


Drag-and-Drop Between First Impression and Formula One

When dragging and dropping data between First Impression and Formula One, you can establish an interactive link between the applications. With an established link, when data is modified in the sheet the chart will repaint to reflected the changes in data immediately.

To establish a link when dragging and dropping data from Formula One:

1.	Select the data in the Formula One worksheet that you wish to copy to the chart.

2.	Position the mouse pointer near the border of the selected data. Hold down the Shift and Control keys on the keyboard while you click the mouse button.

3.	While holding down the Shift and Control keys and the mouse button, drag the selected data to the chart. The mouse pointer will change to [image] when you have successfully positioned the cursor over the chart. Release the mouse button. The data will be copied to the chart creating an interactive link between the worksheet and the chart. From this point on, when data is modified in the Formula One worksheet, First Impression will automatically display the changes.

Note: You must drag data to First Impression at run-time only.

Related Topics:

Using Drag-and-Drop Functionality to Copy Data

Supported Formats for Drag-and-Drop Operations


Performance Tuning

First Impression provides true 3D drawings of text and objects in 3D charts. In order to accomplish this effect, each chart object may have to be broken down into hundreds of smaller objects for the most realistic 3D appearance. While this can provide a great deal of impact in your chart, frequent repaints or printing of 3D objects can cause performance problems on slower machines. The following tips can help you get the best performance from First Impression.

 Limit the use of line smoothing. Smoothing also dramatically increases the number of objects required to draw an element. If you want to use smoothing, turn it on right before printing. You can control the smoothing applied to a series with the Smoothing controls on the Options tab of the Format Series dialog box.

 Choose line styles with dits rather than dots. 3D line styles with dots or rounded end caps can take much longer to render because they dramatically increase the number of objects that make up the line. Use line styles with square end caps and dits instead of dots to design your chart. If necessary, you can switch to the dotted line styles at the end of the design process.

 Limit the number of sides on elements. Increasing the number of sides on elements such as bars and doughnuts can give them a more pleasing, rounded appearance. However, remember that each additional side can dramatically increase the number of objects in the element. Visually, there may not be that much difference between 10 sides and 12 sides, but the two extra sides can have a dramatic effect on the amount of time it takes to draw a doughnut. Use the lowest number of sides that gives you the appearance you want.

 Turn off edge lighting. Proper edge lighting can help to clearly delineate the faces of 3D elements. However, it also dramatically increases the number of objects that have to be drawn to create the element. You can improve performance by turning the edge lighting off. This is particularly true if you are drawing doughnut charts with many sides. If you require edge lighting on your chart, turn it on right before printing the chart. You can control the use of edge lighting by clicking the Use Edge Lighting check box on the 3D Lighting tab of the Format Plot dialog box.

 Disable repainting when performing a series of operations. When performing a number of sequential operations on a chart, disable repainting with the Repaint property so the screen does not repaint after each operation. This increases the speed of the operation and avoids unnecessary screen flashing.

 Improve repaint speed for C/C++ programs. You can improve repaint speed at the cost of some memory, by creating the window with class style CS_SAVEBITS.

 Speed the code writing process with object variables. You can simplify tasks by declaring object variables in code. By assigning a variable to the object, you can shorten the statements you must type. Refer to Working with Objects for more information.

 Save time using the WITH clause. You can slash time when writing code by using the WITH clause in your statements. The WITH clause allows you to declare the object one time and then set multiple properties for the same object in a single statement. Refer to Working with Objects for more information


Introduction

First Impression is a high performance chart control that allows you to create, format, and print charts. It contains the tools needed to organize and present your data in many different ways. Its major features include:

Support for All Major Chart Types. First Impression includes 2D, 3D, and stacked permutations of bar, line, area, and step charts. It also includes XY, polar, radar, gantt, hi-lo, pie, doughnut, elevation, 3D XYZ, and 3D scatter charts.

Interactive Chart Formatting. First Impression allows you to use simple point and click techniques to easily change chart types, text styles, fill patterns, marker styles, as well as 3D rotation, perspective, lighting, and much more.

Plot Multi-Dimensional Data. First Impression easily interprets and charts complex data with multiple levels of labels.

True 3D. First Impression offers true 3D representations of chart elements, including the use of projected text. It also provides exceptional control of lighting on 3D chart elements.

Ease of Use. First Impression has many features that make it one of the easiest chart controls to use, including the complete documentation available through on-line help and endless flexibility for customizing the control.

Topics in this Section

Basic Concepts

New Features in 5.0

Getting Technical Support


Basic Concepts

First Impression is an ActiveX control. It can be accessed directly by Microsoft's Visual Basic, Visual C++, and other environments that support ActiveX controls.

 In design mode, randomly generated data is provided to allow you to design a default format for the chart control. You can override this data by inserting specific values in the data grid.

 In run mode, data can be assigned to the data grid associated with the chart. This data is charted using the default format you created during design time. You can also allow additional formatting of the chart during run time.

 The chart format can be modified from code or from the built-in user interface.

 Charts can be saved with a form or in a separate file.

 Any formatting changes you make to a chart using the First Impression interface are only saved if you are in design mode. Any changes made through the interface in run mode are not saved with the chart.


New Features in 5.0

Chart Designer. First Impression users now have two ways to set properties through the user interface. In addition to the standard OLE property pages, First Impression now provides tabbed designer pages in an organizational tree format. In the Chart Designer, users can select a chart item and view all designer pages available for that item. Common designer pages will display when multiple chart items are selected. Refer to The Chart Designer for more information.

JPEG Support. First Impression now allows for charts to be exported as JPEG graphics files. JPEG graphics files can be imported and used for backdrops and pictographs. For more information, refer to PictureType Constants.

Internet Explorer-Friendly. First Impression now works with Internet Explorer to provide you ActiveX charts for Internet application deployment.

Complex Bound Control. First Impression is now a complex bound control. An example of this functionality is described in the  Accessing Data section.


Getting Technical Support

The Visual Components technical support staff can help you with any problem you encounter installing or using First Impression. If you need assistance, contact Visual Components in any of the following ways:

By telephone. You can contact our technical support staff at (913) 851-2200 on weekdays between 8:30 a.m. and 5:30 p.m., central time.

By FAX. You can contact us by FAX at (913) 851-1390.

On the World Wide Web. Contact us at:

www.visualcomp.com

By mail. Address your correspondence to:

Visual Components Technical Support Department

Sybase, Inc.

12980 Metcalf

Suite 300

Overland Park, KS 66213

In Europe, contact:

Visual Components Europe

Lenexa House

11 Eldon Way

Paddock Wood, Kent

England TN12 6BE

Tel:  +44 1892 834343

Fax: +44 1892 835843

BBS: +44 1892 835579


Exporting Charts

There are two ways to export copies of a chart from First Impression: by saving it to a file, or by copying it to the clipboard.

To copy a chart to the clipboard:

1.	Use the right mouse button to display the context menu and select Copy.

A copy of the current chart is placed on the clipboard in Windows Metafile format. You can then view the chart in any application that supports the .wmf format.

To save the chart to a file:

1.	Use the right mouse button to display the context menu and select Save As.

The Save As dialog box appears.

2.	Enter a name and path for the file.

3.	Select a file type from the Save File As Type popup.

You can save the chart in the native First Impression format (.VTC), standard metafile (.WMF), Windows bitmap (.BMP), and Joint Photographic Experts Group format (.JPEG). By default, the Adobe placeable header information is included in the metafile.

4.	To save the metafile without the Adobe Placeable header information, check Save metafile without size information.

Do not check this option if you intend to use this metafile in a Microsoft application such as Word or Excel. These applications expect size information to be included in metafiles.

5.	To save the text on the chart as curves check Save Text As Curves.

You should check this option if you are using an unusual font that may not be present on other systems that will be using the metafile. This option should also be used to properly display text if you are deforming the metafile by stretching it.

6.	Click Save.


Deleting Charts

You can delete a chart from you project by using the context menu item.

To delete a chart:

1.	Click once to select the chart

2.	Use the right mouse button to display the context menu and select Delete.

The chart will be deleted.


Loading Saved Charts

You can load a chart that was saved in First Impression’s native format into the current chart control. Any chart that currently exists in the control is discarded.

To load a file:

1.	Use the right mouse button to display the context menu and select Load.

The Open dialog box appears. A list of all .vtc files in the current directory is displayed.

2.	Select the file you want to load.

3.	Click OK.


Printing Charts

You can print a copy of the current chart. You can also set print and page layout settings.

To print a chart:

1.	Use the right mouse button to display the context menu and choose Print to display the Print dialog box.

Click on the buttons and boxes of this dialog to learn what they do.

2.	Make any necessary settings and click Print.

Specific information about the settings that you can access from the Print dialog box is presented in the following discussion.


Printer Name combo list

Allows you to select the name of your printer from a drop-down list.


Number of Copies text box

Type in the number of copies desired.


Properties button

Displays the printing properties for your particular printer.


Print OK button

Sends a copy of the chart to the printer.


Print Cancel button

Cancels print operation.


Layout Button

Displays the Print Layout Options dialog.


Setting Print Options

The Print Layout dialog box allows you to specify print and page layout settings such as page margins and position, scaling, and orientation.

To access the Print Layout dialog box:

1.	Use the right mouse button to display the context menu and choose Print to display the Print dialog box.

2.	Click the Layout button.

Click on the buttons and boxes of this dialog to learn what they do.


Orientation section

Portrait   Click here to print across the length of the page.

Landscape   Click here to print across the width of the page.


Layout radio buttons

Select Screen Layout to print the chart exactly as it appears on the screen.

Select Layout for Printer to layout the chart to best fit the page.

Chart elements such as axis labels and data points are repositioned as they would be if you had resized the chart on the screen.


Scaling radio buttons

Select Actual Size to print the chart at the original size it was created.

Select Best Fit to scale the chart proportionally to fit the page.


Page Margins text boxes

Left, Top, Right, Botton - Enter a value in inches or centimeters, depending on your Windows settings

This specifies the top, bottom, left, and right margins of the page.


Layout OK Button

Saves changes and dismisses dialog box.


Cancel Button

Dismisses dialog without saving changes.


Changing Printer Setup

If you click the Properties button located on the Print dialog box, you can set standard Windows settings for selecting the printer, page orientation, and paper size and source.

For more information about print options specific to your printer, consult your printer's manual.


Using Chart Property Pages

You can set some fundamental chart properties interactively by selecting options in a GUI tabbed dialog. Property pages organize and present similar properties together so you can make multiple changes to a single chart feature simultaneously.

The display of chart property pages is controlled by the ActiveX container. The container determines how property pages are accessed and displayed, and when changes to individual options in the tabs are applied to the chart.

For more information about:

•	setting advanced chart features

•	setting chart features for multiple elements

•	viewing chart features in an organized tree view

see The Chart Designer


Displaying Property Pages

Once the Chart has been placed in the container, you can access the property pages through the context menu if the ActiveX container supports it.

Not all containers behave in the same manner. In Visual Basic, you access the context menu by right-clicking on the chart control.

To display the chart Properties:

1.	Right-click the chart control on the form.

2.	Choose Properties from the context menu.

The Chart property pages will display.


Chart Property Page

Click on the check boxes, drop down lists and buttons of this tab to learn what they do. Click on a tab to view another property page.


Applying Properties in Visual Basic

When using OLE property pages, the ActiveX container controls when properties are applied to the chart. In Visual Basic, when you set a property for a chart, that property is applied to the chart either when you move to another tab in the property page dialog, or when you click the Apply button. All tab changes are applied when the OK button is clicked to exit the dialog.


Chart Type buttons

Click the 2D radio button if you want to display a two-dimensional chart. Click the 3D radio button if you want to display a three-dimensional chart.


Chart Type list box

Select the chart type you wish to display from the scrollable list box. The chart types available depend on whether the chart is a 2D or 3D chart.


Chart Options

Legend - Check this box if you wish to display a legend with the chart.

Markers - Check this box if you wish to display series markers on the chart. Markers represent the data points on the chart for all 2D charts other than pie or bubble.

Series in Rows - Check this box to read series data from the data grid rows rather than columns.

Stack Series - Check this box if you wish to stack all series in the current chart. You can stack series in a bar, line, area, step, combination, clustered bar, and horizontal bar chart. Stacking places the data points from the same category on top of each other. Each bar still represents the same value.

Stacking data shows how all categories in a series compare over time, or compares each part to the total.


Print button

Invokes the print dialog from this property page.


Save As button

Invokes the Save dialog from this property page.


Load button
Open button

Invokes the Open file dialog from this property page.


Designer button

Invokes the Chart Designer from this property page.


Edit Data button

Invokes the Chart Data Grid Editor from this property page.


Wizard button

Invokes the Chart Wizard from this property page.


Ok button

Click this button to save the changes made to tab options and dismiss the dialog.


Cancel button

Click this button to dismiss the dialog box without saving any changes to tab options.


Apply button

Click this button to apply tab changes to the chart without dismissing the dialog.


Help button

Click this button to display property page help.


Axis Property Page

Click on the check boxes, drop down lists and buttons of this tab to learn what they do. Click on a tab to view another property page.


Axis drop-down list

Select a chart axis from the drop-down list.


Axis Line section

Width - Select a line width from the drop-down list.

Color - Select a line color from the drop-down palette or select custom to display the custom color palette.


Axis Scale section

Show Scale - Check this box to display the scale, line, ticks and title on the axis. Uncheck this box to hide the axis elements.

Automatic Scaling - Check this box to allow First Impression to scale the axis based on the minimum and maximum values in the data being charted. Uncheck this box to manually scale the axis based on values you provide.

Applies only to Category Scale Axis

Divisions per label - A value of 1 labels every division. A value greater than 1 labels the first division and skips the labels for the extra divisions.

Divisions per tick - A value of 1 places a tick mark at every division. A value greater than 1 places a tick mark at the first division and skips the tick marks for the extra divisions.

Applies only to Value Scale Axis

Minimum - If Automatic Scaling is turned off, enter the lowest or minimum value for the scale in this edit box.

Maximum - If Automatic Scaling is turned off, enter the highest or maximum value for the scale in this edit box.

Major divisions - If Automatic Scaling is turned off, enter the number of major axis divisions in this edit box. Axis labels are only displayed on major divisions.

Minor divisions - If Automatic Scaling is turned off, enter the number of minor divisions to appear between each major division of the axis in this edit box.


Axis Grid Property Page

Click on the check boxes, drop down lists and buttons of this tab to learn what they do. Click on a tab to view another property page.


Major Gridlines section

Major gridlines appear at each major division on the axis.

Style - Select a gridline style from the drop-down list.

Width - Select the width of the gridline from the drop-down list.

Color - Select the gridline color from the drop-down palette or select custom to display the custom color palette.


Minor Gridlines section

Minor gridlines appear at minor divisions between major axis divisions.

Style - Select a gridline style from the drop-down list.

Width - Select the width of the gridline from the drop-down list.

Color - Select the gridline color from the drop-down palette or select custom to display the custom color palette.


Series Property Page

Click on the check boxes, drop down lists and buttons of this tab to learn what they do. Click on a tab to view another property page.


Series drop-down list

Select the chart series from the drop-down list.


Statistics section

Use these check boxes to display statistic lines on the chart.

Minimum - Check this box to display a line indicating the minimum Y value on the chart.

Maximum - Check this box to display a line indicating the maximum Y value on the chart.

Mean - Check this box to display a line indicating the mathematical mean of the Y values on the chart.

Standard deviation - Check this box to display a line indicating the standard deviation of the Y values on the chart.

Regression - Check this box to show a trend line indicated by the Y values on the chart.


Series type drop-down list

Select the type of series from the drop-down list.


Options section

Hide - Check this box to turn off display of the current series. The space occupied by the series is still shown on the chart, but the data is not displayed. Uncheck this box to redisplay a hidden series.

Exclude - Check this box to remove a series from a chart. The series data and the space it occupies are not displayed on the chart. Uncheck this box to return an excluded series to the chart.

Plot on 2nd Y Axis - Check this box to plot the current series on the secondary Y axis rather than the primary axis. You may then want to change the scale, type, or format of the secondary axis to best display the series data.

Show markers - Check this box to display markers on a series. Uncheck this box to remove markers from a series.


Series Color Property Page

Click on the check boxes, drop down lists and buttons of this tab to learn what they do. Click on a tab to view another property page.


Interior section

Color -Select the color you wish to apply to the series from the drop-down palette or select custom to display the custom color palette.

Pattern - Select the pattern you wish to apply to the series from the drop-down list.

Pattern Color - Select the color of the pattern you wish to apply from the drop-down palette or select custom to display the custom color palette.

The lines or dots that make up the pattern can be either white, gray, black or colored. It is recommended that you select a contrasting color for the pattern, otherwise the pattern is not visible.


Edge/Line section

Style - Select the style you wish to apply to the series edge/line from the drop-down list.

Width - Select the width you wish to apply to the series edge/line from the drop-down list.

Color - Select the color you wish to apply to the series edge/line from the drop-down palette or select custom to display the custom color palette.


Backdrop Property Page

Click on the check boxes, drop down lists and buttons of this tab to learn what they do. Click on a tab to view another property page.


Property name drop-down list

Select the name of the property from the drop-down list.


Backdrop interior section

Color - Select the color you wish to apply to the backdrop from the drop-down palette or select custom to display the custom color palette.

Pattern - Select the pattern you wish to apply to the backdrop from the drop-down list. The pattern is represented by lines or dots on a colored background.

Pattern Color - Select the color of the pattern you wish to apply from the drop-down palette or select custom to display the custom color palette.

The lines or dots that make up the pattern can be either white, gray, black or colored. It is recommended that you select a contrasting color for the pattern, otherwise the pattern is not visible.


Shadow Check Box

Check this box if you want the backdrop to have a shadow.


Backdrop border section

Style - Select the style of backdrop border from the drop-down list.

Width - Enter a border width in points.

Color - Select the color for the backdrop border from the drop-down palette or select custom to display the custom color palette.


Text Property Page

Click on the check boxes, drop down lists and buttons of this tab to learn what they do. Click on a tab to view another property page.


Text area

Enter the desired text for the selected property in this edit box.


Alignment buttons

 Horizontal align left - All lines of text are aligned on the left margin.

 Horizontal align center - All lines of text are centered between the margins.

 Horizontal align right - All lines of text are aligned on the right margin.

 Vertical align top - All lines of text are aligned on the top margin.

 Vertical align center - All lines of text are centered vertically.

 Vertical align bottom - All lines of text are aligned on the bottom margin.

When you rotate text up or down, the vertical and horizontal alignment are still relative to the text and not the bounding box. In other words, text that is rotated up and aligned to the left is flush against the bottom of the bounding box rather than to the left side.


Orientation buttons

 Horizontal - The text is displayed horizontally.

 Vertical - The text is displayed one letter on top of another reading from top to bottom.

 Up - The text is rotated to read from bottom to top.

 Down - The text is rotated to read from top to bottom.

When you rotate text up or down, the vertical and horizontal alignment are still relative to the text and not the bounding box. In other words, text that is rotated up and aligned to the left is flush against the bottom of the bounding box rather than to the left side.


Fonts Property Page

Click on the check boxes, drop down lists and buttons of this tab to learn what they do. Click on a tab to view another property page.


Font Name list box

Select the font you wish to apply from the drop-down list.


Font Style list box

Select the font style from the drop-down list.


Font Size list box

Select the size you wish to apply from the drop-down list.


Font Effects check boxes

Strikeout - Check this box to apply a strike through effect to the font.

Underline - Check this box to apply an underline effect to the font.


Font Color list box

Select the color you wish to apply from the drop-down palette or select custom to display the custom color palette.


Properties Custom Color Palette

The custom color palette displays whenever you select the custom color option in a Chart Designer or Properties dialog.

From the custom color palette, you can create a custom color, or select a system color for your chart part.


AboutBox Method

Displays the About First Impression dialog box. This dialog box contains information about your version of First Impression, including your serial number. You must have your serial number to receive technical support or upgrade pricing on future product releases.

Syntax

object.AboutBox

The AboutBox method has the following parts:

Part	Description
object	An object expression that evaluates to an object in the Applies To list.


ActiveSeriesCount Property

Returns the number of series that appear on a chart based on the number of columns in the data grid and the type of chart being drawn.

Syntax

[= count] object.ActiveSeriesCount

The ActiveSeriesCount property has the following parts:

Part	Description
object	An object expression that evaluates to an object in the Applies To list.
count	An integer that describes the number of series for the chart.


AllowDitheringProperty

Sets or returns a value that determines whether to disable color dithering for charts on 8-bit color monitors in order to enable use of Chart Component’s own color palette and enhance the chart display.

Syntax

object.AllowDithering [=boolean]

The AllowDithering property has the following parts:

Part	Description
object	An object expression that evaluates to an object in the Applies To list.
boolean	A Boolean value that specifies whether color dithering is allowed, as described in Settings.
Settings

The settings for boolean are:

Setting	Description
True	Color dithering is allowed.
False	Chart Component’s color palette is used for enhanced color matching and display.


AllowDynamicRotation Property

Indicates whether users can interactively rotate 3D charts by holding down the control key to display the rotation cursor.

Syntax

object.AllowDynamicRotation [= boolean]

The AllowDynamicRotation property has the following parts:

Part	Description
object	An object expression that evaluates to an object in the Applies To list.
boolean	A Boolean value that specifies whether a dynamic rotation is allowed, as described in Settings.
Settings

The settings for boolean are:

Setting	Description
True	The user can interactively rotate the chart with the cursor.
False	The user cannot interactively rotate the chart with the cursor.


AllowSelections Property

Indicates whether or not users can select chart objects.

Syntax

object.AllowSelections [= boolean]

The AllowSelections property has the following parts:

Part	Description
object	An object expression that evaluates to an object in the Applies To list.
boolean	A Boolean value that specifies whether selections can be made, as described in Settings.
Settings

The settings for boolean are:

Setting	Description
True	The user can interactively select chart objects.
False	The user cannot select chart objects.


AllowSeriesSelection Property

Indicates whether a series is selected when a user clicks on an individual chart data point.

Syntax

object.AllowSeriesSelection [= boolean]

The AllowSeriesSelection property has the following parts:

Part	Description
object	An object expression that evaluates to an object in the Applies To list.
boolean	A Boolean value that specifies whether series are selected, as described in Settings.
Settings

The settings for boolean are:

Setting	Description
True	Users can select an entire series by clicking a data point.
False	Clicking a data point selects just that data point, not the entire series.
Remarks

Clicking again on a data point with the series already selected selects the data point.


AutoIncrement Property

Allows the properties that set the current data point to be incremented during data entry without manually setting the Column and Row properties.

Syntax

object.AutoIncrement [= boolean]

The AutoIncrement property has the following parts:

Part	Description
object	An object expression that evaluates to an object in the Applies To list.
boolean	A Boolean value that specifies whether the current data point is incremented, as described in Settings.
Settings

The settings for boolean are:

Setting	Description
True	When the Data property is changed, the Row property updates to the next row in the column. If you are at the end of a column, the Column property increments to the next column.
False	The current data point is not incremented.


AllowUserChanges Property

Determines whether the end user can use built-in dialog boxes to change chart properties.

Syntax

object.AllowUserChanges [=boolean]

The AllowUserChanges syntax has the following parts:

Part	Description
object	An object expression that evaluates to an object in the Applies To list.
boolean	A Boolean value that specifies whether dialog box changes are allowed as described in Settings.
Settings

The settings for boolean are:

Setting	Description
True	Users can use dialog boxes to change the chart properties.
False	Users cannot use dialog boxes to change properties.


Appearance Property

Sets or returns the paint style of the chart control at design time.

Syntax

object.Appearance [=value]

The Appearance property has the following parts:

Part	Description
object	An object expression that evaluates to an object in the Applies To list.
value	A VtAppearance constant that identifies the appearance settings.


Axis Property

Returns an Axis Object that describes an axis on a chart

Syntax

object.Axis ( axisID, index )

The Axis property syntax has the following parts:

Part	Description
object	An object expression that evaluates to an object in the Applies To list.
axisID	A VtChAxisId constant that identifies a specific axis.
index	Reserved for future use. Identifies the specific axis when there is more than one axis with the same axisID.


Axis Object

An object describing an axis on a chart.

Syntax

Axis


Axis Object Example

The following example reads the number of label levels present on the X Axis using the X  Axis object.

Private Sub Command1_Click()

Dim XAxis As Object

Dim NumberOfLevels As Integer

' Read the number of label level present on the X Axis

Set XAxis = VtChart1.Plot.Axis(VtChAxisIdX, 1)

NumberOfLevels = XAxis.LabelLevelCount

MsgBox "Number of Label Levels = " & Str(NumberOfLevels)

End Sub


LabelLevelCount Property

Sets or returns the number of levels of labels for a given axis.

Syntax

object.LabelLevelCount [= count]

The LabelLevelCount property has the following parts:

Part	Description
object	An object expression that evaluates to an object in the Applies To list.
count	An integer that describes the number of labels.


AxisGrid Property

Returns an AxisGrid object that describes the planar area surrounding a chart axis.

Syntax

object.AxisGrid

The AxisGrid property has the following parts:

Part	Description
object	An object expression that evaluates to an object in the Applies To list.


AxisGrid Object

An object describing the planar area surrounding a chart axis.

Syntax

AxisGrid


Axis Grid Object Example

The following example changes the X AxisGrid major pen line style to dashed.

Private Sub Command1_Click()

' Changes Grid line style to dashed

With VtChart1.Plot.Axis(VtChAxisIdX).AxisGrid

.MajorPen.Style = VtPenStyleDashed

.MajorPen.VtColor.Set 255, 0, 0

End With

End Sub


MajorPen Property

Sets or returns a reference to a Pen object that describes the appearance of the major axis grid lines.

Syntax

object.MajorPen

The MajorPen property has the following parts:

Part	Description
object	An object expression that evaluates to an object in the Applies To list.


MinorPen Property

Sets or returns a reference to a Pen object that describes the appearance of the minor axis grid lines.

Syntax

object.MinorPen

The MinorPen property has the following parts:

Part	Description
object	An object expression that evaluates to an object in the Applies To list.


AxisScale Property

Returns an AxisScale object that describes how chart values are plotted on an axis.

Syntax

object.AxisScale

The AxisScale property syntax has the following parts:

Part	Description
object	An object expression that evaluates to an object in the Applies To list.


AxisScale Object

An object describing how chart values are plotted on an axis.

Syntax

AxisScale


AxisScale Object Example

The following example sets the x and y axes to percent scale for an XY chart.

Private Sub Command1_Click()

Dim axisID As Integer

'Change both x and y axes to Percent scale for XY chart

Form1.VtChart1.chartType = VtChChartType2dLine

For axisID = VtChAxisIdX To VtChAxisIdY

With Form1.VtChart1.Plot.Axis(axisID).AxisScale

Type = VtChScaleTypePercent

PercentBasis = VtChPercentAxisBasisSumChart

End With

Next

End Sub


Hide Property

Determines whether the axis is hidden.

Syntax

object.Hide [= boolean]

The Hide property has the following parts:

Part	Description
object	An object expression that evaluates to an object in the Applies To list.
boolean	A Boolean value that specifies whether the axis is hidden, as described in Settings.
Settings

The settings for boolean are:

Setting	Description
True	The axis scale, line, ticks and title are hidden
False	The axis appears on the chart.


LogBase Property

Sets or returns the logarithm base used to plot chart values on a logarithmic axis.

Syntax

object.LogBase [= base]

The LogBase property has the following parts:

Part	Description
object	An object expression that evaluates to an object in the Applies To list.
base	An integer that identifies the logarithm base. The default base is 10. The valid range is 2 to 100.
Remarks

The axis type is controlled by the Type property.


PercentBasis Property

Sets or returns the type of percentage used to plot chart values on a percent axis.

Syntax

object.PercentBasis [= type]

The PercentBasis property has the following parts:

Part	Description
object	An object expression that evaluates to an object in the Applies To list.
type	A VtChPercentAxisBasis constant used to describe the percentage used to plot percent axis values.
Remarks

The axis type is controlled by the Type property.


Type Property (AxisScale Object)

Sets or returns the scale type of an axis.

Syntax

object.Type [= type]

The Type property has the following parts:

Part	Description
object	An object expression that evaluates to an object in the Applies To list.
type	A VtChScaleType constant describing the axis scale type.
Remarks: This property is read/write. You may use this property to return the scale type of any axis; however, you may only use this property to set the scale type of a value axis.

If the axis is a value axis, you may set the scale type to either linear, logarithmic or percent. If the axis is a category or date axis, you cannot set the scale type.


AxisTitle Property

Refers to the AxisTitle object.

Syntax

object.AxisTitle

The AxisTitle property syntax has the following parts:

Part	Description
object	An object expression that evaluates to an object in the Applies To list.


AxisTitle Object

An object describing an axis title on a chart.

Syntax

AxisTitle


AxisTitle Object Example

The following example makes the axis title visible for all axes of a 3D chart.

Private Sub Command1_Click()

Dim axisID As Integer

' Makes Axis title visible for all axes of a 3D chart

VtChart1.chartType = VtChChartType3dBar

For axisID = VtChAxisIdX To VtChAxisIdZ

With VtChart1.Plot.Axis(axisID, 1).AxisTitle

Visible = True

Select Case axisID

Case 0

.Text = "X Axis Title"

Case 1

.Text = "Y Axis Title"

Case 2

.Text = "2nd Y Axis Title"

Case 3

.Text = "Z Axis Title"

End Select

End With

Next

End Sub


Text Property

Sets or returns the text used to display a chart element such as an axis title, data point label, footnote, or chart title.

Syntax

object.Text [= text]

The Text property has the following parts:

Part	Description
object	An object expression that evaluates to an object in the Applies To list.
text	A string that contains the text used for the chart element.
Remarks

The Text property is the default property for each of the objects to which it applies.


TextLength Property

Returns the number of characters in the text of a chart axis title, data point label, footnote, or chart title.

Syntax

[= size] object.TextLength

The TextLength property has the following parts:

Part	Description
object	An object expression that evaluates to an object in the Applies To list.
size	The number of characters in the text.
Remarks

Read-only.


Visible Property

Determines whether a chart element is displayed.

Syntax

object.Visible [= boolean]

The Visible property has the following parts:

Part	Description
object	An object expression that evaluates to an object in the Applies To list.
boolean	A Boolean value that specifies whether the item is displayed, as described in Settings.
Settings

The settings for boolean are:

Setting	Description
True	The axis title, label, or marker is displayed.
False	The elements are hidden.


Backdrop Property

Returns a Backdrop object that describes the shadow, pattern, or picture behind a chart or chart element.

Syntax

object.Backdrop

The Backdrop property has the following parts:

Part	Description
object	An object expression that evaluates to an object in the Applies To list.


Backdrop Object

An object describing the appearance of the rectangle behind a chart element.

Syntax

Backdrop

Remarks

Although the VtPicture object can be used to display many chart parts, any chart part that is rendered in 3D perspective does not support pictures. This includes 3D bars, 3D axis labels backdrops, 3D axis title backdrops, 3D data point label backdrops and 3D markers.

Backdrops for chart, plot, title, footnote and legend on 3D charts can support pictures because these chart parts are not rendered in 3D perspective.


Bar Property

Refers to an object representing a bar on bar charts.

Syntax

object.Bar

The Bar property syntax has the following parts:

Part	Description
object	An object expression that evaluates to an object in the Applies To list.


Bar Object

An object describing a bar on a bar chart.

Syntax

Bar


Bar Object Example

The following example sets all series in the chart to display pyramids instead of bars using the sides property.

Private Sub Command1_Click()

Dim series As Object

' Set Chart Type To 3D Bar

VtChart1.chartType = VtChChartType3dBar

' Sets all Series to display pyramids instead of bars

For Each series In VtChart1.Plot.SeriesCollection

series.Bar.sides = 4

series.Bar.topRatio = 0

Next

End Sub


Sides Property (Bar Object)

Sets or returns the number of sides displayed for a bar in a bar chart.

Syntax

object.Sides [= num]

The Sides property has the following parts:

Part	Description
object	An object expression that evaluates to an object in the Applies To list.
num	An integer that specifies the number of sides on the bar. The higher the number of sides, the rounder the bar appears.


TopRatio Property

Describes the percentage of the base size that is used to draw the top of a bar on a bar chart.

Syntax

object.TopRatio [= baspct]

The TopRatio property has the following parts:

Part	Description
object	An object expression that evaluates to an object in the Applies To list.
baspct	Single. Describes the percentage of the base size that is used to draw the top of the bar.


Brush Property

Returns a Brush object that describes the fill type used to display a chart element.

Syntax

object.Brush

The Brush property syntax has the following parts:

Part	Description
object	An object expression that evaluates to an object in the Applies To list.


Brush Object

An object describing a pattern, solid or hatched fill.

Syntax

Brush


Brush Object Example

The following example sets a bold vertical line pattern for the chart backdrop using the Brush object.

Private Sub Command1_Click()

' Sets Backdrop to Fill - Brush Style

VtChart1.Backdrop.Fill.Style = VtFillStyleBrush

' Sets a pattern for the backdrop using the Brush object

With VtChart1.Backdrop.Fill.Brush

.Style = VtBrushStylePattern

.Index = VtBrushPatternBoldVertical

' Sets Pattern to Bold Vertical lines

.FillColor.Set 255, 0, 0	 ' Fill Color = Red

.PatternColor.Set 0, 0, 255   ' Pattern  Color = Blue

End With

End Sub


FillColor Property

Returns a VtColor object that describes the color used to fill a chart element.

Syntax

object.FillColor

The FillColor property has the following parts:

Part	Description
object	An object expression that evaluates to an object in the Applies To list.
Remarks

If the FillColor property of the Marker object is set, then the Marker object’s Visible property is automatically set to True.


Index Property (VtChart Object)

Sets or returns the number identifying a control in a control array.

Syntax

object.Index [= num]

The Index property has the following parts:

Part	Description
object	An object expression that evaluates to an object in the Applies To list.
num	A control in a control array.


Index Property(Brush Object)

Sets or returns the pattern or hatch used in the brush if its Style property is set to VtBrushStylePattern or VtBrushStyleHatch.

Syntax

object.Index [= num]

The Index property has the following parts:

Part	Description
object	An object expression that evaluates to an object in the Applies To list.
num	A VtBrushPattern constant or VtBrushHatch constant describing the brush pattern.


PatternColor Property

Returns a VtColor object that describes the pattern color used to fill a chart element.

Syntax

object.PatternColor

The PatternColor property has the following parts:

Part	Description
object	An object expression that evaluates to an object in the Applies To list.


Style Property

Sets or returns the style used to draw certain chart elements

Syntax

object.Style [=style]

The Style property has the following parts:

Part	Description
object	An object expression that evaluates to an object in the Applies To list.
style	For the Brush object, a VtBrushStyle constant that desribes the brush pattern. For the Fill object, a VtFillStyle constant that describes the style of fill. A fill can have a brush, which is a solid color or patterned fill. For the Frame object, A VtFrameStyle constant that describes the type of frame. For the Marker object, a VtMarkerStyle constant that describes the marker type. For the Pen object, a VtPenStyle constant that describes the style of pen. For the Shadow object, a VtShadowStyle constant that describes the shadow type. For the Tick object, a VtChAxisTickStyle   constant that describes the axis tick position. For the VtFont object, a VtFontStyle constant describing the style of font. For the Weighting object, a VtChPieWeightStyle constant that describes the weighting factor method.


CategoryScale Property

Returns a CategoryScale object that describes the scale information for a category axis.

Syntax

object.CategoryScale

The CategoryScale property has the following parts:

Part	Description
object	An object expression that evaluates to an object in the Applies To list.


CategoryScale Property Example

The following example sets the scaling attributes for a Category axis.

Private Sub Command1_Click()

' Sets scaling attributes for a Category axis

VtChart1.ChartType = VtChChartType2dLine

With VtChart1.Plot.Axis(VtChAxisIdX, 1).CategoryScale

.Auto = False	' Sets manual scaling

.DivisionsPerLabel = 2   ' Label appears every two divisions

.DivisionsPerTick = 2	' Ticks appear every two divisions

.LabelTick = True	' Labels displayed on top of Tick marks

End With

End Sub


CategoryScale Object

An object describing the scale for a category axis.

Syntax

CategoryScale


Auto Property (CategoryScale Object)

Indicates whether the axis is automatically scaled.

Syntax

object.Auto [= boolean]

The Auto property has the following parts:

Part	Description
object	An object expression that evaluates to an object in the Applies To list.
boolean	A Boolean value that specifies whether the item is displayed, as described in Settings.
Settings

The settings for boolean are:

Setting	Description
True	The axis is automatically scaled based on the data being charted.
False	The axis is not automatically scaled. Values in DivisionsPerLabel and DivisionsPerTick are used to determine the scale.


DivisionsPerLabel Property

Sets or returns the number of divisions to skip between labels.

Syntax

object.DivisionsPerLabel [= num]

The DivisionsPerLabel property has the following parts:

Part	Description
object	An object expression that evaluates to an object in the Applies To list.
num	An integer representing the number of divisions.
Remarks

If this property is set, the object’s Auto property is automatically set to False.


DivisionsPerTick Property

Sets or returns the number of divisions to skip between tick marks.

Syntax

object.DivisionsPerTick [= num]

The DivisionsPerTick property has the following parts:

Part	Description
object	An object expression that evaluates to an object in the Applies To list.
num	An integer representing the number of divisions.
Remarks

If this property is set, the object’s Auto property is automatically set to False.


LabelTick Property

Indicates whether category axis labels are centered on an axis tick mark.

Syntax

object.LabelTick [= boolean]

The LabelTick property has the following parts:

Part	Description
object	An object expression that evaluates to an object in the Applies To list.
boolean	A Boolean value that specifies whether the item is displayed, as described in Settings.
Settings

The settings for boolean are:

Setting	Description
True	The labels are centered on a tick mark.
False	The labels are centered between two tick marks.
Remarks

If this property is set, the object’s Auto property is automatically set to False.


Chart3d Property

This read-only property returns whether or not a chart is a 3D chart.

Syntax

[boolean =] object.Chart3D

The Chart3D property has the following parts:

Part	Description
object	An object expression that evaluates to an object in the Applies To list.
boolean	A Boolean value that specifies whether the chart is 3d, as described in Settings.
Settings

The settings for boolean are:

Setting	Description
True	The chart is a 3D chart.
False	The chart is not a 3D chart.


ChartData Property

Loads the contents of an array directly into a chart data grid OR queries a chart for data and returns an array.

Syntax

object.ChartData [= data]

The Chart3D property has the following parts:

Part	Description
object	An object expression that evaluates to an object in the Applies To list.
data	Variant. A 2D array that holds the data used to draw the chart.
Remarks

ChartData is the default property for the VtChart object. The chart supports numeric and string data types from array elements.


ChartData Property Example

The following example uses a Visual Basic array to load the chart data grid directly:

‘Declare the variant array

Dim X(1 To 3, 1 To 3) as Variant

‘Set the data

For i = 1 To Ubound3

For j = 1 To 3

X(i,j) = i*j

Next

Next

‘Set the row labels

X(1,2) = “Wheat”

X(1,3) = “Corn”

‘Set the column labels

X(2,1) = “January”

X(3,1) = “February”

‘Set the chart data

VtChart1 = X

In this example, the lower subscript bound was declared as 1, rather than the default of 0. We used a “Variant” array where the top row and left column are set to string variables and the lower right 2x2 submatrix is set to numeric values. This allows both the chart’s labels and data to be set simultaneously. Note that declaring the array as type “String” works too, as long as the lower right submatrix contains text representations of numeric values. If you wish only to set the charts data, the array may be of the numeric types “Integer”, “Long”, “Single” or “Double”. Note that doing this will replace the existing chart labels with default row/column labels. Note, a one-dimensional array will work as well as a two-dimensional one as long as the last values are either numeric or text representations of numeric values.

The following example queries data from the chart. In this example, it is not necessary to declare the variable first. The example contains a loop to prnt out the array returned from the chart. Note the use of the Lbound and Ubound functions to determine the array bounds from the chart.

‘Set the variant from the chart data

Y = VtChart1

‘Print out the variant

For i = LBound(Y,1) To Ubound(Y,1)

For j = Lbound(Y,2) To UBound(Y,2)

MsgBox Y(i,j)

Next

Next

The returned array lower bound values are equal to 0. The returned array will always be a two dimensional aray of type “Variant”. Since ChartData is the default property for the chart, the object name alone, such as  “VtChart1,” may be sustituted for “VtChart1.ChartData”. Use VtChart1 = data or data = VtChart1.


ChartType Property

Sets or returns the chart type being used to display a chart.

Syntax

object.ChartType [= type]

The ChartType property has the following parts:

Part	Description
object	An object expression that evaluates to an object in the Applies To list.
type	A VtChChartType constant that describes the chart type.


Column Property

Sets or returns the current data column in the data grid.

Syntax

object.Column [= col]

The Column property has the following parts:

Part	Description
object	An object expression that evaluates to an object in the Applies To list.
col	Integer. The current data column.
Remarks

You must select a column before you can use other properties to change the column’s corresponding chart series or any data point within the series.


ColumnCount Property

Sets or returns the number of columns in the current data grid.

Syntax

object.ColumnCount [= count]

The ColumnCount property has the following parts:

Part	Description
object	An object expression that evaluates to an object in the Applies To list.
count	The number of data columns.


ColumnLabel Property

Sets or returns the label text associated with a column in the data grid.

Syntax

object.ColumnLabel [= text]

The ColumnLabel property has the following parts:

Part	Description
object	An object expression that evaluates to an object in the Applies To list.
text	String. Label text associated with a column in the data grid.
Remarks

This property sets the label for the column currently identified by the Column property.


ColumnLabelCount Property

Sets or returns the number of levels of labels on the columns in the data grid.

Syntax

object.ColumnLabelCount [= count]

The ColumnLabelCount property has the following parts:

Part	Description
object	An object expression that evaluates to an object in the Applies To list.
count	The number of column label levels. Set this property to add or delete levels of labels on data grid columns.
Remarks

Column label levels are numbered from bottom to top, beginning at 1. Levels are added or subtracted from the top.


ColumnLabelIndex Property

Sets or returns a specific level of column labels.

Syntax

object.ColumnLabelIndex [= index]

The ColumnLabelIndex property has the following parts:

Part	Description
object	An object expression that evaluates to an object in the Applies To list.
index	Integer. Identifies a column label level.
Remarks

To set a label on a column with more than one level of labels, or to return the current value for a label, you must first identify which level you want to affect. Column label levels are numbered from bottom to top, beginning at 1.


Coor Object

An object describing a floating point x and y coordinate pair.

Syntax

Coor


CopyDataFromArray Method

Description

Copies data from an array into a data grid.

Syntax

VtChart1.CopyFromArray ( top, left, bottom, right, array )

Part	Type	Description
top	Integer	Identifies the top edge of the area in the grid you want to fill with data.
left	Integer	Identifies the left edge of the area in the grid you want to fill with data.
bottom	Integer	Identifies the bottom edge of the area in the grid you want to fill with data.
right	Integer	Identifies the right edge of the area in the grid you want to fill with data.
array	Variant	Describes the array holding the data to be copied. This parameter should to be declared as some kind of 2D array (e.g., array (5,5) as Double).


CopyDataToArray Method

Copies data from a data grid into an array.

Syntax

VtChart1.CopyDataToArray ( top, left, bottom, right, array )

Part	Type	Description
top	Integer	Identifies the top edge of the area in the grid you want to fill with data.
left	Integer	Identifies the left edge of the area in the grid you want to fill with data.
bottom	Integer	Identifies the bottom edge of the area in the grid you want to fill with data.
right	Integer	Identifies the right edge of the area in the grid you want to fill with data.
Array	Variant	Describes the array that data is to be copied to. This parameter should to be declared as some kind of 2D array (e.g., array (5,5) as Double).


X Property

Sets or returns the X value in a floating point coordinate pair.

Syntax

object.X [= x]

The X property has the following parts:

Part	Description
object	An object expression that evaluates to an object in the Applies To list.
x	Single. (Long for LCoor object.) Identifies the x value of the coordinate.


Y Property

Sets or returns the Y value in a coordinate pair.

Syntax

object.Y [= y]

The Y property has the following parts:

Part	Description
object	An object expression that evaluates to an object in the Applies To list.
y	Single. (Long for LCoor object.) Identifies the y value of the coordinate.


Set Method (Coor and LCoor Objects)

Sets the x and y coordinate values.

Syntax

object.Set ( x,y )

The Set method has the following parts:

Part	Description
object	An object expression that evaluates to an object in the Applies To list.
x	Single. (Long for LCoor object.) Identifies the x value of the coordinate.
y	Single. (Long for LCoor object.) Identifies the y value of the coordinate.


Data Property

Inserts a value into the current data point in the data grid. If the current data point already contains a value, it is replaced by the new value. The chart is redrawn to reflect the new value for the current data point.

Syntax

object.Data [= value]

The Data property has the following parts:

Part	Description
object	An object expression that evaluates to an object in the Applies To list.
value	The data point value.


DataGrid Property

Returns a DataGrid object that describes the data grid associated with a chart.

Syntax

object.DataGrid

The DataGrid property syntax has the following parts:

Part	Description
object	An object expression that evaluates to an object in the Applies To list.


DataGrid Object

An object describing a chart data grid.

Syntax

DataGrid


DataGrid Object Example

The following example sets the chart parameters for a 3D Bar chart, fills the chart with random data and labels the data grid columns.

Private Sub Command2_Click()

Dim rowLabelCount As Integer

Dim columnLabelCount As Integer

Dim rowCount As Integer

Dim columnCount As Integer

Dim DataGrid As DataGrid

Set DataGrid = VtChart1.DataGrid

VtChart1.chartType = VtChChartType3dBar

With VtChart1.DataGrid

'Set VtChart parameters using methods.

rowLabelCount = 2

columnLabelCount = 2

rowCount = 6

columnCount = 6

.SetSize rowLabelCount, columnLabelCount, _

rowCount, columnCount

'Random Fill the data

.RandomDataFill

'Then assign labels to second Level.

Dim labelIndex As Integer

Dim column As Integer

Dim row As Integer

labelIndex = 2

column = 1

.ColumnLabel(column, labelIndex) = "Product 1"

column = 4

.ColumnLabel(column, labelIndex) = "Product 2"

row = 1

.RowLabel(row, labelIndex) = "1994"

row = 4

.RowLabel(row, labelIndex) = "1995"

End With

End Sub


ColumnLabel Property (DataGrid Object)

Sets or returns the label on a data column in the grid associated with a chart.

Syntax

object.ColumnLabel ( column, labelIndex ) [= text]

The ColumnLabel property has the following parts:

Part	Description
object	An object expression that evaluates to an object in the Applies To list.
column	Integer. Identifies a specific data column. Columns are numbered from left to right beginning with 1. Any columns containing labels are not counted as data columns.
labelIndex	Integer. Identifies a specific label level.  If more than one level of column labels exist for the column, you must identify one of them. Column labels are numbered from bottom to top beginning at 1.
text	String. The column label text.


CompositeColumnLabel Property

Returns the multi-level label that identifies a column in the data grid.

Syntax

[label =] object.CompositeColumnLabel (column)

The CompositeColumnLabel property has the following parts:

Part	Description
object	An object expression that evaluates to an object in the Applies To list.
label	String. The data grid column label.
column	Integer. Identifies a specific data column. Columns are numbered from left to right beginning with 1. Any columns containing row labels are not counted as data columns.
Remarks

Read-only.


CompositeRowLabel Property

Returns the multi-level label that identifies a row in the data grid.

Syntax

[label =] object.CompositeRowLabel (row)

The CompositeRowLabel property has the following parts:

Part	Description
object	An object expression that evaluates to an object in the Applies To list.
label	String. The data grid row label.
row	Integer. Identifies a specific data row. Rows are numbered from top to bottom beginning with 1. Any rows containing column labels are not counted as data rows.
Remarks

Read-only.


RowLabel Property (DataGrid Object)

Sets or returns a specific row label in the current data grid.

Syntax

object.RowLabel ( row, labelIndex ) [= text]

The RowLabel property has the following parts:

Part	Description
object	An object expression that evaluates to an object in the Applies To list.
row	Integer. Specifies a row. Rows are numbered from top to bottom beginning at 1.
labelIndex	Integer. Specifies a specific level of row labels. Row labels are numbered from right to left beginning at 1.
Text	String. Text of the row label.


DeleteColumns Method

Deletes columns of data and their associated labels from the data grid.

Syntax

object.DeleteColumns (column, count)

The DeleteColumns method has the following parts:

Part	Description
object	An object expression that evaluates to an object in the Applies To list.
Column	Integer. Identifies a specific data column. Columns are numbered from left to right beginning with 1.
Count	Integer. Specifies the number of columns you want to delete.


DeleteColumnLabels Method

Deletes levels of labels from the data columns in a data grid.

Syntax

object.DeleteColumnLabels (labelIndex, count)

The DeleteColumnLabels method has the following parts:

Part	Description
object	An object expression that evaluates to an object in the Applies To list.
labelIndex	Integer. Identifies the number of the first level of labels you want to delete. Column label levels are numbered bottom to top, beginning with 1.
count	Integer. Specifies the number of label levels you want to delete. The number of columns being deleted is calculated from the column identified in labelIndex up.


DeleteRows Method

Deletes rows of data and their associated labels from the data grid.

Syntax

object.DeleteRows (row, count)

The DeleteRows method has the following parts:

Part	Description
object	An object expression that evaluates to an object in the Applies To list.
row	Integer. Identifies a specific data row. Rows are numbered from top to bottom beginning with 1.
count	Integer. Specifies the number of rows you want to delete.


DeleteRowLabels Method

Deletes levels of labels from the data rows in a data grid.

Syntax

object.DeleteRowLabels (labelIndex, count)

The DeleteRowLabels method has the following parts:

Part	Description
object	An object expression that evaluates to an object in the Applies To list.
labelIndex	Integer. Identifies the number of the first level of labels you want to delete. Row labels are numbered right to left, beginning with 1.
count	Integer. Specifies the number of label levels you want to delete. Row labels are deleted from the row identified by labelIndex to the left.


GetData Method

Returns the value currently stored in a specific data point in the data grid associated with a chart.

Syntax

object.GetData (row, column, dataPoint, nullFlag)

The GetData method has the following parts:

Part	Description
object	An object expression that evaluates to an object in the Applies To list.
Row	Integer. Identifies the row containing the data point value.
column	Integer. Identifies the column containing the data point value.
dataPoint	Double. The data point value. (Return value)
nullFlag	Integer. Indicates whether or not the data point value is a null. (Return value)
Remarks

This method has an alternative methods for containers that do not support ByRef methods and events. See GetDataEx and IsNullData methods.


GetDataEx Method

Returns the value currently stored in a specific data point in the data grid associated with a chart.

Syntax

[value =] object.GetDataEx (row, column)

The GetData method has the following parts:

Part	Description
object	An object expression that evaluates to an object in the Applies To list.
row	Integer. Identifies the row containing the data point value.
column	Integer. Identifies the column containing the data point value.
value	Double. The datapoint value.
Remarks

This method is an alternative to it's ByRef counterpart, GetData . It's intended use is for containers that do not support ByRef methods and events.


IsNullData Method

Returns whether or not the data point value is a null.

Syntax

[boolean =] object.IsDataNull (row, column)

The GetData method has the following parts:

Part	Description
object	An object expression that evaluates to an object in the Applies To list.
row	Integer. Identifies the row containing the data point value.
column	Integer. Identifies the column containing the data point value.
boolean	A Boolean value that specifies whether a datapoint value is null, as described in Settings.
Settings

The settings for boolean are:

Setting	Description
True	The datapoint value is null.
False	The datapoint value is not null.
Remarks

This method is an alternative to it's ByRef counterpart, GetData . It's intended use is for containers that do not support ByRef methods and events.


InitializeLabels Method

Assigns each label in the first level of data grid labels a unique identifier.

Syntax

object.InitializeLabels

The InitializeLabels method has the following parts:

Part	Description
object	An object expression that evaluates to an object in the Applies To list.


InsertColumns Method

Adds one or more data columns to the data grid.

Syntax

object.InsertColumns (column, count)

The InsertColumns method has the following parts:

Part	Description
object	An object expression that evaluates to an object in the Applies To list.
column	Integer. Identifies a specific data column. Columns are numbered from left to right beginning with 1.
count	Integer. Specifies the number of columns you want to insert.


InsertColumnLabels Method

Inserts levels of labels for the data columns in a data grid.

Syntax

object.InsertColumnLabels (labelIndex, count)

The InsertColumnLabels method has the following parts:

Part	Description
object	An object expression that evaluates to an object in the Applies To list.
LabelIndex	Integer. Identifies the number of the first level of labels you want to insert.  Column label levels are numbered bottom to top, beginning with 1.
Count	Integer. Specifies the number of label levels you want to insert. The number of columns being inserted is calculated from the column identified in labelIndex up.


InsertRows Method

Adds one or more data rows to the data grid.

Syntax

object.InsertRows (row, count)

The InsertRows method has the following parts:

Part	Description
object	An object expression that evaluates to an object in the Applies To list.
row	Integer. Identifies a specific data row.  Rows are numbered from top to bottom beginning with 1.
count	Integer. Specifies the number of rows you want to insert. Rows contain null data until you fill them with data.


InsertRowLabels Method

Inserts levels of labels from the data rows in a data grid.

Syntax

object.InsertRowLabels (labelIndex, count)

The InsertRowLabels method has the following parts:

Part	Description
object	An object expression that evaluates to an object in the Applies To list.
labelIndex	Integer. Identifies the number of the first level of labels you want to insert. Row labels are numbered right to left, beginning with 1.
count	Integer. Specifies the number of label levels you want to insert. Row labels are inserted from the row identified by labelIndex to the left.


MoveData Method

Allows you to easily move a range of data within a data grid.

Syntax

object.MoveData (top, left, bottom, right, overOffset, downOffset)

The MoveData method has the following parts:

Part	Description
object	An object expression that evaluates to an object in the Applies To list.
top	Integer. Identifies the first row in the range to move.
left	Integer. Identifies the first column in the range to move.
bottom	Integer. Identifies the last row in the range to move.
right	Integer. Identifies the last column in the range to move.
overOffset	Integer. Identifies the horizontal direction data should be moved. A positive value moves data to the right, a negative value moves data to the left.
downOffset	Integer. Identifies the vertical direction data should be moved. A positive value moves data down, a negative value moves data up.


RandomDataFill Method

Fills the data grid associated with a specific chart with randomly generated data.

Syntax

object.RandomDataFill

The RandomDataFill method has the following parts:

Part	Description
object	An object expression that evaluates to an object in the Applies To list.


RandomFillColumns Method

Fills a number of datagrid columns with random values.

Syntax

object.RandomFillColumns (column, count)

The RandomFillColumns method has the following parts:

Part	Description
object	An object expression that evaluates to an object in the Applies To list.
column	Integer. Identifies the first column you wish to fill. Columns are numbered from left to right beginning with 1.
count	Integer. Specifies the number of columns you want to fill with random data.


RandomFillRows Method

Fills a number of datagrid rows with random values.

Syntax

object.RandomFillRows (row, count)

The RandomFillRows method has the following parts:

Part	Description
object	An object expression that evaluates to an object in the Applies To list.
row	Integer. Identifies the first row you wish to fill. Rows are numbered from top to bottom beginning with 1.
count	Integer. Specifies the number of rows you want to fill with random data.


SetData Method

Sets the value for a specific data point in the data grid associated with a chart.

Syntax

object.SetData (row, column, DataPoint, nullFlag)

The SetData method has the following parts:

Part	Description
object	An object expression that evaluates to an object in the Applies To list.
row	Integer. Identifies the row containing the data point value.
column	Integer. Identifies the column containing the data point value.
dataPoint	Double. The data point value.
nullFlag	Integer. Indicates whether or not the data point valueis a null.


SetSize Method

Allows you to resize the number of data columns and rows, as well as the number of levels of column labels and row labels at one time.

Syntax

object.SetSize (rowLabelCount, columnLabelCount, dataRowCount, columnLabelCount)

The SetSize method has the following parts:

Part	Description
object	An object expression that evaluates to an object in the Applies To list.
rowLabelCount	Integer. Sets or returns the number of levels of row labels you want on the data grid.
columnLabelCount	Integer. Sets or returns the number of levels of column labels you want on the data grid.
dataRowCount	Integer.  Sets or returns the number of data rows you want on the data grid.
dataColumnCount	Integer. Sets or returns the number of data columns you want on the data grid.
Remarks

This method can be used in place of RowCount, ColumnCount, RowLabelCount and ColumnLabelCount.

If you reduce the size of the data grid, data in deleted rows or columns is destroyed.


Item Property

Returns an object within a collection.

Syntax

collection.Item (index)

The Item property syntax has the following parts:

Part	Description
collection	An object expression that evaluates to a collection in the Applies To list.
index	An integer that identifies the desired member of the collection. index is 0-based. You can also reference objects by name instead.


DataPoint Object

An object that describes the attributes of an individual data point on a chart.

Syntax

DataPoint


EdgePen Property

The pen used to draw the edge of a data point.

Syntax

object.EdgePen

The EdgePen property syntax has the following parts:

Part	Description
object	An object expression that evaluates to an object in the Applies To list.


DataPoint Object Example

The following example sets the data point color and marker.

Private Sub Command1_Click()

FAxisScal

' change the color and marker of First DataPoint in the First Series

With VtChart1.Plot.SeriesCollection.Item(1).DataPoints.Item(1)

' Change Data Point color to blue

.Brush.Style = VtBrushStyleSolid

.Brush.FillColor.Set 0, 255, 255  ' Set Color=Blue

' Set DataPoint marker visible

.Marker.Visible = True

End With

End Sub


Offset Property

Sets or returns the distance that a chart element is offset, or pulled away from its default location.

Syntax

object.Offset [= offset]

The Offset property has the following parts:

Part	Description
object	An object expression that evaluates to an object in the Applies To list.
offset	For the DataPoint and SeriesLabel object, this is an integer describing the offset distance. Offset is measured in inches or centimeters depending upon your default Windows settings. For the DataPointLabel and Shadow objects, this is a reference to a Coor object that describe the x and y values of the offset. Offset is measured in points.
Remarks

For the DataPointLabel object, this property indicates the distance that a data point label is offset or pulled away from one of  the predefined (standard) label positions. The offset is added to the position calculated for the point based on the DataPointLabel object’s LocationType setting.


ResetCustom Method

Resets any custom attributes placed on a data point to the series default.

Syntax

object.ResetCustom

The ResetCustom method has the following parts:

Part	Description
object	An object expression that evaluates to an object in the Applies To list.


DataPoints Property

Returns a DataPoint Collection that describes the data points within a chart series.

Syntax

object.DataPoints

The DataPoints property has the following parts:

Part	Description
object	An object expression that evaluates to an object in the Applies To list.


DataPoints Collection

The collection of Datapoint objects.

Syntax

DataPoints

DataPoints (index)

DataPoints.Item (index)

The DataPoints Collection syntax has the following parts:

Part	Description
object	An object expression that evaluates to an object in the Applies To list.
item	Item is the default property of the DataPoints Collection.
index	An expression that uniquely identifies the object in the collection. If a numeric expression, index must be a number from 0 to the value of the collection's Count property. The first item in the collection is represented by the index 0. If a string expression, index must correspond to the key argument specified when the member referred to was added to the collection.


DataPoints Collection Example

The following example sets the markers for each data point in a series.

Private Sub Command1_Click()

Dim DataPt As Object

Dim Index As Integer

For Each DataPt In VtChart1.plot.SeriesCollection.Item(1).DataPoints

' Set DataPt marker visible

DataPoint.Marker.visible = True

DataPoint.Marker.width = 12

Next

End Sub

The Datapoints collection Item method takes a special -1 argument to designate default properties for all data points of the series.  The Datapoint object returned by Item(-1) can be manipulated just like a normal Datapoint object.  A property set on this default data point affects every data point in the series, except those data points that have had any property set individually.  In the example below, data point 2 of series 1 has its data point label location set to the base of the bar (assuming a bar chart).  The rest of the data point labels for series 1 are set to appear above the data point.  It makes no difference whether individual data point settings come before or after default settings; the individual settings always override the default settings.  The ResetCustom method can be used to remove any individual settings for a data point and cause it to use the default settings for the series.

With VtChart1.Plot.SeriesCollection.Item(1).DataPoints

.Item(2).DataPointLabel.LocationType = VtChLabelLocationTypeBase

.Item(-1).DataPointLabel.LocationType = VtChLabelLocationTypeAbovePoint

End With


Count Property

Returns the number of items in a collection

Syntax

[ num =] collection.Count

The Count property has the following parts:

Part	Description
collection	A collection expression that evaluates to an object in the Applies To list.
num	Long. The number of items in the collection.
Remarks

Read-only.


DataPointLabel Property

Returns a DataPointLabel object that describes a label on an individual chart data point.

Syntax

object.DataPointLabel

The DataPointLabel property has the following parts:

Part	Description
object	An object expression that evaluates to an object in the Applies To list.


DataPointLabel Object

An object describing the label for a data point on a chart.

Syntax

DataPointLabel


Component Property

Sets or returns the type of label to be used to identify the data point.

Syntax

object.Component [= type]

The Component property has the following parts:

Part	Description
object	An object expression that evaluates to an object in the Applies To list.
type	A VtChLabelComponent constant that identifies the label type.


Custom Property

Determines if custom text is used to label a data point.

Syntax

object.Custom [= boolean]

The Custom property has the following parts:

Part	Description
object	An object expression that evaluates to an object in the Applies To list.
Boolean	A Boolean value that specifies whether custom text is used, as described in Settings.
Settings

The settings for boolean are:

Setting	Description
True	The label contains custom text.
False	Information specified by the DataPointLabel object’s Components property is used to label the data point.


LineStyle Property

Sets or returns the type of line used to connect a data point to a label.

Syntax

object.LineStyle [= type]

The LineStyle property has the following parts:

Part	Description
object	An object expression that evaluates to an object in the Applies To list.
type	A VtChLabelLineStyle constant identifying the connecting line.


LocationType Property

Sets or returns the standard position used to display a chart element.

Syntax

object.LocationType [=type]

The LocationType property has the following parts:

Part	Description
object	An object expression that evaluates to an object in the Applies To list.
type	Integer.  For the DataPointLabel and SeriesLabel Object, A VtChLabelLocationType constant identifying label position. For a Location Object, A VtChLocationType constant describing the location of text.


OLEDragMode Property

Returns or sets whether the chart control or the programmer handles an OLE drag operation.

Syntax

object.OLEDragMode = mode

The OLEDragMode property syntax has these parts:

Part	Description
object	An object expression that evaluates to an object in the Applies To list.
mode	A vtOLEDrag Constant which specifies the method with which an component handles OLE drag/drop operations, as described in Settings.
Remarks

When OLEDragMode is set to Manual, you must call the OLEDrag method to start dragging, which then triggers the OLEStartDrag event.

When OLEDragMode is set to Automatic, the source component fills the Dataobject object with the data it contains and sets the effects parameter before initiating the OLEStartDrag event (as well as the OLESetData and other source-level OLE drag/drop events) when the user attempts to drag out of the control.

This gives you control over the drag/drop operation and allows you to intercede by adding other formats, or by overriding or disabling the automatic data and formats using the Clear or SetData methods.

If the source’s OLEDragMode property is set to Automatic, and no data is loaded in the OLEStartDrag event, or aftereffects is set to 0, then the OLE drag/drop operation does not occur.

For more information, see Using Drag-and-Drop Functionality to Copy Data and Supported Formats for Drag-and-Drop Operations .


OLEDrag Method

Causes a chart control to initiate an OLE drag/drop operation.

Syntax

object.OLEDrag

The OLEDrag Method syntax has these parts:

Part	Description
object	An object expression that evaluates to an object in the Applies To list.
Remarks

When the OLEDrag method is called, the component’s OLEStartDrag event occurs, allowing it to supply data to a target component.


OLEDropMode Property

Sets or returns how a chart handles drop operations.

Syntax

object.OLEDropMode [= mode]

The OLEDropMode property syntax has these parts:

Part	Description
object	An object expression that evaluates to an object in the Applies To list.
mode	A vtOLEDrop constant which specifies the method which a component handles OLE drag/drop operations, as described in Settings.
Remarks

For more information, see Using Drag-and-Drop Functionality to Copy Data and Supported Formats for Drag-and-Drop Operations .


PercentFormat Property

Sets or returns a string that describes the format used to display the label as a percent.

Syntax

object.PercentFormat [= format]

The PercentFormat property has the following parts:

Part	Description
object	An object expression that evaluates to an object in the Applies To list.
format	String. Describes the format used to display a label as a percent.
Remarks

Use the DataPointLabel object’s Component property to change the label type.

The following table lists several examples of percentage format strings. The values listed at left are the valid formats.

	3	-3	.3
0%	300%	-300%	30%
0.0%	300.0%	-300.0%	30.0%
0.00%	300.00%	-300.00%	30.00%


PercentFormatLocal Property

Sets or returns a string that describes the local format used to display the label as a percent.

Syntax

object.PercentFormatLocal [= format]

The PercentFormatLocal property has the following parts:

Part	Description
object	An object expression that evaluates to an object in the Applies To list.
format	String. Describes the local format used to display a label as a percent.
Remarks

Local refers to non-English language versions of First Impression.

Use the DataPointLabel object’s Component property to change the label type.


ValueFormat Property

Sets or returns the format used to display the label as a value.

Syntax

object.ValueFormat [= format]

The ValueFormat property has the following parts:

Part	Description
object	An object expression that evaluates to an object in the Applies To list.
format	String. Describes the format used to display a label as a value.
Remarks

Use the DataPointLabel object’s Component property to change the label type.


ValueFormatLocal Property

Sets or returns the local format used to display the label as a value.

Syntax

object.ValueFormatLocal [= format]

The ValueFormatLocal property has the following parts:

Part	Description
object	An object expression that evaluates to an object in the Applies To list.
format	String. Describes the local format used to display a label as a value.
Remarks

Local refers to non-English language versions of First Impression.

Use the DataPointLabel object’s Component property to change the label type.


ResetCustomLabel Method

Resets any custom attributes placed on a data point label to the series default.

Syntax

object.ResetCustomLabel

The ResetCustomLabel method has the following parts:

Part	Description
object	An object expression that evaluates to an object in the Applies To list.


Select Method

Selects the specified chart element.

Syntax

object.Select

The Select method has the following parts:

Part	Description
object	An object expression that evaluates to an object in the Applies To list.


DoSetCursor Property

Indicates whether or not the cursor can be set by the chart.

Syntax

object.DoSetCursor [= boolean]

The DoSetCursor property has the following parts:

Part	Description
object	An object expression that evaluates to an object in the Applies To list.
boolean	A Boolean value that specifies whether the chart sets the cursor, as described in Settings.
Settings

The settings for boolean are:

Setting	Description
True	The chart can control the mouse pointer appearance.
False	The chart cannot control the mouse pointer appearance.


EditCopy Method

Copies a picture of the current chart to the clipboard in Windows Metafile format and in bitmap format. It also copies the data being used to create the chart to the clipboard.

Syntax

object.EditCopy

The EditCopy method has the following parts:

Part	Description
object	An object expression that evaluates to an object in the Applies To list.
Remarks

This method allows you to paste the chart’s data or a picture of the chart itself into another application. Since both the data and the picture of the chart are stored on the clipboard, what gets pasted into the new application varies depending on the type of application. For example, if you execute the chart’s EditCopy method in your code and then go to an Excel spreadsheet and select Edit Paste the chart data set is placed in the spreadsheet. To insert the picture of the chart into the spreadsheet, select Edit Paste Special and select the Picture type.


EditPaste Method

Pastes a Windows Metafile or bitmap graphic or tab-delimited text from the clipboard into the current selection.

Syntax

object.EditPaste

The EditPaste method has the following parts:

Part	Description
object	An object expression that evaluates to an object in the Applies To list.
Remarks

The chart can accept several types of information from the clipboard, depending on the currently selected chart element when EditPaste is called. If the entire chart is selected, the chart looks for data on the clipboard and attempts to use this new data to redraw the chart. If an item that can accept a picture, such as a bar or chart backdrop is selected, the chart looks for a metafile on the clipboard. If it finds a metafile, it uses that metafile to fill the selected object.

This method is disabled when running First Impression in containers that require safe mode for the IObjectSafety interface. Calls to this method will fail at run-time.


Fill Property

Returns a Fill object that describes the color, pattern and style of an object’s backdrop.

Syntax

object.Fill

The Fill property has the following parts:

Part	Description
object	An object expression that evaluates to an object in the Applies To list.


Fill Object

An object describing the color, pattern and style of an object’s backdrop.

Syntax

Fill


Fill Object Example

The following example sets a backdrop for a chart using the Fill object.

Private Sub Command14_Click()

    With VtChart1.Backdrop.Fill

            ' Set a brush pattern backdrop

            .Style = VtFillStyleBrush

            .Brush.Style = VtBrushStylePattern

            .Brush.Index = VtBrushPattern50Percent

    End With

End Sub


Footnote Property

Returns a Footnote object that provides information about the descriptive text used to annotate a chart.

Syntax

object.Footnote

The Footnote property has the following parts:

Part	Description
object	An object expression that evaluates to an object in the Applies To list.


Footnote Object

An object describing the text that appears with a chart.

Syntax

Footnote


Footnote Object Example

The following example sets the footnote location, text and color for a chart.

Private Sub Command1_Click()

With VtChart1.Footnote

' Make Footnote Visible

.Location.Visible = True

.Location.LocationType = VtChLocationTypeBottomLeft

' Set Footnote properties

.text = "Chart Footnote"

.VtFont.VtColor.Set 255, 0, 0

End With

End Sub


FootnoteText Property

Sets or returns the text used as the footnote.

Syntax

object.FootnoteText [= text]

The FootnoteText property has the following parts:

Part	Description
object	An object expression that evaluates to an object in the Applies To list.
text	String. The footnote text.
Remarks

The same results can be achieved by using the Text property of the Footnote object.


HWnd Property

Returns a handle to a form or control.

Syntax

[handle=] object.hWnd

The hWnd property has the following parts:

Part	Description
object	An object expression that evaluates to an object in the Applies To list.
handle	Long. Control or form handle.
Remarks

Read-only.


Frame Property

Returns a Frame object that describes the appearance of the frame around a chart element.

Syntax

object.Frame

The Frame property has the following parts:

Part	Description
object	An object expression that evaluates to an object in the Applies To list.


Frame Object

An object describing the appearance of the frame around a chart element.

Syntax

Frame


Frame Object Example

The following example sets a double, blue, line frame on a chart backdrop.

Private Sub Command1_Click()

With VtChart1.backdrop.frame

.Style = VtFrameStyleDoubleLine

.Width = 2

.FrameColor.Set 0, 0, 255  ' Blue frame

.SpaceColor.Set 255, 0, 0  ' red spacing

End With

End Sub


Width Property

Sets or returns the width of a chart element, in points.

Syntax

object.Width [= width]

The Width property has the following parts:

Part	Description
object	An object expression that evaluates to an object in the Applies To list.
width	Single. The width of the chart element.


Style Property (Frame Object)

Sets or returns the frame style.

Syntax

object.Style [= type]

The Style property has the following parts:

Part	Description
type	A VtFrameStyle constant that describes the type of frame.
object	An object expression that evaluates to an object in the Applies To list.


FrameColor Property

Sets or returns the frame color.

Syntax

object.FrameColor

The FrameColor property has the following parts:

Part	Description
object	An object expression that evaluates to an object in the Applies To list.


SpaceColor Property

Sets or returns the color of the space between frames.

Syntax

object.SpaceColor

The SpaceColor property has the following parts:

Part	Description
object	An object expression that evaluates to an object in the Applies To list.


GetSelectedPart Method

Identifies the currently selected chart element.

Syntax

object.GetSelectedPart (part, index1, index2, index3, index4)

The GetSelectedPart method has the following parts:

Part	Description
object	An object expression that evaluates to an object in the Applies To list.
part	Specifies the chart part. Valid constants are VtChPartType constants.
index1	Integer. Passed by reference. If part refers to a series or a datapoint, this argument specifies which series. Series are numbered in the order their corresponding columns appear in the data grid from left to right, beginning with 1. If part refers to an axis or axis label, this argument identifies the axis type with a VtChAxisId constant.
Index2	Integer. Passed by reference. If part refers to a data point, this argument specifies which data point in the series identified by index1.
index3	Integer. Passed by reference. If part refers to an axis label, this argument refers to the level of the label.  Axis label levels are numbered from the axis out, beginning with 1. If part is not an axis label, the argument is unused.
index4	Integer. This argument is unused at this time.
Remarks

This method has an alternative method for use with containers that do not support ByRef methods and events. See GetSelectedPartEx method.


GetSelectedPartEx Method

Returns the currently selected chart element.

Syntax

object.GetSelectedPartEx() As ChartPart

The GetSelectedPartEx method has the following parts:

Part	Description
object	An object expression that evaluates to an object in the Applies To list.
ChartPart	Refers to the ChartPart object .
Remarks

This method is an alternative to it's ByRef counterpart, GetSelectedPart. It's intended use is for containers that do not support ByRef methods and events.


Intersection Property

Returns an Intersection object that describes the point at which an axis intesects another axis on a chart.

Syntax

object.Intersection

The Intersection property has the following parts:

Part	Description
object	An object expression that evaluates to an object in the Applies To list.


Intersection Object

An object describing the point at which an axis intersects an intersecting axis on a chart.

Syntax

Intersection


Intersection Object Example

The following example sets manual intersection position properties and displays labels with the axis.

Private Sub Command1_Click()

'change chart type to 3D Line

VtChart1.ChartType = VtChChartType3dLine

With VtChart1.Plot.Axis(VtChAxisIdX).Intersection

' Set Intersection Properties

.Auto = False   ' Set positioning to manual

.Point = 20	' Set intersection with the Y Axis to 20

.LabelsInsidePlot = True  ' Display Labels with Axis not at the base

End With

End Sub


Auto Property (Intersection Object)

Determines whether or not the Intersection object uses the value of Point to position the axis.

Syntax

object.Auto [= boolean]

The Auto property has the following parts:

Part	Description
object	An object expression that evaluates to an object in the Applies To list.
boolean	A Boolean value that specifies whether the item is displayed, as described in Settings.
Settings

The settings for boolean are:

Setting	Description
True	The axis is positioned in its standard location.
False	The intersecting axis is positioned at the value indicated by Point.


AxisId Property

Returns a specific axis that intersects with the current axis. This is a read-only property.

Syntax

[ intersectId =] object.AxisId

The AxisId property has the following parts:

Part	Description
object	An object expression that evaluates to an object in the Applies To list.
IntersectId	Integer. Identifies the intersecting axis.


Index Property (Intersection Object)

Returns which axis intersects another axis when there is more than one axis with the same id. This is a read-only property.

Syntax

[ index =] object.Index

The Index property has the following parts:

Part	Description
object	An object expression that evaluates to an object in the Applies To list.
index	Integer. The index of the intersecting axis. Currently, 1 is the only valid value for this argument.


LabelsInsidePlot Property

Determines whether to leave the axis labels at the normal location or move them with the axis to the new intersection point.

Syntax

object.LabelsInsidePlot [= boolean]

The LabelsInsidePlot property has the following parts:

Part	Description
object	An object expression that evaluates to an object in the Applies To list.
boolean	A Boolean value that specifies where to display the axis labels, as described in Settings.
Settings

The settings for boolean are:

Setting	Description
True	The axis labels remain at the normal location.
False	The labels move inside the plot to the new intersection point.
Remarks

If this property is set, then the Intersection object’s Auto property is automatically set to False.


Point Property

Sets or returns the point where the current axis intersects with another axis.

Syntax

object.Point [= point]

The Point property has the following parts:

Part	Description
object	An object expression that evaluates to an object in the Applies To list.
point	Double. The point on an axis where the current axis intersects.
Remarks

If this property is set, then the Intersection object’s Auto property is automatically set to False.


Labels Property

Returns a Labels collection that describes the labels on a chart axis.

Syntax

object.Labels

The Labels property has the following parts:

Part	Description
object	An object expression that evaluates to an object in the Applies To list.


Labels Collection

A collection of axis label objects.

Syntax

Labels

Labels (index)

Labels.Item (index)

The Labels Collection syntax has the following parts:

Part	Description
object	An object expression that evaluates to an object in the Applies To list.
item	Item is the default property of the Labels Collection.
index	An expression that uniquely identifies the object in the collection. If a numeric expression, index must be a number from 0 to the value of the collection's Count property. The first item in the collection is represented by the index 0. If a string expression, index must correspond to the key argument specified when the member referred to was added to the collection.


Label Object

An object describing a specific axis label level.

Syntax

Label


Auto Property (Label Object)

Determines whether axis labels are automatically rotated to improve the chart layout.

Syntax

object.Auto [= boolean]

The Auto property has the following parts:

Part	Description
object	An object expression that evaluates to an object in the Applies To list.
boolean	A Boolean value that specifies where to display the axis labels, as described in Settings.
Settings

The settings for boolean are:

Setting	Description
True	The labels may be rotated
False	The labels are not rotated. Long labels may not display properly.


Format Property

Sets or returns the characters that define the format used to display the axis label.

Syntax

object.Format [= format]

The Format property has the following parts:

Part	Description
object	An object expression that evaluates to an object in the Applies To list.
format	String. Defines the format used to display the axis label.


FormatLocal Property

Sets or returns the local characters that define the format used to display the axis label.

Syntax

object.FormatLocal [= format]

The FormatLocal property has the following parts:

Part	Description
object	An object expression that evaluates to an object in the Applies To list.
format	String. Defines the local format used to display the axis label.


FormatLength Property

This read-only property returns the length of the format string.

Syntax

[length  =] object.FormatLength

The FormatLength property has the following parts:

Part	Description
object	An object expression that evaluates to an object in the Applies To list.
length	String. The axis label text string length.


FormatLengthLocal Property

This read-only property returns the length of the local format string.

Syntax

[ length  =] object.FormatLengthLocal

The FormatLengthLocal property has the following parts:

Part	Description
object	An object expression that evaluates to an object in the Applies To list.
length	String. The axis label text string length.


Standing Property

Specifies whether axis labels are displayed laying down in the X or Z plane or rotated up on the text baseline to stand in the Y plane.

Syntax

object.Standing [= boolean]

The Standing property has the following parts:

Part	Description
object	An object expression that evaluates to an object in the Applies To list.
boolean	A Boolean value that specifies how to display the axis labels, as described in Settings.
Settings

The settings for boolean are:

Setting	Description
True	The axis labels are displayed rotated up on the text baseline to stand in the Y plane.
False	The axis labels lay down in the X or Z plane.


Layout Method

Lays out a chart, forcing recalculation of automatic values.

Syntax

object.Layout

The Layout method has the following parts:

Part	Description
object	An object expression that evaluates to an object in the Applies To list.
Remarks

A chart is laid out the first time it is drawn. When any chart settings change, the chart is again laid out at the next draw. There are a number of settings the chart calculates, such as the axis minimum and maximum values, based on the chart type or some other setting. These values are not determined until the chart is laid out. If you attempt to "get" these automatic values before the chart is properly laid out, they will not reflect the new values.


LCoor Object

An object describing a long integer x and y coordinate pair.

Syntax

Lcoor


Legend Property

Returns a Legend object that contains information about the appearance and behavior of the graphical key and accompanying text that describes the chart series.

Syntax

object.Legend

The Legend property has the following parts:

Part	Description
object	An object expression that evaluates to an object in the Applies To list.


MenuItemVisible Property

Controls what items appear on the chart context menu

Syntax

object.MenuItemVisible (item) [=boolean]

The MenuItemVisible property has the following parts:

Part	Description
object	An object expression that evaluates to an object in the Applies To list.
item	A VtChMenuItem constant describing the menu item.
boolean	A boolean value describing whether the menu item is visible or not as described in settings.
Settings

The settings for boolean are:

Setting	Description
True	The menu item is visible.
False	The menu item is not visible.


TwipsHeight Property

Returns the height of the chart, in twips.

Syntax

[height=] object.TwipsHeight

The TwipsHeight property has the following parts:

Part	Description
object	An object expression that evaluates to an object in the Applies To list.
height	Long. The chart height in twips.
Remarks

Read-only.


TwipsWidth Property

Returns the width of the chart, in twips.

Syntax

[width =] object.TwipsWidth

The TwipsWidth property has the following parts:

Part	Description
object	An object expression that evaluates to an object in the Applies To list.
width	Long. The chart width in twips.
Remarks

Read-only.


Legend Object

An object describing the graphical key and accompanying text that identify the chart series.

Syntax

Legend


Legend Object Example

The following example sets the location, text layout, text color and backdrop properties for a chart legend.

Private Sub Command1_Click()

With VtChart1.Legend

' Make Legend Visible

.Location.Visible = True

.Location.LocationType = VtChLocationTypeRight

' Set Legend properties

.TextLayout.HorzAlignment = VtHorizontalAlignmentRight	' Right justify

.VtFont.VtColor.Set 255, 255, 0	' Use Yellow text

.Backdrop.Fill.Style = VtFillStyleBrush

.Backdrop.Fill.Brush.Style = VtBrushStyleSolid

.Backdrop.Fill.Brush.FillColor.Set 255, 0, 255

End With

End Sub


Light Property

Returns a Light object that provides information about the light illuminating a 3D chart.

Syntax

object.Light

The Light property has the following parts:

Part	Description
object	An object expression that evaluates to an object in the Applies To list.


Light Object

An object describing the light source illuminating a 3D chart.

Syntax

Light


Light Object Example

The following example sets the ambient light and edge lighting intensity for a chart.

Private Sub Command1_Click()

' Changes the Lighting for 3D Chart

VtChart1.ChartType = VtChChartType3dBar

With VtChart1.Plot.Light

.AmbientIntensity = 1   ' 100 % Intensity

.EdgeIntensity = 0.5	' 50 % Intensity

.EdgeVisible = True

End With

End Sub


AmbientIntensity Property

Sets or returns the strength of ambient light illuminating a 3D chart

Syntax

object.AmbientIntensity [= intensity]

The AmbientIntensity property has the following parts:

Part	Description
object	An object expression that evaluates to an object in the Applies To list.
intensity	Single. The chart light intensity. Valid values are 0 to 1. If set to 1, all sides of the chart elements are fully illuminated no matter what light sources are turned on. If set at 0, there is no contribution from ambient light, only the sides of the chart elements facing active light sources are illuminated.


EdgeIntensity Property

Sets or returns the intensity of light used to draw the edges of objects in a 3D chart.

Syntax

object.EdgeIntensity [= edgeint]

The EdgeIntensity property has the following parts:

Part	Description
object	An object expression that evaluates to an object in the Applies To list.
edgeint	Single. The edge light strength. Valid values are 0 to 1.0. An intensity of 0 turns edges off, drawing them edes as black lines and an intensity of 1 fully illuminates the edges using the element’s pen color.
Remarks

If this property is set, then the Light object’s EdgeVisible property is automatically set to True.


EdgeVisible Property

Determines whether edges are displayed on the elements in a 3D chart.

Syntax

object.EdgeVisible [= boolean]

The EdgeVisible property has the following parts:

Part	Description
object	An object expression that evaluates to an object in the Applies To list.
boolean	A Boolean value that specifies edges are displayed, as described in Settings.
Settings

The settings for boolean are:

Setting	Description
True	Edges are visible.
False	Edges are not displayed on elements in the 3D chart.


LightSources Property

Returns a LightSources collection that describes all light sources used to illuminate a 3D chart.

Syntax

object.LightSources

The LightSources property has the following parts:

Part	Description
object	An object expression that evaluates to an object in the Applies To list.


LightSources Collection

A collection of lightsource objects.

Syntax

LightSources

LightSources (index)

LightSources.Item (index)

The LightSources Collection syntax has the following parts:

Part	Description
object	An object expression that evaluates to an object in the Applies To list.
item	Item is the default property of the LightSources Collection.
index	An expression that uniquely identifies the object in the collection. If a numeric expression, index must be a number from 0 to the value of the collection's Count property. The first item in the collection is represented by the index 0. If a string expression, index must correspond to the key argument specified when the member referred to was added to the collection.


LightSources Collection Example

The following example sets the coordinates and intensity for a light source, then adds and removes a light source from a chart.

Private Sub Command1_Click()

Dim LightSource As Object

Dim Index As Integer

' Set variable to Light Source 1

Set LightSource = VtChart1.Plot.Light.LightSources.Item(1)

' Set coordinates for Light Source 1 as well as its intensity

LightSource.X = 1

LightSource.Y = 0.5

LightSource.Z = 1

LightSource.Intensity = 1

' Add a new light source

VtChart1.Plot.Light.LightSources.Add 0.5, 1, 1, 1

' Remove Light Source 1

VtChart1.Plot.Light.LightSources.Remove (1)

End Sub


Add Method (LightSources Collection)

Adds a light source to this collection.

Syntax

collection.Add (x,y,z,intensity)

The Add method has the following parts:

Part	Description
collection	A collection expression that evaluates to an object in the Applies To list.
x, y, z	Integers. Indicates the light source location.
Intensity	Single. Indicates the strength of the light source.
Remarks

Setting x, y, and z to zero generates a VtChInvalidArgument error.


Add Method (DataObjectFiles Collection)

Adds a filename to the Files collection of a DataObject object.

Syntax

collection.Add (bstrFilename As String, [vIndex])

The Add method has the following parts:

Part	Description
bstrFilename	String that contains the filename.
vIndex	Location of the filename.
Remarks

Not applicable to First Impression.


Add Method (Attributes Collection)

Adds a contour item at the given value.

Syntax

collection.Add (Value As Double) As Attribute

The Add method has the following parts:

Part	Description
Value	The contour value.
Attribute	A contour item.


Remove Method

Removes the item whose index is given.

Syntax

collection.Remove (index)

The Remove method has the following parts:

Part	Description
collection	A collection expression that evaluates to an object in the Applies To list.
index	Integer. The position of a  specific light source or attribute  in the list of light sources or attributes.


LightSource Object

An object describing specific item from the LightSources collection.

Syntax

LightSource


Z Property

Sets or returns the Z value in a coordinate location.

Syntax

object.Z [= z]

The Z property has the following parts:

Part	Description
object	An object expression that evaluates to an object in the Applies To list.
z	Single. Identifies the z value of the coordinate.


Intensity Property

Sets or returns the strength of the light coming from the light source.

Syntax

object.Intensity [= strength]

The Intensity property has the following parts:

Part	Description
object	An object expression that evaluates to an object in the Applies To list.
strength	Single. The light strength. If the intensity is set to 1, chart surfaces facing the light source are fully illuminated. If the light is set at .5, these surfaces receive half the illumination from this light than if it was set to 1. Valid range is 0 to 1.
Remarks

Intensity is the default property of the LightSource object.


Set Method (LightSource Object)

Sets the X,Y, and Z coordinates and the intensity for the LightSource location.

Syntax

object.Set (x,y,z, Intensity)

The Set method has the following parts:

Part	Description
object	An object expression that evaluates to an object in the Applies To list.
x, y, z	Integers. Indicates the light source location.
intensity	Single. Indicates the strength of the light source.


Location Property

Returns a Location object that describes the position of textual elements.

Syntax

object.Location

The Location property syntax has the following parts:

Part	Description
object	An object expression that evaluates to an object in the Applies To list.


Location Object

An object describing the current position of a textual chart element such as the title, legend, or footnote.

Syntax

Location


Location Object Example

The following example sets the title location for a chart using the Title Location object.

Private Sub Command1_Click()

' Set Title Text

VtChart1.TitleText = "Test Title Location"

With VtChart1.Title.Location

' Make Title Visible

.Visible = True

' Use Top Left locaiton to display the title

.LocationType = VtChLocationTypeTopLeft

End With

End Sub


Marker Property

Returns an object that describes the marker used to identify a data point on a chart.

Syntax

object.Marker

The Marker property has the following parts:

Part	Description
object	An object expression that evaluates to an object in the Applies To list.


Marker Object

An object describing a marker that identifies a data point on a chart.

Syntax

Marker

Remarks

Although the VtPicture object can be used to display many chart parts, any chart part that is rendered in 3D perspective does not support pictures. This includes 3D bars, 3D axis labels backdrops, 3D axis title backdrops, 3D data point label backdrops and 3D markers.

Backdrops for chart, plot, title, footnote and legend on 3D charts can support pictures because these chart parts are not rendered in 3D perspective.


Marker Object Example

The following example sets a blue X marker style for a chart series.

Private Sub Command1_Click()

    Dim index As Integer

    ' Display Markers for Series 1

    For index = 1 To VtChart1.Plot.SeriesCollection.Item(1).DataPoints.Count

        With VtChart1.Plot.SeriesCollection.Item(1).DataPoints.Item(index).Marker

            .Visible = True

            .Size = 20

            .Style = VtMarkerStyleX

        End With

    Next index

End Sub


Size Property

Size of a chart element in points.

Syntax

object.Size [= size]

The Size property has the following parts:

Part	Description
object	An object expression that evaluates to an object in the Applies To list.
size	Single. Size of the chart element in points.


MousePointer Property

Returns or sets a value indicating the type of mouse pointer displayed when the mouse is over a particular part of an object at run time.

Syntax

object.MousePointer [= value]

The MousePointer property has the following parts:

Part	Description
object	An object expression that evaluates to an object in the Applies To list.
value	A VtMousePointer constant that specifies  the type of mouse pointer displayed.


VtChart Object

An object describing a chart that graphically displays data.

Syntax

VtChart


VtChart Object Example

The following example displays a 3D chart with 8 columns and rows of data and sets the legend parameters.

Private Sub Command1_Click()

Dim Column, row as integer

With Form1.VtChart1

'displays a 3d chart with 8 columns and 8 rows data

.ChartType = VtChChartType3dBar

.ColumnCount = 8

.RowCount = 8

For column = 1 To 8

For row = 1 To 8

.Column = column

.Row = row

.Data = row * 10

Next row

Next column

End With

End Sub


FileName Property (VtChart Object)

Sets or returns the chart filename.

Syntax

object.FileName = string

The FileName property has the following parts:

Part	Description
object	An object expression that evaluates to an object in the Applies To list.
string	The chart filename.
Remarks

The FileName property sets or returns the filename that the chart will be saved to. The chart will be saved to a standard VTC file instead of within the project. The VTC file can be loaded like any other file.

A Web browser cannot load a file using the FileName property. Use the URL property when attempting to load a VTC file in a Web browser.

This property is read-only when running First Impression in containers that require safe mode for the IObjectSafety interface.


Name Property (VtChart Object)

Returns the name used in code to identify a chart control.

Syntax

object.Name As String

The Name property has the following parts:

Part	Description
object	An object expression that evaluates to an object in the Applies To list.
String	The object name.
Remarks

Read-only


Pen Property

Returns a Pen object that describes the color and pattern of lines or edges on chart elements.

Syntax

object.Pen

The Pen property has the following parts:

Part	Description
object	An object expression that evaluates to an object in the Applies To list.


BorderStyle Property

Determines the border style of the chart.

Syntax

object.BorderStyle As VtBorderStyle

The BorderStyle property has the following parts:

Part	Description
object	An object expression that evaluates to an object in the Applies To list.
VtBorderStyle	A VtBorderStyle constant


DrawMode Property

Determines when and how the chart is repainted.

Syntax

object.DrawMode As VtChDrawMode

The DrawMode property has the following parts:

Part	Description
object	An object expression that evaluates to an object in the Applies To list.
VtChDrawMode	A VtChDrawMode constant.


Enabled Property

Sets or returns a value that determines whether the chart can respond to user-generated events.

Syntax

object.Enabled As boolean

The Enabled property has the following parts:

Part	Description
object	An object expression that evaluates to an object in the Applies To list.
boolean	A boolean expression describing whether an object is enabled as described in Settings.
Settings

The settings for boolean are:

Setting	Description
True	The object is enabled.
False	The object is not enabled.


Join Property

Sets or returns how line segments are formed.

Syntax

object.Join [= type]

The Join property has the following parts:

Part	Description
object	An object expression that evaluates to an object in the Applies To list.
type	A VtPenJoin constant that describes the style of pen join.


Pen Object

An object describing the color and pattern of lines or edges on a chart.

Syntax

Pen


Pen Object Example

The following example sets the pen attributes for a 2D XY chart series.

Private Sub Command1_Click()

' Set Guide Lines for 2D XY chart Series 1

VtChart1.ChartType = VtChChartType2dXY

VtChart1.Plot.SeriesCollection.Item(1).ShowGuideLine(VtChAxisIdX) = True

With VtChart1.Plot.SeriesCollection.Item(1).GuideLinePen

' Set Pen attributes

.VtColor.Set 255, 255, 0

.Width = 10

.Style = VtPenStyleDashDot

.Join = VtPenRound

.Cap = VtPenCapRound

End With

End Sub


Cap Property

Sets or returns the how line ends are capped.

Syntax

object.Cap [= type]

The Cap property has the following parts:

Part	Description
object	An object expression that evaluates to an object in the Applies To list.
type	A VtPenCap constant that describes the line pen cap style.


Limit Property

Sets or returns the joint limit, in points, of the line.

Syntax

object.Limit [= joint]

The Limit property has the following parts:

Part	Description
object	An object expression that evaluates to an object in the Applies To list.
joint	Single. A joint limit as a multiple of the line width. If two lines meet at a sharp angle, a mitered join results in a corner point that extends far beyond the actual corner. If the distance from the inner join point to the outer join point exceeds the value in this variable, the join automatically changes to a bevel.


Plot Property

Returns a Plot object that describes the physical area upon which the elements that make up a chart are drawn.

Syntax

object.Plot

The Plot property has the following parts:

Part	Description
object	An object expression that evaluates to an object in the Applies To list.


Plot Object

An object describing the area upon which the elements that make up a chart are drawn.

Syntax

Plot


MaxBubbleToAxisRatio Property

Sets or returns the percentage of the shortest chart axis that is used as the diameter of the largest bubble. All other bubbles are sized according to their reationship to the largest bubble.

Syntax

object.MaxBubbleToAxisRatio [=pctg]

The MaxBubbleToAxisRatio property has the following parts:

Part	Description
object	An object expression that evaluates to an object in the Applies To list.
pctg	The chart axis ratio.


ScaleAngle Property

Sets or returns where you want to display the scale origin on the polar or radar chart.

Syntax

object.ScaleAngle [=angle]

The ScaleAngle property has the following parts:

Part	Description
object	An object expression that evaluates to an object in the Applies To list.
angle	The plot scale angle.


Plot Object Example

The following example sets the chart viewing distance and axis division spacing.

Private Sub Command1_Click()

' change the chart type to 3D Bar

Form1.VtChart1.ChartType = VtChChartType3dBar

With Form1.VtChart1.Plot

'changes 3d bar chart's viewing

.DepthToHeightRatio = 2

.WidthToHeightRatio = 2

'changes the spacing between divisions on the X-Axis

.xGap = 0

'changes the spacing between divisions on the Z-Axis

.zGap = 0.8

End With

End Sub


Perspective Property

Sets or returns the position and distance from which a 3D chart is viewed.

Syntax

object.Perspective

The Perspective property has the following parts:

Part	Description
object	An object expression that evaluates to an object in the Applies To list.
Remarks

By default, 3D charts are viewed head-on at a distance of 200 percent (2.0) of the depth of the chart. (limited between 50-1000%) You can create dramatic effects or decrease distortion by moving the viewpoint vertically or horizontally. This point is represented by the z coordinate of the Coor3 object. The x coordinate of the viewpoint is a position between 0 and 100 % (1.0) with 0 representing the left edge of the chat and 100 representing the right edge of the chart. The y coordinate of the viewpoint is a position between 0 and 100 (1.0) with 0 representing the top edge of the chart and 100 representing the bottom edge of the chart.


ErrorOffset Property

Sets or returns the adjustment to Visual Basic trappable error numbers returned by the chart.

Syntax

object.ErrorOffset [=adjustment]

The ErrorOffset property has the following parts:

Part	Description
object	An object expression that evaluates to an object in the Applies To list.
adjustment	Integer. The adjustment to the error number.


Coor3 Property

Returns an object describing a floating point x, y, and z coordinate.

Syntax

object.Coor3

The Coor3 property has the following parts:

Part	Description
object	An object expression that evaluates to an object in the Applies To list.


Coor3 Object

An object describing a floating point x, y, and z coordinate.

Syntax

Coor3


Pie Property

Returns an object representing pie chart settings.

Syntax

object.Pie

The Pie property has the following parts:

Part	Description
object	An object expression that evaluates to an object in the Applies To list.


Pie Object

An object describing Pie chart settings.

Syntax

Pie


ThicknessRatio Property

Sets or returns the percentage of pie radius that is used to determine the height of 3D pies.

Syntax

object.ThicknessRatio [= pctg]

The ThicknessRatio property has the following parts:

Part	Description
object	An object expression that evaluates to an object in the Applies To list.
pctg	Single. The pie radius percentage. The higher the percentage, the taller the pie. The maximum value is 1.0 (100%). The minimum value is 0.


TopRadiusRatio Property

Sets or returns the percentage of pie radius that is used to determine the size of the top of the 3D pie.

Syntax

object.TopRadiusRatio [= pctg]

The TopRadiusRatio property has the following parts:

Part	Description
object	An object expression that evaluates to an object in the Applies To list.
pctg	(single) The pie radius percentage. A ratio of 1.0 (100%) draws a cylinder. Values less than 100% result in a tapering of the top of the pie. 0 results in a cone.


Set Method (Pie Object)

Provides a way to set the ThicknessRatio and TopRadiusRatio properties simultaneously for the Pie object.

Syntax

object.Set (thicknessratio, topradiusratio)

The Set method has the following parts:

Part	Description
object	An object expression that evaluates to an object in the Applies To list.
thicknessratio	The height of the 3D pie.
topradiusratio	The size of the top of a 3D pie.


AngleUnit Property

Sets or returns the unit of measure used for all chart angles.

Syntax

object.AngleUnit [= unit]

The AngleUnit property has the following parts:

Part	Description
object	An object expression that evaluates to an object in the Applies To list.
Unit	A VtAngleUnits constant describing the unit of measure. The angles can be measured in degrees, radians, or grads.


AutoLayout Property

Determines whether or not the plot is in manual or automatic layout mode.

Syntax

object.AutoLayout [= boolean]

The AutoLayout property has the following parts:

Part	Description
object	An object expression that evaluates to an object in the Applies To list.
boolean	A Boolean value that specifies the layout mode, as described in Settings.
Settings

The settings for boolean are:

Setting	Description
True	The Plot object automatically determines the proper size and position of the plot based on the size and position of other elements.
False	The coordinates specified by Plot object’s LocationRect property are used to position the plot.


BarGap Property

Sets or returns the spacing of 2D bars or clustered 3D bars within a category.

Syntax

object.BarGap [= value]

The BarGap property has the following parts:

Part	Description
object	An object expression that evaluates to an object in the Applies To list.
value	Single. The bar spacing value. This is measured as a ratio of the bar width. A value of  0 results in the bars touching. A value of 1.0 means the gap between the bars is as wide as the bars.


Clockwise Property

Specifies whether pie, doughnut, polar and radar charts are drawn in a clockwise direction.

Syntax

object.Clockwise [= boolean]

The Clockwise property has the following parts:

Part	Description
object	An object expression that evaluates to an object in the Applies To list.
boolean	A Boolean value that controls the direction used to draw pie charts, as described in Settings.
Settings

The settings for boolean are:

Setting	Description
True	Pie charts are drawn in a clockwise direction.
False	The charts are drawn in a counterclockwise direction.


DataSeriesInRow Property

Indicates whether series data is being read from rows rather than columns in the data grid.

Syntax

object.DataSeriesInRow [= boolean]

The DataSeriesInRow property has the following parts:

Part	Description
object	An object expression that evaluates to an object in the Applies To list.
boolean	A Boolean value that controls how series data is read, as described in Settings.
Settings

The settings for boolean are:

Setting	Description
True	Series data is read from rows in the data grid.
False	Series data is read from columns.


DefaultPercentBasis Property

Returns the default axis percentage basis for the chart.

Syntax

[percentBasis =] object.DefaultPercentBasis

The DefaultPercentBasis property has the following parts:

Part	Description
object	An object expression that evaluates to an object in the Applies To list.
percentBasis	The default axis percentage basis.
Remarks

Read-only.


DepthToHeightRatio Property

Sets or returns the ratio of the chart height to be used as the chart depth.

Syntax

object.DepthToHeightRatio [= ratio]

The DepthToHeightRatio property has the following parts:

Part	Description
object	An object expression that evaluates to an object in the Applies To list.
ratio	Single. The chart height ratio.


Projection Property

Sets or returns the type of projection used to display the chart.

Syntax

object.Projection [= type]

The Projection property has the following parts:

Part	Description
object	An object expression that evaluates to an object in the Applies To list.
type	A VtProjectionType constant used to describe the type of chart projection.


Sort Property

Sets or returns the type of sort order used in a pie or doughnut chart.

Syntax

object.Sort [= type]

The Sort property has the following parts:

Part	Description
object	An object expression that evaluates to an object in the Applies To list.
type	A VtSortType constant used to describe the plot sort order.


StartingAngle Property

Sets or returns the position where you want to start drawing the pie, doughnut, polar or radar charts.

Syntax

object.StartingAngle [= angle]

The StartingAngle property has the following parts:

Part	Description
object	An object expression that evaluates to an object in the Applies To list.
angle	Single. This angle can be measured in degrees, radians, or grads, depending on the current AngleUnits setting. A value of 0 degrees indicates the 3 o’clock position. Setting the starting angle to 90 degrees moves the starting position to 12 o’clock if the Clockwise property is set to counterclockwise, or to 6 o’clock if it’s set to clockwise. Valid values range from -360 to 360 degrees.


SubPlotLabelPosition Property

Sets or returns the position used to display a label on each pie or doughnut in a chart.

Syntax

object.SubPlotLabelPosition [= pos]

The SubPlotLabelPosition property has the following parts:

Part	Description
object	An object expression that evaluates to an object in the Applies To list.
pos	A VtChSubPlotLabelLocationType constant used to describe the position of the chart label.


UniformAxis Property

Specifies whether the unit scale (length of one unit) for all value axes in a chart is uniform. This property applies to charts with more than one value axis.

Syntax

object.UniformAxis [= boolean]

The UniformAxis property has the following parts:

Part	Description
object	An object expression that evaluates to an object in the Applies To list.
boolean	A Boolean value that controls the unit scale, as described in Settings.
Settings

The settings for boolean are:

Setting	Description
True	The unit scale for all value axes is uniform.
False	The unit scale is not uniform. The unit scale for an axis is determined by the length of the plot in the direction of that axis.


WidthToHeightRatio Property

Sets or returns the ratio of the chart height to be used as the chart width.

Syntax

object.WidthToHeightRatio [= ratio]

The WidthToHeightRatio property has the following parts:

Part	Description
object	An object expression that evaluates to an object in the Applies To list.
ratio	Single. The chart height ratio.


xGap Property

Sets or returns the spacing of bars between divisions on the X axis. This space is measured as a ratio of the bar width.

Syntax

object.xGap [= spacing]

The xGap property has the following parts:

Part	Description
object	An object expression that evaluates to an object in the Applies To list.
spacing	Single. The bar width ratio. A value of 0 results in the series of bars touching.


zGap Property

Sets or returns the spacing of 3D bars between divisions on the Z axis. This space is measured as a ratio of the bar depth.

Syntax

object.zGap [= spacing]

The zGap property has the following parts:

Part	Description
object	An object expression that evaluates to an object in the Applies To list.
spacing	Single. The bar depth ratio. A value of 0 results in the series of bars touching along the Z axis.


PlotBase Property

Returns a PlotBase object that describes the appearance of the area beneath a chart.

Syntax

object.PlotBase

The PlotBase property has the following parts:

Part	Description
object	An object expression that evaluates to an object in the Applies To list.


PlotBase Object

An object describing the area beneath a chart.

Syntax

PlotBase


PlotBase Object Example

The following example sets the plot base parameters on a 3D bar chart.

Private Sub Command1_Click()

'Change the chart type to 3D

VtChart1.ChartType = VtChChartType3dBar

With VtChart1.Plot.PlotBase

'Change the base height

.BaseHeight = 20

'Use the pattern style for base

.Brush.Style = VtBrushStylePattern

.Brush.Index = VtBrushPatternHorizontal

.Brush.FillColor.Set 255, 160, 160

.Brush.PatternColor.Set 180, 180, 255

.Pen.Style = VtPenStyleSolid

.Pen.VtColor.Set 72, 72, 255

End With

End Sub


BaseHeight Property

Sets or returns the height of the 3D plot base in points.

Syntax

object.BaseHeight [= height]

The BaseHeight property has the following parts:

Part	Description
object	An object expression that evaluates to an object in the Applies To list.
height	Single. The base height.


PointToPixel Method

Converts a data point in an XY or XYZ chart to its window pixel location.

Syntax

object.PointToPixel xPoint, yPoint, zPoint, xPixel, yPixel

The PointToPixel method has the following parts:

Part	Description
object	An object expression that evaluates to an object in the Applies To list.
xPoint	Double. The x axis datapoint.
yPoint	Double. The y axis datapoint.
zPoint	Double. The z axis datapoint.
xPixel	Integer. The window pixel for the x axis.
yPixel	Integer. The window pixel for the y axis.


RandomFill Property

Indicates whether the data for a chart data grid was randomly generated when rows or columns are added to the datagrid.

Syntax

object.RandomFill [= boolean]

The RandomFill property has the following parts:

Part	Description
object	An object expression that evaluates to an object in the Applies To list.
boolean	A Boolean value that controls how data is generated, as described in Settings.
Settings

The settings for boolean are:

Setting	Description
True	Random data is used to draw the chart.
False	No random data is generated. The user provides the data for the chart.


Rect Property

Returns a Rect object that defines a coordinate location.

Syntax

object.Rect

The Rect property has the following parts:

Part	Description
object	An object expression that evaluates to an object in the Applies To list.


Rect Object

An object describing a coordinate location.

Syntax

Rect


Rect Object Example

The following example sets the location of the chart plot using the Location object.

Private Sub Command1_Click()

' Sets the location of the chart plot

VtChart1.Plot.AutoLayout = False

With VtChart1.Plot.LocationRect

.Min.X = 4.4

.Min.Y = 4.4

.Max.X = 4.5

.Max.Y = 4.5

End With

End Sub


Min Property

Returns a Coor object that specifies the starting corner of the rectangle.

Syntax

object.Min

The Min property has the following parts:

Part	Description
object	An object expression that evaluates to an object in the Applies To list.


Max Property

Returns a Coor object that specifies the ending corner of the rectangle.

Syntax

object.Max

The Max property has the following parts:

Part	Description
object	An object expression that evaluates to an object in the Applies To list.


LocationRect Property

Returns a Rect object that specifies the location of the chart plot using x and y coordinates.

Syntax

object.LocationRect

The LocationRect property has the following parts:

Part	Description
object	An object expression that evaluates to an object in the Applies To list.
Remarks

The values of this property are used to position the plot if AutoLayout is False.

If this property is set, then the AutoLayout property is automatically set to False.


Refresh Method

Repaints the chart.

Syntax

object.Refresh

The Refresh method has the following parts:

Part	Description
object	An object expression that evaluates to an object in the Applies To list.


Repaint Property

Determines if the VtChart control is repainted after a change is made to the chart.

Syntax

object.Repaint [= boolean]

The Repaint property has the following parts:

Part	Description
object	An object expression that evaluates to an object in the Applies To list.
boolean	A Boolean value that controls whether the chart is repainted, as described in Settings.
Settings

The settings for boolean are:

Setting	Description
True	The chart is repainted as needed.
False	Does not allow the control to repaint when a change is made to the chart. This is useful when several operations are performed on the chart and you do not want the chart to continually repaint during the process.


Row Property

Sets or returns the current row in the data grid.

Syntax

object.Row [= num]

The Row property has the following parts:

Part	Description
object	An object expression that evaluates to an object in the Applies To list.
num	A row number in the datagrid. Rows are numbered from top to bottom beginning with 1.


RowCount Property

Sets or returns how many rows there are in the grid.

Syntax

object.RowCount [= count]

The RowCount property has the following parts:

Part	Description
object	An object expression that evaluates to an object in the Applies To list.
count	Integer. The number of rows in the datagrid.


RowLabel Property

Sets or returns a data label that can be used to identify the current data point.

Syntax

object.RowLabel [= text]

The RowLabel property has the following parts:

Part	Description
object	An object expression that evaluates to an object in the Applies To list.
text	String. The text for a row label. The label you specify sets the label for the data points identified by the Row property. This label appears along the category axis for most chart types and is used as the label for each individual pie in a pie chart. Label text may not be displayed if it is too long to fit on a chart.


RowLabelCount Property

Sets or returns the number of levels of labels on the rows in the data grid.

Syntax

object.RowLabelCount [= count]

The RowLabelCount property has the following parts:

Part	Description
object	An object expression that evaluates to an object in the Applies To list.
count	Integer. The number of label levels. Set this property to add or delete levels of labels from data grid rows. Row label levels are numbered from right to left, beginning at 1. Levels are added or subtracted from the left.


RowLabelIndex Property

Selects a specific level of row labels.

Syntax

object.RowLabelIndex [= index]

The RowLabelIndex property has the following parts:

Part	Description
object	An object expression that evaluates to an object in the Applies To list.
index	A row label level. To set a label on a row with more than one level of labels, or to return the current value for a label, you must first identify which level you want to affect. Row label levels are numbered from right to left, beginning at 1.


SelectPart Method

Selects the specified chart part.

Syntax

object.SelectPart (part, index1, index2, index3, index4)

The SelectPart method has the following parts:

Part	Description
object	An object expression that evaluates to an object in the Applies To list.
part	A VtChPartType constant that specifies the chart part.
index1	Integer. If part refers to a series or a datapoint, this argument specifies which series. Series are numbered in the order their corresponding columns appear in the data grid from left to right, beginning with 1. If part refers to an axis or axis label, this argument identifies the axis type with a VtChAxisId constant.
index2	Integer. If part refers to a data point, this argument specifies which data point in the series identified by index1. Data points are numbered in the order their corresponding rows appear in the data grid from top to bottom, beginning with 1. If part refers to an axis, axis title, or axis label, this argument refers to the axis index which is currently not used. In this case, the only valid value for this argument is 1.
index3	Integer. If part refers to an axis label, this argument refers to the level of the label. Axis label levels are numbered from the axis out, beginning with 1. If part is not an axis label, the argument is unused.
index4	Integer. This argument is unused at this time.


SeriesCollection Property

Returns a SeriesCollection that provides information about the series that make up a chart.

Syntax

object.Series (collection)

The SeriesCollection property syntax has the following parts:

Part	Description
object	An object expression that evaluates to an object in the Applies To list.


SeriesCollection Collection

A collection of series objects.

Syntax

SeriesCollection

SeriesCollection (index)

SeriesCollection.Item (index)

The SeriesCollection syntax has the following parts:

Part	Description
object	An object expression that evaluates to an object in the Applies To list.
item	Item is the default property of the SeriesCollection Collection.
index	An expression that uniquely identifies the object in the collection. If a numeric expression, index must be a number from 0 to the value of the collection's Count property. The first item in the collection is represented by the index 0. If a string expression, index must correspond to the key argument specified when the member referred to was added to the collection.


Series Collection Example

The following example hides all the series in a chart.

Private Sub Command1_Click()

Dim series As Object

' Hides All Series

For Each series In VtChart1.plot.SeriesCollection

Series.Position.Hidden = True

Next

End Sub


Series Object

An object describing a group of data points on a chart.

Syntax

Series


Series Object Example

The following example sets smoothing for all series in a 3D line chart.

Private Sub Command1_Click()

Dim AllSeries As Object

'change the chart type to 3D line and smoothing each line

Form1.VtChart1.ChartType = VtChChartType3dLine

Form1.VtChart1.ColumnCount = 4

For Each AllSeries In Form1.VtChart1.Plot.SeriesCollection

AllSeries.SmoothingType = VtSmoothingTypeCubicBSpline

AllSeries.SmoothingFactor = 10

AllSeries.Pen.Style = 4

Next

End Sub


GuidelinePen Property

Returns a Pen object that describes the pattern of line and color used to display guidelines.

Syntax

object.GuidelinePen

The GuidelinePen property has the following parts:

Part	Description
object	An object expression that evaluates to an object in the Applies To list.
Remarks

Setting this property, automatically sets the ShowGuideLine property to True.


LegendText Property

Sets or returns the text in that identifies the series in the legend.

Syntax

object.LegendText [= text]

The LegendText property has the following parts:

Part	Description
object	An object expression that evaluates to an object in the Applies To list.
text	String. The text that identifies the current series in the legend.
Remarks

By default, this text is the same as the Text property of the ColumnLabel object.


SecondaryAxis Property

Determines whether the series is charted on the secondary axis.

Syntax

object.SecondaryAxis [= boolean]

The SecondaryAxis property has the following parts:

Part	Description
object	An object expression that evaluates to an object in the Applies To list.
boolean	A Boolean value that controls whether the series is charted on the secondary axis, as described in Settings.
Settings

The settings for boolean are:

Setting	Description
True	The series is charted on the secondary axis.
False	The series is not charted on the secondary axis.


ShowGuideLine Property

Determines whether or not the connecting data point lines on a chart are displayed for a series.

Syntax

object.ShowGuideLine (axisId, index) [= boolean]

The ShowGuideLine property has the following parts:

Part	Description
object	An object expression that evaluates to an object in the Applies To list.
axisId	A VtChAxisId constant describing the series axis to set this property for.
index	An integer reserved for future use. For this version of the Chart Component, 1 is the only valid value for this argument.
boolean	A Boolean value that controls whether the guidelines are displayed for the series, as described in Settings.
Settings

The settings for boolean are:

Setting	Description
True	The series guidelines are displayed.
False	The series guidelines are not displayed.


ShowLine Property

Determines whether the lines connecting data points on a chart are visible.

Syntax

object.ShowLine [= boolean]

The ShowLine property has the following parts:

Part	Description
object	An object expression that evaluates to an object in the Applies To list.
boolean	A Boolean value that controls whether lines are displayed, as described in Settings.
Settings

The settings for boolean are:

Setting	Description
True	The lines connecting data points appear on the chart.
False	The data point lines do not appear.


TypeByChartType Property

Returns the series type used to draw a series if the chart type is set to chType. This property gets the series type information based on a specified chart type without actually setting the chart type.

Syntax

[seriestype =] object.TypeByChartType (chtype)

The TypeByChartType property has the following parts:

Part	Description
object	An object expression that evaluates to an object in the Applies To list.
seriestype	A VtChSeriesType constant that describes the returned type used to display a series.
chtype	A VtChChartType constant describing the chart type.
Remarks

Read-only.


SeriesColumn Property

Sets or returns the column position for the current series data.

Syntax

object.SeriesColumn [= pos]

The SeriesColumn property has the following parts:

Part	Description
object	An object expression that evaluates to an object in the Applies To list.
pos	Integer. The position of the column containing the current series data. Use this property to reorder series. If two series are assigned the same position, they are stacked.


SeriesMarker Property

Returns a SeriesMarker object that describes marker settings for all data points within one series on a chart.

Syntax

object.SeriesMarker

The SeriesMarker property has the following parts:

Part	Description
object	An object expression that evaluates to an object in the Applies To list.


SeriesMarker Object

An object describing marker settings for all data points within one series on a chart.

Syntax

SeriesMarker


Series Marker Object Example

The following example sets marker settings for all series in a chart.

Private Sub Command1_Click()

Dim series As Object

'show markers and unshow the lines for all series

VtChart1.ChartType = VtChChartType2dLine

For Each series In Form1.VtChart1.Plot.SeriesCollection

Series.SeriesMarker.Show = True

Next

End Sub


Auto Property (SeriesMarker Object)

Determines if the SeriesMarker object assigns the a marker to all non-custom data points in the series.

Syntax

object.Auto [= boolean]

The Auto property has the following parts:

Part	Description
object	An object expression that evaluates to an object in the Applies To list.
boolean	A Boolean value that controls how markers are assigned, as described in Settings.
Settings

The settings for boolean are:

Setting	Description
True	The SeriesMarker object assigns the marker.
False	A custom marker is assigned  by the user.
Remarks

Set this property to False to change the series marker type.

This property is automatically set to False if the Marker property of the DataPoint object is set.


Show Property

Determines whether series markers are displayed on a chart.

Syntax

object.Show [= boolean]

The Show property has the following parts:

Part	Description
object	An object expression that evaluates to an object in the Applies To list.
boolean	A Boolean value that controls whether series markers are displayed, as described in Settings.
Settings

The settings for boolean are:

Setting	Description
True	Series markers are displayed
False	Series markers are not displayed.


SmoothingFactor Property

Sets or returns the number of facets or points that are sampled between the chart data points to create the smoothing effect.

Syntax

object.SmoothingFactor [=num]

The SmoothingFactor property has the following parts:

Part	Description
object	An object expression that evaluates to an object in the Applies To list.
num	The number of points between data points. The higher the number, the more smoothing occurs.


SmoothingType Property

Sets or returns the type of mathematical function used to smooth the series.

Syntax

object.SmoothingType [= type]

The SmoothingType property has the following parts:

Part	Description
object	An object expression that evaluates to an object in the Applies To list.
type	A VtSmoothingType constant used to describe the type of function used to smooth the series.


Position Property

Returns the SeriesPosition object associated with this series.

Syntax

object.Position As SeriesPosition

The Position property has the following parts:

Part	Description
object	An object expression that evaluates to an object in the Applies To list.
SeriesPosition	The SeriesPosition object.
Remarks

Read-only.


SeriesPosition Object

An object describing the location where a chart series is drawn in relation to other series. If all series have the same order (position), then they are stacked.

Syntax

Position


Excluded Property

Determines whether a series is excluded from the chart.

Syntax

object.Excluded [= boolean]

The Excluded property has the following parts:

Part	Description
object	An object expression that evaluates to an object in the Applies To list.
boolean	A Boolean value that controls whether a series is excluded from the chart, as described in Settings.
Settings

The settings for boolean are:

Setting	Description
True	The chart is drawn without including the series.
False	The series is included when the chart is drawn. A series may be included in a chart, but still not display because it is Hidden.


Hidden Property

Determines whether a series is displayed on the chart.

Syntax

object.Hidden [= boolean]

The Hidden property has the following parts:

Part	Description
object	An object expression that evaluates to an object in the Applies To list.
boolean	A Boolean value that controls whether a series is displayed on the chart, as described in Settings.
Settings

The settings for boolean are:

Setting	Description
True	The chart is drawn without displaying the series. However, any space allocated for the series still exists.
False	The series is displayed.


Order Property

Sets or returns the position of the series in the chart. If the position in order matches another series, the series are stacked.

Syntax

object.Order [= order]

The Order property has the following parts:

Part	Description
object	An object expression that evaluates to an object in the Applies To list.
order	Integer. The position order.


StackOrder Property

Sets or returns in what position the current series is drawn if it is stacked with other series.

Syntax

object.StackOrder [= position]

The StackOrder property has the following parts:

Part	Description
object	An object expression that evaluates to an object in the Applies To list.
position	Integer. The order of the series if stacked with other series. Lower stack orders are on the bottom of the stack.


SeriesType Property

Sets or returns the type used to display the current series.

Syntax

object.SeriesType [= type]

The SeriesType property has the following parts:

Part	Description
object	An object expression that evaluates to an object in the Applies To list.
type	A VtChSeriesType constant describing the method used to display the series. You must select the series to change using the Column property before using the SeriesType property.


Shadow Property

Returns a Shadow object that describes the appearance of a shadow on chart elements.

Syntax

object.Shadow

The Shadow property has the following parts:

Part	Description
object	An object expression that evaluates to an object in the Applies To list.


Shadow Object

An object describing the appearance of a shadow on a chart element.

Syntax

Shadow


Shadow Object Example

The following example sets a shadow on a chart backdrop title.

Private Sub Command1_Click()

'show shadow for title

With Form1.VtChart1.Title

.Location.Visible = True

.Text = "Chart Title"

End With

With Form1.VtChart1.Title.Backdrop.Frame

.Width = 1

.FrameColor.Set 255, 0, 0

.Style = VtFrameStyleSingleLine

End With

With Form1.VtChart1.Title.Backdrop.Shadow

.Style = VtShadowStyleDrop

.Offset.x = 10

.Offset.y = 10

End With

End Sub


ShowLegend Property

Indicates whether a legend is visible for a chart.

Syntax

object.ShowLegend [= boolean]

The ShowLegend property has the following parts:

Part	Description
object	An object expression that evaluates to an object in the Applies To list.
boolean	A Boolean value that controls whether a legend is displayed on the chart, as described in Settings.
Settings

The settings for boolean are:

Setting	Description
True	The legend appears on the chart in the position indicated by the Location object.
False	The legend is not displayed on the chart.
Remarks

The default legend location is to the right side of the chart.


Stacking Property

This write-only property sets whether all the series in the chart are stacked.

Syntax

object.Stacking [= boolean]

The Stacking property has the following parts:

Part	Description
object	An object expression that evaluates to an object in the Applies To list.
boolean	A Boolean value that controls whether all chart series are stacked, as described in Settings.
Settings

The settings for boolean are:

Setting	Description
True	All chart series are stacked.
False	Chart series are not stacked.


StatLine Property

Returns a StatLine object that describes how statistic lines are displayed on a chart.

Syntax

object.StatLine

The StatLine property has the following parts:

Part	Description
object	An object expression that evaluates to an object in the Applies To list.


StatLine Object

An object describing how statistic lines are displayed on a chart.

Syntax

StatLine


StatLine Object Example

The following example sets the color and pen parameters for a chart statistics line.

Private Sub Command1_Click()

'show all statistic lines for series 2

Form1.VtChart1.chartType = VtChChartType2dLine

With Form1.VtChart1.plot.SeriesCollection.Item(2).StatLine

.VtColor.Set 128, 128, 255

.Flag = VtChStatsMinimum Or VtChStatsMaximum Or VtChStatsMean Or VtChStatsStddev Or VtChStatsRegression

.Style(VtChStatsMinimum) = VtPenStyleDotted

.width = 2

End With

End Sub


Flag Property

Sets or returns which statistic lines are being displayed for a series.

Syntax

object.Flag [= lines]

The Flags property has the following parts:

Part	Description
object	An object expression that evaluates to an object in the Applies To list.
lines	A VtChStats constant used to describe the stat line. If more than one statistics line is displayed, the constants are OR’ed together.


Style Property (StatLine Object)

Sets or returns the line type used to display the statistic line.

Syntax

object.Style  (type )[= style]

The Style property has the following parts:

Part	Description
object	An object expression that evaluates to an object in the Applies To list.
type	A VtChStats constant used to describe the line type.
style	A VtPenStyle constant used to describe the stat line style.


TextLayout Property

Returns a TextLayout object that describes text positioning and orientation.

Syntax

object.TextLayout

The TextLayout property has the following parts:

Part	Description
object	An object expression that evaluates to an object in the Applies To list.


TextLayout Object

An object describing text positioning and orientation.

Syntax

TextLayout


TextLayout Object Example

The following example sets the title text position and orientation for a chart.

Private Sub Command1_Click()

'sets the title text position and orientation

With Form1.VtChart1.Title

.Location.Visible = True

.Location.LocationType = VtChLocationTypeLeft

.Text = "Title TextLayout"

End With

With Form1.VtChart1.title.TextLayout

.Orientation = VtOrientationUp

.HorzAlignment = VtHorizontalAlignmentCenter

.VertAlignment = VtVerticalAlignmentCenter

End With

End Sub


WordWrap Property

Determines whether text wraps.

Syntax

object.WordWrap [= boolean]

The WordWrap property has the following parts:

Part	Description
object	An object expression that evaluates to an object in the Applies To list.
boolean	A Boolean value that determines whether text wraps, as described in Settings.
Settings

The settings for boolean are:

Setting	Description
True	Text wraps, if necessary.
False	Text does not wrap.


HorzAlignment Property

Sets or returns the method of horizontal alignment of text.

Syntax

object.HorzAlignment [= type]

The HorzAlignment property has the following parts:

Part	Description
object	An object expression that evaluates to an object in the Applies To list.
type	A VtHorizontalAlignment constant used to describe the horizontal alignment method of text.


Orientation Property

Sets or returns the method of orientation for text.

Syntax

object.Orientation [= type]

The Orientation property has the following parts:

Part	Description
object	An object expression that evaluates to an object in the Applies To list.
type	A VtOrientation constant used to describe the orientation method.


VertAlignment Property

Sets or returns the method used to vertically align text.

Syntax

object.VertAlignment [= type]

The VertAlignment property has the following parts:

Part	Description
object	An object expression that evaluates to an object in the Applies To list.
type	A VtVerticalAlignment constant used to describe the vertical alignment method of text.


TextLengthType Property

Sets or returns how text is drawn to optimize the appearance either on the screen or printed page.

Syntax

object.TextLengthType [= type]

The TextLengthType property has the following parts:

Part	Description
object	An object expression that evaluates to an object in the Applies To list.
type	A VtTextLengthType constant indicating the method used to draw text.


Tick Property

Returns a Tick object that describes a marker indicating a division along a chart axis.

Syntax

object.Tick

The Tick property has the following parts:

Part	Description
object	An object expression that evaluates to an object in the Applies To list.


Tick Object

An object describing a marker indicating a division along a chart axis.

Syntax

Tick


Tick Object Example

The following example sets the tick length and style for the y axis on a chart.

Private Sub Command1_Click()

'Set the tick for y axis

With Form1.VtChart1.Plot.Axis(VtChAxisIdY, 1).Tick

.Length = 20

.Style = VtChAxisTickStyleOutside

End With

End Sub


Length Property

Sets or returns the length of axis tick marks, measured in points.

Syntax

object.Length [= length]

The Length property has the following parts:

Part	Description
object	An object expression that evaluates to an object in the Applies To list.
length	The axis tick mark length.


Title Property

Reference to a Title object that describes the text used to title a chart.

Syntax

object.Title

The Title property has the following parts:

Part	Description
object	An object expression that evaluates to an object in the Applies To list.


Title Object

An object describing text identifying the chart.

Syntax

Title


TitleText Property

Sets or returns the text displayed as the chart title.

Syntax

object.TitleText [= text]

The TitleText property has the following parts:

Part	Description
object	An object expression that evaluates to an object in the Applies To list.
text	The text used to display a chart title.
Remarks

VtChart1.TitleText provides a simple means to set or return the chart title text. This property is functionally identical to using the VtChart1.Title.Text property.


ToDefaults Method

Returns the chart to its initial settings.

Syntax

object.ToDefaults

The ToDefaults method has the following parts:

Part	Description
object	An object expression that evaluates to an object in the Applies To list.


TwipsToChartPart Method

Identifies a chart part by using the x and y set of coordinates on to identify that part.

Syntax

object.TwipsToChartPart (xVal, yVal, part, index1, index2, index3, index4)

The TwipsToChartPart method has the following parts:

Part	Description
object	An object expression that evaluates to an object in the Applies To list.
xVal,yVal	Long. The horizontal and vertical coordinates of the point.
part	A VtChPartType constant that identifies the chart part that is located at the xVal and yVal coordinates.
index1	Integer. Passed by reference. If part refers to a series or a datapoint, this argument specifies which series. Series are numbered in the order their corresponding columns appear in the data grid from left to right, beginning with 1. If part refers to an axis or axis label, this argument identifies the axis type using the VtChAxisId constant.
index2	Integer. Passed by reference. If part refers to a data point, this argument specifies which data point in the series identified by index1. Data points are numbered in the order their corresponding rows appear in the data grid from top to bottom, beginning with 1. If part refers to an axis, axis title, or axis label, this argument refers to the axis index which is currently not used. In this case, the only valid value for this argument is 1.
index3	Integer. Passed by reference. If part refers to an axis label, this argument refers to the level of the label. Axis label levels are numbered from the axis out, beginning with 1. If part is not an axis label, the argument is unused.
index4	Integer. This argument is unused at this time.
Remarks

This method has an alternative method for containers that do not support ByRef methods and events. See TwipsToChartPartEx method.


TwipsToChartPartEx Method

Uses a set of coordinates on the chart to identify a part.

Syntax

object.TwipsToChartPartEx (xVal As Long, yVal As Long) As ChartPart

The TwipsToChartPartEx method has the following parts:

Part	Description
object	An object expression that evaluates to an object in the Applies To list.
xVal,yVal	Long. The horizontal and vertical coordinates of the part.
ChartPart	The ChartPart object at the specified coordinates.
Remarks

This method is an alternative to it's ByRef counterpart, TwipsToChartPart . It's intended use is for containers that do not support ByRef methods and events.


ValueScale Property

Returns a ValueScale object that describes the scale used to display a value axis.

Syntax

object.ValueScale

The ValueScale property has the following parts:

Part	Description
object	An object expression that evaluates to an object in the Applies To list.


ValueScale Object

An object describing the scale used to display a value axis.

Syntax

ValueScale


ValueScale Object Example

The following example sets the major and minor divisions for a 2D bar chart using the Value Scale object.

Private Sub Command1_Click()

'set chart type to 2d bar

Form1.VtChart1.ChartType = VtChChartType2dBar

'use  manual scale to display y axis (value axis)

With Form1.VtChart1.Plot.Axis(VtChAxisIdY).ValueScale

.Auto = False

.MajorDivision = 2

.MinorDivision = 5

End With

'show major grid line in red and minor grid line in blue

With Form1.VtChart1.Plot.Axis(VtChAxisIdY).AxisGrid

.MajorPen.VtColor.Set 255, 0, 0

.MajorPen.width = 4

.MinorPen.VtColor.Set 0, 0, 255

.MinorPen.width = 2

End With

End Sub


Auto Property (ValueScale Object)

Determines whether automatic scaling is used to draw the value axis.

Syntax

object.Auto [= boolean]

The Auto property has the following parts:

Part	Description
object	An object expression that evaluates to an object in the Applies To list.
boolean	A Boolean value that determines whether automatic scaling is used, as described in Settings.
Settings

The settings for boolean are:

Setting	Description
True	The scale is automatically set based on the data being charted.
False	The values in Minimum, Maximum, MajorDivisions and MinorDivisions are used to scale the axis.


MajorDivision Property

Sets or returns the number of major divisions displayed on the axis.

Syntax

object.MajorDivision [= num]

The MajorDivision property has the following parts:

Part	Description
object	An object expression that evaluates to an object in the Applies To list.
num	Integer. Number of divisions.
Remarks

If this property is set, then the ValueScale object’s Auto property is automatically set to False.


Maximum Property

Sets or returns the highest or ending value on the chart axis.

Syntax

object.Maximum [= value]

The Maximum property has the following parts:

Part	Description
object	An object expression that evaluates to an object in the Applies To list.
value	Double. The highest axis value.
Remarks

If this property is set, then the ValueScale object’s Auto property is automatically set to False.

The Maximum and Miniumum properties should be set in whatever order is necessary to avoid a Max<Min error.


Minimum Property

Sets or returns the lowest or beginning value on the chart axis.

Syntax

object.Minimum [= value]

The Minimum property has the following parts:

Part	Description
object	An object expression that evaluates to an object in the Applies To list.
value	Double. The lowest axis value.
Remarks

If this property is set, then the ValueScale object’s Auto property is automatically set to False.

The Maximum and Miniumum properties should be set in whatever order is necessary to avoid a Max<Min error


MinorDivision Property

Sets or returns the number of minor divisions displayed on the axis.

Syntax

object.MinorDivision [= num]

The MinorDivision property has the following parts:

Part	Description
object	An object expression that evaluates to an object in the Applies To list.
num	Integer. Number of minor divisions per major division.
Remarks

If this property is set, then the ValueScale object’s Auto property is automatically set to False.


View3d Property

Returns a View3d object that describes the physical orientation of a 3D chart.

Syntax

object.View3d

The View3d property has the following parts:

Part	Description
object	An object expression that evaluates to an object in the Applies To list.


View3d Object

An object describing the physical orientation of a 3D chart.

Syntax

View3D


View3D Object Example

The following example sets the chart elevation and rotation for a 3D bar chart using the view object.

Private Sub Command1_Click()

'set the chart type to 3d bar

Form1.VtChart1.ChartType = VtChChartType3dBar

With Form1.VtChart1.plot.View3d

.Elevation = 90  'look directly down onto the top of the chart

.Rotation = 90

End With

End Sub


Elevation Property (View3d Object)

Sets or returns the degree of elevation from which a 3D chart is viewed.

Syntax

object.Elevation [= degree]

The Elevation property has the following parts:

Part	Description
object	An object expression that evaluates to an object in the Applies To list.
degree	Single. The degree of elevation.  Elevation can be any number from 0 to 90 degrees. If you set the elevation to 90 degrees, you look directly down onto the top of the chart. If you set the elevation to 0, you look directly at the side of the chart. The default elevation is 30 degrees. By default, degrees are used to measure elevation. However, these settings use the current settings for the AngleUnits property. The other options are: Grads and Radians.


Rotation Property

Describes the degree of rotation from which a 3D chart is viewed.

Syntax

object.Rotation [= degree]

The Rotation property has the following parts:

Part	Description
object	An object expression that evaluates to an object in the Applies To list.
degree	Single. The degree of rotation. Rotation can range from 0 to 360 degrees. By default, degrees are used to measure rotation. However, these settings use the current settings for the AngleUnits property. The other options are: Grads and Radians.


Set Method (View3D Object)

Sets the rotation and degree of elevation for a 3D chart.

Syntax

object.Set (rotation, elevation )

The Set method has the following parts:

Part	Description
object	An object expression that evaluates to an object in the Applies To list.
rotation	Single. The degree of rotation. Rotation can range from 0 to 360 degrees. By default, degrees are used to measure rotation. However, these settings use the current settings for the AngleUnits property. The other options are: Grads and Radians.
elevation	Single. The degree of elevation.  Elevation can be any number from 0 to 90 degrees. If you set the elevation to 90 degrees, you look directly down onto the top of the chart. If you set the elevation to 0, you look directly at the side of the chart. The default elevation is 30 degrees. By default, degrees are used to measure elevation. However, these settings use the current settings for the AngleUnits property. The other options are: Grads and Radians.


VtColor Property

Returns a VtColor object that describes a drawing color.

Syntax

object.VtColor

The VtColor property has the following parts:

Part	Description
object	An object expression that evaluates to an object in the Applies To list.


VtColor Object

An object describing a drawing color.

Syntax

VtColor


Color Property

An OLEColor. A 4-byte integer that codes a color that can be an RGB value or a system color that changes with your system settings.

Syntax

object.color

The Color property syntax has the following parts.

Part	Description
object	An object expression that evaluates to an object in the Applies To list.


VtColor Object Example

The following example sets the fill color for a chart backdrop brush.

Private Sub Command1_Click()

' Sets Backdrop to Fill - Brush Style

VtChart1.Backdrop.Fill.Style = VtFillStyleBrush

' Sets Chart Fill Color to Red

With VtChart1.Backdrop.Fill.Brush.FillColor

.Red = 255   '  Use properties to set color

.Green = 0

.Blue = 0

End With

End Sub


Automatic Property (VtColor Object)

Determines whether the color is calculated automatically. This is only used for loss/gain colors on Hi-Lo charts, statistics line color and point edge color.

Syntax

object.Automatic [= boolean]

The Automatic property has the following parts:

Part	Description
object	An object expression that evaluates to an object in the Applies To list.
boolean	A Boolean value that determines whether the color is calculated automatically, as described in Settings.
Settings

The settings for boolean are:

Setting	Description
True	Color automatically picks up the brush color used on the chart series.
False	The color is determined based on the settings of the r,g,b, values in the VtColor Set method.


Blue Property

Sets or returns the blue component of the RGB value.

Syntax

object.Blue [=b]

The Blue property has the following parts:

Part	Description
object	An object expression that evaluates to an object in the Applies To list.
b	Integer. The blue value.
Remarks

RGB specifies the relative intensity of red, green, and blue to cause a specific color to be displayed. The value for any argument to RGB component that exceeds 255 is assumed to be 255.


Green Property

Sets or returns the green component of the RGB value.

Syntax

object.Green [=g]

The Green property has the following parts:

Part	Description
object	An object expression that evaluates to an object in the Applies To list.
g	Integer. The green value.
Remarks

RGB specifies the relative intensity of red, green, and blue to cause a specific color to be displayed. The value for any argument to RGB component that exceeds 255 is assumed to be 255.


Red Property

Sets or returns the red component of the RGB value.

Syntax

object.Red [=r]

The Red property has the following parts:

Part	Description
object	An object expression that evaluates to an object in the Applies To list.
r	Integer. The red value.
Remarks

RGB specifies the relative intensity of red, green, and blue to cause a specific color to be displayed. The value for any argument to RGB component that exceeds 255 is assumed to be 255.


Set Method (VtColor Object)

Sets the red, green and blue values of the VtColor object.

Syntax

object.Set ( red,green,blue)

The Set method has the following parts:

Part	Description
object	An object expression that evaluates to an object in the Applies To list.
red, green, blue	Integer. The values for the red, green and blue components of color.
Remarks

RGB specifies the relative intensity of red, green, and blue to cause a specific color to be displayed. The value for any argument to RGB component that exceeds 255 is assumed to be 255.


VtFont Property

Returns a VtFont object that describes the font used to display chart text.

Syntax

object.VtFont

The VtFont property has the following parts:

Part	Description
object	An object expression that evaluates to an object in the Applies To list.


VtFont Object

An object describing the font used to display chart text.

Syntax

VtFont


Font Property

Refers to the Font object which contains information needed to format text for display in the interface of an application or for printed output.

Syntax

object.Font [=font]

Part	Description
object	An object expression that evaluates to an object in the Applies To list.
font	An OLE IFontDisp font.
Remarks

If you want to create a Font object, you must use the StdFont object like this:

Dim X As New StdFont

In the following example, you can dynamically change the font object of a TextBox control using the Set statement.

Dim X As New StdFont

X.Bold = True

X.Name = "Arial"

Set Text1.Font = XFont Object


VtFont Object Example

The following example sets the font parameters for a chart title.

Private Sub Command1_Click()

' Make Chart Title visible

VtChart1.Title.Location.Visible = True

' Set font for Chart Title

With VtChart1.Title.VtFont

.Name = "Times New Roman"

.Size = 18

.Style = VtfontStyleBold

' Use both StrikeThrough and Underline in the text

.Effect = VtFontEffectStrikeThrough Or VtFontEffectUnderline

' Set text color to Blue

.VtColor.Set 0, 0, 255

End With

End Sub


Effect Property

Sets or returns the font effects.

Syntax

object.Effects [= effects]

The Effects property has the following parts:

Part	Description
object	An object expression that evaluates to an object in the Applies To list.
effects	Integer. A VtFontEffect constant describing the font effect.


Name Property (VtFont Object)

Sets or returns the name of the font. This is the default property of the VtFont object.

Syntax

object.Name [= text]

The Name property has the following parts:

Part	Description
object	An object expression that evaluates to an object in the Applies To list.
text	String. The text containing the font name.


Name Property (DataPoint Object)

Returns the data point name.

Syntax

object.Name [=string]

Part	Description
object	An object expression that evaluates to an object in the Applies To list.
string	The text containing the datapoint name.
Remarks

This property is read-only.


Wall Property

Returns a Wall object that describes the planar area depicting the Y axes on a chart.

Syntax

object.Wall

The Wall property has the following parts:

Part	Description
object	An object expression that evaluates to an object in the Applies To list.


Wall Object

An object describing a planar area depicting the Y axes on a 3D chart.

Syntax

Wall


Wall Object Example

The following example displays a colored wall for a 3D chart.

Private Sub Command1_Click()

'displays a colored wall for a 3D chart

Form1.VtChart1.ChartType = VtChChartType3dBar

With Form1.VtChart1.Plot.Wall

.Brush.Style = VtBrushStylePattern

.Brush.Index = VtBrushPatternChecks

.Brush.FillColor.Set 255, 120, 120

.Brush.PatternColor.Set 120, 120, 0

.Width = 20

End With

End Sub


Weighting Property

Returns a Weighting object that describes the size of a pie or doughnut in relation to other pies or doughnuts in the same chart.

Syntax

object.Weighting

The Weighting property has the following parts:

Part	Description
object	An object expression that evaluates to an object in the Applies To list.


Weighting Object

An object describing the size of pies or doughnuts in relation to other pies or doughnuts in the same chart.

Syntax

Weighting


Weighting Object Example

The following example shows the weighting of a  pie chart.

Private Sub Command1_Click()

'show the weighting of the pie

Form1.VtChart1.ChartType = VtChChartType2dPie

With Form1.VtChart1.Plot.Weighting

.Basis = VtChPieWeightBasisTotal

.Style = VtChPieWeightStyleArea

End With

End Sub


Basis Property

Sets or returns the type of weighting used to determine pie or doughnut size.

Syntax

object.Basis [= type]

The Basis property has the following parts:

Part	Description
object	An object expression that evaluates to an object in the Applies To list.
type	A VtChPieWeightBasis constant that identifies the weighting type.


Set Method (Weighting Object)

Sets the basis and style of the Weighting object.

Syntax

object.Set ( basis, style )

The Set method has the following parts:

Part	Description
object	An object expression that evaluates to an object in the Applies To list.
basis	A VtChPieWeightBasis constant that identifies the weighting type.
style	A VtChPieWeightStyle constant that identifies the weighting factor method.


VtPicture Property

Returns a VtPicture object that describes a graphic that can be displayed as part of a chart.

Syntax

object.VtPicture

The VtPicture property has the following parts:

Part	Description
object	An object expression that evaluates to an object in the Applies To list.


Picture Property

Sets or returns the picture attached to the fill.

Syntax

object.Picture  [=picture]

Part	Description
object	An object expression that evaluates to an object in the Applies To list.
picture	An IPictureDisp describing the picture.


Picture Property Example

The following example will result in both the Title Backdrop and the Form having the same picture, but thereafter changing either picture will not affect the other.

VtChart1.Title.Backdrop.Fill.Picture = Form1.Picture


VtPicture Object

An object describing a graphic that can be displayed as part of a chart.

Syntax

VtPicture

Remarks

Although the VtPicture object can be used to display many chart parts, any chart part that is rendered in 3D perspective does not support pictures. This includes 3D bars, 3D axis labels backdrops, 3D axis title backdrops, 3D data point label backdrops and 3D markers.

Backdrops for chart, plot, title, footnote and legend on 3D charts can support pictures because these chart parts are not rendered in 3D perspective.


EditPaste Method (VtPicture Object)

Pastes a picture from the clipboard.

Syntax

object.EditPaste ( )

The EditPaste Method has the following parts:

Part	Description
object	An object expression that evaluates to an object in the Applies To list.


Draw Method (VtPicture Object)

Draws an image into a defined rectangle of a standard Windows deviceContext.

Syntax

object.Draw (OLE_Handle,Top, Left, Bottom, Right, mapMode)

The Draw method has the following parts:

Part	Type	Description
OLE_Handle	Integer	An object expression that evaluates to an object in the Applies To list.
Top	Long	The location that specifies in pixels where the top edge of the chart is to be drawn.
Left	Long	The location that specifies in pixels where the left edge of the chart is to be drawn.
Bottom	Long	The location that specifies in pixels where the bottom edge of the chart chart is to be drawn.
Right	Long	The location that specifies in pixels where the right edge of the chart is to be drawn.
MapMode	Integer	A VtPictureMapType constant describing the type of graphics file used to draw the chart.


Embedded Property

Specifies if a graphic file is actually part of the chart.

Syntax

object.Embedded [= boolean]

The Embedded property syntax has the following parts:

Part	Description
object	An object expression that evaluates to an object in the Applies To list.
Remarks

If True, the graphic is saved with the chart. If False, the picture is not saved with the chart. To set up a reference to a separate graphics file, specify the path and filename in the Filename property.


FileName Property

Sets or returns the filename and path to a referenced graphic file.

Syntax

object.Filename [= pathname]

The Filename property syntax has the following parts:

Part	Description
object	An object expression that evaluates to an object in the Applies To list.
pathname	String. The name and path to a graphic file.
Remarks

The Filename property is the default property for the VtPicture object.


Map Property

Sets or returns how the picture is displayed.

Syntax

object.Map [= style]

The map property syntax has the following parts:

Part	Description
style	A VtPictureMapType constant that describes how the picture is displayed.
object	An object expression that evaluates to an object in the Applies To list.


Type Property (VtPicture Object)

Returns the type of graphic file.

Syntax

[type=] object.Type

The Type property syntax has the following parts:

Part	Description
type	A VtPictureType constant that describes the type of graphic file.
object	An object expression that evaluates to an object in the Applies To list.
Remarks

Read-only.


SeriesLabel Property

Refers to an object representing a label on a chart series.

Syntax

object.SeriesLabel

The SeriesLabel property syntax has the following parts:

Part	Description
object	An object expression that evaluates to an object in the Applies To list.
Remarks

Line, Area, Step, XY, Polar and Radar chart types support series labels.


SeriesLabel Object

An object describing a label on a chart series.

Syntax

SeriesLabel

Remarks

Line, Area, Step, XY, Polar and Radar chart types support series labels.


Doughnut Property

Refers to an object representing a doughnut chart type.

Syntax

object.Doughnut

The Doughnut property syntax has the following parts:

Part	Description
object	An object expression that evaluates to an object in the Applies To list.


Doughnut Object

An object describing a doughnut chart.

Syntax

Doughnut


InteriorRatio Property

Sets or returns the ratio of the radius of the doughnut that is used to display the interior "hole" in the doughnut.

Syntax

object.InteriorRatio [= ratio]

Part	Description
ratio	Single. The radius ratio.Valid values are .01 to 1.0.
object	An object expression that evaluates to an object in the Applies To list.


Sides Property (Doughnut Object)

Sets or returns the number of sides displayed for a doughnut.

Syntax

object.Sides [= num]

The Sides property has the following parts:

Part	Description
num	Integer. The number of doughnut sides.Valid values are 1 to 360. If you use 1, First Impression determines how many sides are needed to give the doughnut a round appearance based on the current division. Entering large numbers may impact performance.
object	An object expression that evaluates to an object in the Applies To list.


Set Method (Doughnut Object)

Sets the attributes for a doughnut chart.

Syntax

object.Set (interiorratio, sides)

The Set method has the following parts:

Part	Description
object	An object expression that evaluates to an object in the Applies To list.
interiorratio	The ratio of the radius of the doughnut used to display the interior "hole" in the doughnut.
sides	Number of sides displayed for a doughnut


Elevation Property

Refers to an object representing an elevation chart.

Syntax

object.Elevation

The Elevation property has the following parts:

Part	Description
object	An object expression that evaluates to an object in the Applies To list.


Elevation Object

An object describing an elevation chart.

Syntax

Elevation


Attributes Property

Refers to an Attributes Collection.

Syntax

object.Attributes

The Attributes property has the following parts:

Part	Description
object	An object expression that evaluates to an object in the Applies To list.


Attributes Collection

A collection of attribute objects.

Syntax

Attributes

Attributes (index)

Attributes.Item (index)

The Attributes Collection has the following parts:

Part	Description
object	An object expression that evaluates to an object in the Applies To list.
item	Item is the default property of the Attributes Collection.
index	An expression that uniquely identifies the object in the collection. If a numeric expression, index must be a number from 0 to the value of the collection's Count property. The first item in the collection is represented by the index 0. If a string expression, index must correspond to the key argument specified when the member referred to was added to the collection.


Attribute Object

An object describing the appearance of an individual contour on a chart.

Syntax

Attribute


Value Property

Sets or returns the contour data value where the contour is displayed.

Syntax

object.Value [=num]

The Value property has the following parts:

Part	Description
num	The data value at the contour location.
object	An object expression that evaluates to an object in the Applies To list.


AutoValues Property

Determines whether or not the values used to display chart contours are calculated automatically or if custom contours are displayed.

Syntax

object.AutoValues [= boolean]

The AutoValues property has the following parts:

Part	Description
boolean	A boolean expression that determines if the values used to display chart contours are calculated automarically as described in Settings.
object	An object expression that evaluates to an object in the Applies To list.
Settings

Setting	Description
True	Each major axis division represents a separate contour
False	Any specified custom contours are unchanged.


ColorType Property

Sets or returns the color type used to display chart contours.

Syntax

object.ColorType [= type]

The ColorType property has the following parts:

Part	Description
type	A VtChContourColorType constant describing the contour color.
object	An object expression that evaluates to an object in the Applies To list.


ColSmoothing Property

Sets or returns the smoothing factor to be applied to columns.

Syntax

object.ColSmoothing [= factor]

The ColSmoothing property has the following parts:

Part	Description
factor	Integer. The smoothing factor.
object	An object expression that evaluates to an object in the Applies To list.


RowSmoothing Property

Sets or returns the smoothing factor to be applied to rows.

Syntax

object.RowSmoothing [= factor]

The RowSmoothing property has the following parts:

Part	Description
factor	Integer. The smoothing factor.The table below lists some examples of valid smoothing factors.
object	An object expression that evaluates to an object in the Applies To list.
Smoothing Factor	Description
0	The raw grid data is used with no smoothing.
1	This factor samples the spline data only at the original data grid locations.
2-32	A factor of 2 or more will break the row and column locations into the specified number of subdivisions. Since smoothing occurs for both rows and columns, a smoothing factor of 2 breaks a surface patch into 4 subpatches while a smoothing factor of 4 breaks a patch into 16 subpatches. Higher smoothing factors may slow drawing speed significantly.


SeparateContourData Property

Specifies whether or not the data grid contains separate elevation and contouring data.

Syntax

object.SeparateContourData [= boolean]

The SeparateContourData property syntax has the following parts:

Part	Description
object	An object expression that evaluates to an object in the Applies To list.
boolean	A Boolean value that determines whether the color is calculated automatically, as described in Settings.
Settings

The settings for boolean are:

Setting	Description
True	The first half of the data (divided vertically between columns) contains elevation data and the second half contains contour data.
False	The entire data grid contains elevation data.


Contour Property

Refers to an object representing a surface contour on a 3D elevation chart.

Syntax

object.Contour

The Contour property syntax has the following parts:

Part	Description
object	An object expression that evaluates to an object in the Applies To list.


Contour Object

An object describing a surface contour on a 3D elevation chart.

Syntax

Contour


DisplayType Property

Sets or returns the type of contour displayed on a chart.

Syntax

object.DisplayType [=type]

The DisplayType property has the following parts:

Part	Description
type	A VtChContourDisplayType constant that describes the contour.
object	An object expression that evaluates to an object in the Applies To list.


ContourGradient Property

Refers to an object representing a gradient contour or line on a 3D elevation chart.

Syntax

object.ContourGradient

The ContourGradient property has the following parts:

Part	Description
object	An object expression that evaluates to an object in the Applies To list.


ContourGradient Object

An object describing a gradient contour or line on a 3D elevation chart.

Syntax

ContourGradient


FromBrushColor Property

Sets or returns the brush color for the beginning color displayed on a gradient chart.

Syntax

object.FromBrush [= VtColor]

Part	Description
VtColor	Describes the brush color.
object	An object expression that evaluates to an object in the Applies To list.


ToBrushColor Property

Sets or returns the brush color for the ending color displayed on a gradient chart.

Syntax

object.ToBrush [= VtColor]

Part	Description
VtColor	Describes the brush color.
object	An object expression that evaluates to an object in the Applies To list.


FromPenColor Property

Sets or returns the pen color for the beginning contour line on a gradient chart.

Syntax

object.FromPen [= VtColor]

Part	Description
VtColor	Object. Describes the pen color.
object	An object expression that evaluates to an object in the Applies To list.


ToPenColor Property

Sets or returns the pen color for the ending contour line on a chart.

Syntax

object.ToPen [= VtColor]

Part	Description
VtColor	Object. Describes the pen color.
object	An object expression that evaluates to an object in the Applies To list.


Surface Property

Refers to an object representing a surface chart.

Syntax

object.Surface

The surface property has the following parts:

Part	Description
object	An object expression that evaluates to an object in the Applies To list.


Surface Object

An object describing a surface chart.

Syntax

Surface


DisplayType Property (Surface Object)

Sets or returns how the surface itself is represented.

Syntax

object.DisplayType [=type]

The DisplayType property has the following parts:

Part	Description
object	An object expression that evaluates to an object in the Applies To list.
type	A VtChSurfaceDisplayType constant describing the surface of the chart.


Projection Property (Surface Object)

Sets or returns the appearance of the planar contour chart projected above the surface.

Syntax

object.Projection [=type]

The Projection property has the following parts:

Part	Description
object	An object expression that evaluates to an object in the Applies To list.
type	A VtChSurfaceProjectionType constant describing the surface of the contour chart.


WireframePen Property

The color and style used to display the chart contour as a wireframe.

Syntax

Surface.WireframePen


RowWireframe Property

The color and style used to display the chart contour as a wireframe.

Syntax

object.RowWireframe  =type

The RowWireframe property syntax has the following parts:

Part	Description
object	An object expression that evaluates to an object in the Applies To list.
type	A VtChSurfaceWireframeType constant describing the type of wireframe used to display the contour.


ColWireframe Property

Sets or returns the column wireframe display status and appearance.

Syntax

object.ColWireframe [= type]

The ColWireframe property syntax has the following parts:

Part	Description
object	An object expression that evaluates to an object in the Applies To list.
type	A VtChSurfaceWireframeType constant used to describe the column wireframe.


Base Property

Sets or returns how the base of a surface chart is represented.

Syntax

object.Base [= type]

The Base property has the following parts.

Part	Description
type	A VtChSurfaceBaseType constant used to describe the surface chart base.
object	An object expression that evaluates to an object in the Applies To list.


Gradient Property

Refers to an object that holds information about color and type of gradient used to fill an object.

Syntax

object.Gradient

The Gradient property syntax has the following parts:

Part	Description
object	An object expression that evaluates to an object in the Applies To list.


Gradient Object

An object describing the type of gradient used to fill an object. It also describes the colors used to make the gradient.

Syntax

Gradient


FromColor Property

The color of the beginning gradient band.

Syntax

[color = ] object.FromColor

The FromColor property has the following parts:

Part	Description
color	Describes the gradient color.
object	An object expression that evaluates to an object in the Applies To list.
Remarks

Read-only.


ToColor Property

Returns the color of the ending gradient band.

Syntax

[color =] object.ToColor

The ToColor property has the following parts:

Part	Description
color	Describes the gradient color.
object	An object expression that evaluates to an object in the Applies To list.
Remarks

Read-only.


Style Property (Gradient Object)

Sets or returns the gradient style.

Syntax

object.Style [= type]

The Style property has the following parts.

Part	Description
type	A VtGradientStyle constant that describes the type of gradient.
object	An object expression that evaluates to an object in the Applies To list.


Draw Method (VtChart Object)

This method can be used to print a chart at a specific location on a page or to draw a scaled version of the chart to be displayed in a window.

Syntax

object.Draw (hDC,hDCType,Top,Left,Bottom,Right,Layout,Stretch)

The Draw method has the following parts:

Part	Description
hdc	OLE_HANDLE. A standard windows device context.
hDCType	Interger. A VtDcType constant that identifies the type of context represented by hdc.
Top	Long. The location that specifies in pixels where the top edge of the chart is to be drawn.
Left	Long. The location that specifies in pixels where the left edge of the chart is to be drawn.
Bottom	Long. The location that specifies in pixels where the bottom edge of the chart chart is to be drawn.
Right	Long. The location that specifies in pixels where the right edge of the chart is to be drawn.
Layout	Boolean. Controls how the chart is laid out on the device. If Layout is True, the chart is laid out for the size of the rectangle. Labels and other chart elements may be moved or changed in order to optimize chart appearance. The result may not be WYSIWYG. If layout is False the output is WYSIWYG.
Stretch	Controls chart scaling. Stretch is only valid if Layout is set to False. If Stretch is True, the chart is scaled up or down to fit the rectangle provided. If Stretch is False, the chart is printed at its actual size.
object	An object expression that evaluates to an object in the Applies to list.


EditChartData Method

Invokes the Data Grid Editor.

Syntax

object.EditChartData

The EditChartData method has the following parts:

Part	Type
object	An object expression that evaluates to an object in the Applies To list.


GetBitMap Property

Returns a handle to a copy of the current chart in bitmap format. Another control can use this handle to display the chart copy.

Syntax

[handle =] object.GetBitmap ( options )

The GetBitmap method has the following parts:

Part	Description
object	An object expression that evaluates to an object in the Applies To list.
options	Integer. Currently an unused argument.
handle	OLE_HANDLE. The handle to the chart.
Remarks

This is a read-only method.

Note: Some development environments do not support the OLE_HANDLE data type. If your environment does not support this type, use data type LONG.


GetMetafile Method

Returns a handle to a copy of the current chart in a metafile format. This handle can be used by another control to display the chart copy.

Syntax

object.GetMetafile (options As Integer, wmf As OLE_HANDLE, xExt As Long, yExt As Long)

The GetMetafile method has the following parts:

Part	Description
object	An object expression that evaluates to an object in the Applies To list.
options	A VtPictureOption constant that controls the type of metafile created by this method.
wmf	OLE_HANDLE. The handle to the chart.
xExt	Long. Returns the width of the chart control in twips
yExt	Long. Returns the height of the chart control in twips.
Remarks

This is a read-only method.

Note: Some development environments do not support the OLE_HANDLE data type; if your environment does not support this type, use data type LONG.


PrintChart Method

Sends the current chart to the current printer using the information set by the PrintInformation object.

Syntax

object.PrintChart

The PrintChart method has the following parts:

Part	Description
object	An object expression that evaluates to an object in the Applies To list.


PrintInformation Property

Refers to an object that contains attributes describing how a chart should be printed.

Syntax

object.PrintInformation

The PrintInformation property has the following parts:

Part	Description
object	An object expression that evaluates to an object in the Applies To list.


PrintInformation Object

An object describing how a chart should be printed.

Syntax

PrintInformation


Monochrome Property

This property is not currently used.


ScaleType Property

Sets or returns the attributes describing how a chart should be printed.

Syntax

object.ScaleType [= type]

The ScaleType property has the following parts:

Part	Description
object	An object expression that evaluates to an object in the Applies To list.
Type	A VtPrintScaleType constant describing how the chart is scaled.


Orientation Property (PrintInformation Object)

Sets or returns the physcial layout of the chart on the printed page.

Syntax

object.Orientation [=layout]

The Orientation property has the following parts:

Part	Description
object	An object expression that evaluates to an object in the Applies To list.
layout	A VtPrintOrientation constant describing how the chart is laid out on the printed page.


TopMargin Property

Sets or returns the amount of white space at the top edge of the paper.

Syntax

object.TopMargin [=space]

The TopMargin property has the following parts:

Part	Description
space	The space at the top of the page. Margins are specified in inches or centimeters.
object	An object expression that evaluates to an object in the Applies To list.


BottomMargin Property

Sets or returns the amount of white space at the bottom edge of the paper.

Syntax

object.BottomMargin [=space]

Part	Description
space	The space at the bottom of the page. Margins are specified in inches or centimeters.
object	An object expression that evaluates to an object in the Applies To list.


LeftMargin Property

Sets or returns the amount of white space at the left edge of the paper.

Syntax

object.LeftMargin [= space]

The LeftMargin property has the folllowing parts:

Part	Description
space	The space at the left edge of the page. Margins are specified in inches or centimeters.
object	An object expression that evaluates to an object in the Applies To list.


RightMargin Property

Sets or returns the amount of white space at the right edge of the paper.

Syntax

object.RightMargin [= space]

The RightMargin property has the folllowing parts:

Part	Description
object	An object expression that evaluates to an object in the Applies To list.
space	The space at the right edge of the page. Margins are specified in inches or centimeters.


CenterHorizontal Property

Determines whether or not the chart is centered horizontally on the page.

Syntax

object.CenterHorizontal [=boolean]

The CenterHorizontal property has the folllowing parts:

Part	Description
object	An object expression that evaluates to an object in the Applies To list.
boolean	A boolean expression describing whether the chart is horizontally centered, as described in Settings.
Settings

The settings for boolean are:

Setting	Description
True	The chart is centered horizontally.
False	The chart is not centered horizontally.


CenterVertical Property

Determines whether or not the chart is centered vertically on the page.

Syntax

object.CenterVertical [=boolean]

The CenterVertical property has the folllowing parts:

Part	Description
object	An object expression that evaluates to an object in the Applies To list.
boolean	A boolean expression that determines if the chart is vertically centered as described in Settings.
Settings

The settings for boolean are:

Setting	Description
True	The chart is centered vertically on the page.
False	The chart is not centered vertically on the page.


PrintLayout Property

Determines whether or not the chart is re-laid out to best fit onto the page. Results of any redrawing are only seen on the printed page.

Syntax

object.PrintLayout [=boolean]

The PrintLayout property has the folllowing parts:

Part	Description
object	An object expression that evaluates to an object in the Applies To list.
boolean	A boolean expression describing if the chart is re-laid out.
Settings

Setting	Description
True	The chart is re-laid out.
False	The chart is not altered.


PrintSetupDialog Method

Displays the Print Setup dialog box.

Syntax

object.PrintSetupDialog

The PrintSetupDialog method has the folllowing parts:

Part	Description
object	An object expression that evaluates to an object in the Applies To list.


ReadFromBlob Method

Reads a chart that has been stored in memory from a BLOB variable.

Syntax

object.ReadFromBlob hBlob, nReservedBytes

The ReadFromBlob method has the following parts:

Part	Description
hBlob	OLE_HANDLE. Reference to a BLOB variable in memory.
nReservedBytes	Integer. Size of the BLOB variable. Not implemented in this version and must be 0.
object	An object expression that evaluates to an object in the Applies To list.
Remarks

This method is disabled when running First Impression in containers that require safe mode for the IObjectSafety interface. Calls to this method will fail at run-time.


ReadFromFile Method

Opens an existing chart file.

Syntax

object.ReadFromFile ( filename )

The ReadFromFile method has the following parts:

Part	Type	Description
filename	String	The name of the file to open
object	An object expression that evaluates to an object in the Applies To list.
Remarks

This method is disabled when running First Impression in containers that require safe mode for the IObjectSafety interface. Calls to this method will fail at run-time.


UseWizard Method

Invokes the chart wizard.

Syntax

object.UseWizard

The UseWizard method has the following parts:

Part	Description
object	An object expression that evaluates to an object in the Applies To list.


WritePictureToFile Method

Saves a chart to a file in a supported graphic format.

Syntax

object.WritePictureToFile ( filename, pictureType, options )

The WritePictureToFile method has the following parts:

Part	Description
filename	String. The name of the chart file.
pictureType	Integer. Specifies the format used to write the chart to the file. VtPictureType contains valid constants for this argument.
options	The function of this parameter differs depending on how you wish to save the chart. When saving a chart as a Windows Metafile, this parameter is a VtPictureOption constant that controls the type of metafile created by this method.  When saving a chart as a JPEG file, this parameter determines the compression factor of the graphic. Valid values are 1 through 99.  Setting this option to 1 yields the highest compression but lowest clarity while setting this option to 99 yields the lowest compression and the highest amount of clarity. This option is ignored if saving the chart as a BMP file.
object	An object expression that evaluates to an object in the Applies To list.
Remarks

This method is disabled when running First Impression in containers that require safe mode for the IObjectSafety interface. Calls to this method will fail at run-time.


WriteToBlob Method

Writes a chart that has been stored in memory to a BLOB variable.

Syntax

object.WriteToBlob phBlob, nReservedBytes

The WriteToBlob method has the following parts:

Part	Description
phBlob	OLE_HANDLE. Reference to a BLOB variable in memory.
nReservedBytes	Integer. Size of the BLOB variable. Not implemented in this version and must be 0.
object	An object expression that evaluates to an object in the Applies To list.
Remarks

This method is disabled when running First Impression in containers that require safe mode for the IObjectSafety interface. Calls to this method will fail at run-time.


WriteToFile Method

Saves a chart to a file

Syntax

object.WriteToFile ( filename )

The WriteToFile method has the following parts:

Part	Description
filename	String. The name of the chart file.
object	An object expression that evaluates to an object in the Applies To list.
Remarks

This method is disabled when running First Impression in containers that require safe mode for the IObjectSafety interface. Calls to this method will fail at run-time.


PrintCopies Method

Prints a number of copies of the chart.

Syntax

object.PrintCopies (numberofCopies )

The PrintCopies method has the following parts:

Part	Description
numberofCopies	Integer. The number of copies to be printed.
object	An object expression that evaluates to an object in the Applies To list.


XYZ Property

Refers to an XYZ object which represents the intersection of the axes of a 3D XYZ chart

Syntax

object.XYZ

The XYZ property has the following parts:

Part	Description
object	An object expression that evaluates to an object in the Applies To list.


XYZ Object

An object describing the point at which the axes of a 3D XYZ chart intersect.

Syntax

XYZ


Automatic Property (XYZ Object)

Sets or returns whether First Impression uses the xIntersection value, yIntersection value and zIntersection value to position the intersection point.

Syntax

object.Automatic [=boolean]

The Automatic property has the following parts:

Part	Description
object	An object expression that evaluates to an object in the Applies To list.
boolean	A boolean expression describing whether the intersection of the XYZ axes is automatically determined by their values as described in Settings.
Settings

Setting	Description
True	The intersection is positioned at the zero point for each axis (0,0,0).
False	The axis is positioned at the values indicated by xIntersection, yIntersection and zIntersection.


xIntersection Property

Sets or returns the point on the X axis of a 3D XYZ chart where the Y and Z axes intersect.

Syntax

object.xIntersection [=point]

The xIntersection property has the following parts:

Part	Description
object	An object expression that evaluates to an object in the Applies To list.
point	Double. The point on the X axis where the other axes intersect.
Remarks

If this property is set, then the Automatic property is automatically set to false.


yIntersection Property

Sets or returns the point on the Y axis of a 3D XYZ chart where the X and Z axes intersect.

Syntax

object.yIntersection [=point]

The yIntersection property has the following parts:

Part	Description
object	An object expression that evaluates to an object in the Applies To list.
point	Double. The point on the Y axis where the other axes intersect.
Remarks

If this property is set, then the Automatic property is automatically set to false.


zIntersection Property

Sets or returns the point on the Z axis of a 3D XYZ chart where the X and Y axes intersect.

Syntax

object.zIntersection [=point]

The zIntersection property has the following parts:

Part	Description
object	An object expression that evaluates to an object in the Applies To list.
point	Double. The point on the Z axis where the other axes intersect.
Remarks

If this property is set, then the Automatic property is automatically set to false.


HiLo Property

Refers to an object representing a hi-lo chart type.

Syntax

object.HiLo

The HiLo property has the following parts:

Part	Description
object	An object expression that evaluates to an object in the Applies To list.


HiLo Object

An object describing a hi-lo chart.

Syntax

HiLo


HiLo Object Example

The following example demonstrates setting the chart type to a Hi-Lo chart type and setting the color properties for the chart bars.

Private Sub command1_Click

Dim column As Integer

'Set Chart Type to 2D Hilo Close Bar

VtChart1.charttype = VtChChartType2dHiLo

For column = 1 To VtChart1.columnCount

VtChart1.Plot.SeriesCollection.Item(column).seriesType = VtChSeriesType2DOHLCBar

Next column

'Set HiLo properties

For column = 1 to VtChart1.columnCount

With VtChart1.Plot.Series Collection.Item(column).HiLo

.gainColor.Set 255,0,0	'Gaincolor = Red

.gainColor.Set 0,0,255	'Losscolor = Blue

End With

Next Column

End Sub


GainColor Property

The color used to indicate a gain in value for a series on a hi-lo chart.

Syntax

object.Gaincolor

The GainColor property has the following parts:

Part	Description
object	An object expression that evaluates to an object in the Applies To list.


LossColor Property

The color used to indicate a loss in value for a series on a hi-lo chart.

Syntax

object.Losscolor

The GainColor property has the following parts:

Part	Description
object	An object expression that evaluates to an object in the Applies To list.


DateScale Property

Refers to an object representing the scale for a date axis.

Syntax

object.DateScale

The DateScale property has the following parts:

Part	Description
object	An object expression that evaluates to an object in the Applies To list.


DateScale Object

An object describing the scale for a date axis.

Syntax

DateScale


MajFreq Property

Sets or returns the number of major intervals that pass before a label is placed on the axis.

Syntax

object.MajFreq [=num]

The MajFreq property has the following parts:

Part	Description
object	An object expression that evaluates to an object in the Applies To list.
num	The number of intervals. If the MajInt constant VtChDateIntervalType is set to monthly, but you only want every third month to display, you would set this argument to 3.
Remarks

If this property is set, then the Auto property is automatically set to False.


MinFreq Property

Sets or returns the number of minor intervals that pass before a label is placed on the axis.

Syntax

object.MinFreq [=num]

The MinFreq property has the following parts:

Part	Description
object	An object expression that evaluates to an object in the Applies To list.
num	The number of intervals. If the MinInt property constant VtChDateIntervalType is set to monthly, but you only want every third month to display, you would set this argument to 3.
Remarks

If this property is set, then the Auto property is automatically set to False.


MajInt Property

Sets or returns the type of interval used to display dates on an axis. Major grid lines are drawn at the major interval.

Syntax

object.MajInt [=type]

The MajInt property has the following parts:

Part	Description
object	An object expression that evaluates to an object in the Applies To list.
type	A VtChDateIntervalType constant describing the interval used to display the dates on an axis where the major ticks and grid lines appear.
Remarks

If this property is set, then the Auto property is automatically set to False.


MinInt Property

Sets or returns the type of interval used to display dates on an axis. Minor grid lines are drawn at the minor interval.

Syntax

object.MinInt [=type]

The MinInt property has the following parts:

Part	Description
object	An object expression that evaluates to an object in the Applies To list.
type	A VtChDateIntervalType constant describing the interval used to display the dates on an axis where the minor ticks and grid lines appear.
Remarks

If this property is set, then the Auto property is automatically set to False.


SkipWeekend Property

Determines whether or not dates that fall on the weekend are displayed on the chart.

Syntax

object.SkipWeekend [= boolean]

The MajInt property has the following parts:

Part	Description
object	An object expression that evaluates to an object in the Applies To list.
boolean	A boolean expression describing whether or not to display weekend dates as described in Settings.
Settings

Setting	Description
True	Weekend dates are not displayed on the chart.
False	Weekend dates are displayed on the chart.


Auto Property (DateScale Object)

Indicates whether the axis is automatically scaled.

Syntax

object.Auto [= boolean]

The Auto property has the following parts:

Part	Description
object	An object expression that evaluates to an object in the Applies To list.
boolean	A Boolean value that specifies whether the item is displayed, as described in Settings.
Settings

The settings for boolean are:

Setting	Description
True	The axis is automatically scaled based on the data being charted.
False	If False, the axis is not automatically scaled. Values in MajInt, MinInt, MajFreq and MinFreq are used to determine the scale.


SsLinkBook Property

Identifies a Formula One workbook to use as the data source for the chart.

Syntax

object.SsLinkBook [= book]

The SsLinkBook property syntax has the following parts:

Part	Description
book	A string identifying the Formula One workbook by the Formula One TableName property.
object	An object expression that evaluates to an object in the Applies To list.


SsLinkRange Property

Sets or returns the range of data within the spreadsheet that contains the source data for the chart.

Syntax

object.SsLinkRange [= range]

The SsLinkRange property syntax has the following parts:

Part	Description
range	A string representing a range of data within the spreadsheet that holds the data you want to chart.
object	An object expression that evaluates to an object in the Applies To list.
Remarks

If possible, use a named range as opposed to a row and column reference. If you enter an invalid named range, an error condition is returned. If you enter an invalid tablename or row column reference, no error condition is returned.


SsLinkMode Property

Sets or returns how the data in a Formula One spreadsheet is interpreted by First Impression.

Syntax

object.SsLinkMode [= type]

The SsLinkMode property syntax has the following parts:

Part	Description
type	A VtChSsLinkMode constant describing the method used to interpret the spreadsheet data. For more information, see SsLinkMode constants .
object	An object expression that evaluates to an object in the Applies To list.


DataSource Property

Sets a value that specifies the Data control through which First Impression is currently bound to a database.

Syntax

object.DataSource [=value]

The DataSource property syntax has the following parts:

Part	Description
object	An object expression that evaluates to an object in the Applies To list.
value	The data control value.


DragMode Property

Sets or returns a value that determines whether manual or automatic drag mode is used.

Syntax

object.DragMode [=mode]

The DragMode property syntax has the following parts:

Part	Description
object	An object expression that evaluates to an object in the Applies To list.
mode	Integer The dragmode value.


DataObjectFiles Collection

Not used by this version of First Impression.


DataObject Object

Returns a specific filename by index from the Files collection of a DataObject object (vbCFFiles format only).

Syntax

DataObject

Remarks

The DataObject object is a container for data being transferred from a component source to a component target. The data is stored in the format defined by the method using the DataObject object.

The DataObject, which mirrors the IDataObject interface, allows OLE drag and drop and clipboard operations to be implemented.

Most components support manual OLE drag and drop events, and some support automatic OLE drag and drop events.


Clear Method

This method not supported by First Impression.


Remove Method (DataObject Files Collection)

This method not supported by First Impression.


Files Property

Returns a DataObjectFiles collection, which in turn contains a list of all filenames used by a DataObject object.

Syntax

[index=] object.Files

The Files property syntax has the following parts:

Part	Description
object	An object expression that evaluates to an object in the Applies To list.
index	An integer which is an index to an array of filenames
Remarks

Read-only. The Files collection is filled with filenames only when the DataObject object contains data of type vbCFFiles. (The DataObject object can contain several different types of data.) You can iterate through the collection to retrieve the list of file names.

The Files collection can be filled to allow Visual Basic applications to act as a drag source for a list of files.


GetFormat Method

Returns an boolean value indicating whether an item in the DataObject object matches a specified format.

Syntax

object.GetFormat [=sFormat As Integer] As Boolean

The GetFormat method syntax has the following parts:

Part	Description
object	An object expression that evaluates to an object in the Applies To list.
sFormat	A VbCFConstant  that specifies the data format.
boolean	A boolean expression describing whether the sFormat value matches the DataObject item as described in Settings.
Settings

Setting	Description
True	An item in the DataObject object matches the specified format.
False	An item in the DataObject object does not match the specified format.
Remarks

Doesn't support named arguments. For Drop operations to the chart, First Impression supports only vbCFText, vbCFMetafile and vbCFDIB formats.

For more information, see Using Drag-and-Drop Functionality to Copy Data and Supported Formats for Drag-and-Drop Operations .


ChartPart Object

An object describing a specific chart part.

Syntax

ChartPart


Index1 Property

Sets or returns chart part index 1.

Syntax

object.Index1 (index)

The Index1 property syntax has the following parts:

Part	Description
object	An object expression that evaluates to an object in the Applies To list.
index	Integer. If the Part property is a series or a datapoint, this argument specifies which series. Series are numbered in the order their corresponding columns appear in the data grid from left to right, beginning with 1. If part refers to an axis or axis label, this argument identifies the axis type with a VtChAxisId constant.


Index2 Property

Sets or returns chart part index 2.

Syntax

object.Index2 (index)

The Index2 property syntax has the following parts:

Part	Description
object	An object expression that evaluates to an object in the Applies To list.
index	Integer. If the Part property refers to a data point, this argument specifies which data point in the series identified by index1. Data points are numbered in the order their corresponding rows appear in the data grid from top to bottom, beginning with 1. If part refers to an axis, axis title, or axis label, this argument refers to the axis index which is currently not used. In this case, the only valid value for this argument is 1.


Index3 Property

Sets or returns chart part index 3.

Syntax

object.Index3 (index)

The Index3 property syntax has the following parts:

Part	Description
object	An object expression that evaluates to an object in the Applies To list.
index	Integer. If the Part property refers to an axis label, this argument refers to the level of the label. Axis label levels are numbered from the axis out, beginning with 1. If part is not an axis label, the argument is unused.


Index4 Property

Sets or returns chart part index 4.

Syntax

object.Index4 (index)

The Index4 property syntax has the following parts:

Part	Description
object	An object expression that evaluates to an object in the Applies To list.
index	Integer. This argument is unused at this time.


Part Property

Sets or returns a chart part type.

Syntax

object.Part [=part]

The Part property syntax has the following parts:

Part	Description
object	An object expression that evaluates to an object in the Applies To list.
part	A VtChPartType constant describing the chart part.


CancelEvent Property

Determines the True/False state of the Cancel Event flag. The CancelEvent flag indicates whether or not the user wishes to cancel an event and replace the standard user interface by displaying his own dialog

Syntax

object.CancelEvent [=boolean]

The CancelEvent property syntax has the following parts:

Part	Description
object	An object expression that evaluates to an object in the Applies To list.
boolean	If this value is True, the Event is cancelled. If this value is not true, the Event is not cancelled.
Remarks

The value of this property ican be set for the CancelEvent parameter in the PartActivated and PartSelected events to determine if the event is cancelled.


CancelEvent Object

An object describing information about the state of the CancelEvent flag.

Syntax

CancelEvent


GetData Method (DataObject Object)

Returns data from a DataObject object in the form of a variant.

Syntax

object.GetData [=sFormat]

The GetData method syntax has the following parts:

Part	Description
object	An object expression that evaluates to an object in the Applies To list.
sFormat	A vbCF constant that specifies the data format. Parentheses must enclose the constant or value. If format is 0 or omitted, GetData automatically uses the appropriate format..
Remarks

It's possible for the GetData method to use data formats other than those listed in vbCF, including user-defined formats registered with Windows via the RegisterClipboardFormat() API function. However, there are a few caveats:

•	The GetData method always returns data in a byte array when it is in a format that it doesn't recognize, although Visual Basic can transparently convert this returned byte array into other data types, such as strings.

•	The byte array returned by GetData will be larger than the actual data when running on some operating systems, with arbitrary bytes at the end of the array. The reason for this is that Visual Basic does not know the data's format, and knows only the amount of memory that the operating system has allocated for the data. This allocation of memory is often larger than is actually required for the data. Therefore, there may be extraneous bytes near the end of the allocated memory segment. As a result, you must use appropriate functions to interpret the returned data in a meaningful way (such as truncating a string at a particular length with the Left function if the data is in a text format). Adds a supported format and possibly its data to a DataObject object.


SetData Method (DataObject Object)

Inserts data into a DataObject object using the specified data format.

Syntax

object.SetData [vValue], [vFormat]

The SetData Method syntax has the following parts:

Part	Description
object	An object expression that evaluates to an object in the Applies To list.
vFormat	Optional. A vbCF constant that specifies the format of the data being passed.
sValue	Optional A variant containing the data to be passed to the DataObject object.
Remarks

The data argument is optional. This allows you to set several different formats that the source component can support without having to load the data separately for each format. Multiple formats are set by calling SetData several times, each time using a different format. If you wish to start fresh, use the Clear method to clear all data and format information from the Dataobject.

The format argument is also optional, but either the data or format argument must be specified. If data is specified, but not format, then Visual Basic will try to determine the format of the data. If it is unsuccessful, then an error is generated. When the target requests the data, and a format was specified, but no data was provided, the source’s OLESetData event occurs, and the source can then provide the requested data type.

It's possible for the SetData method to use data formats other than those listed in vbCF, including user-defined formats registered with Windows via the RegisterClipboardFormat() API function. However, there is a caveat:

•	The SetData method requires the data to be in the form of a byte array when it does not recognize the data format specified.


URL Property

At run-time, loads a chart from a URL address.

Syntax

object.URL = string

The URL property has the following parts:

Part	Description
object	An object expression that evaluates to an object in the Applies To list.
string	An expression that evaluates to a URL address.
Remarks

This property is active only at run-time. If the URL property is set at run-time, the Filename property is ignored, and the chart settings are loaded from the URL location. You must specify a complete URL address in the string.

Example

The following example shows how the URL property can load a chart file from a URL address on a command button click event.

CommandButton1_Click

VtChart1.URL = "http://www.visualcomp.com/internet/chart.vtc"

End Sub


UseChartDesigner Method

Invokes the chart designer with the specified selection.

Syntax

object.UseChartDesigner (selection As ChartPart)

The UseChartDesigner Method has the following parts:

Part	Description
object	An object expression that evaluates to an object in the Applies To list.
selection	Refers to the ChartPart object.


UseChartDesigner Method Example

This example demonstrates how to get a selected chart part via the GetSelectedPartEx method and pass it that part to the UseChartDesigner method. When the designer is invoked, the designer will display the appropriate tab for the selected chart part.

Private Sub Command1_Click()

Dim p As ChartPart

Set p = VtChart1.GetSelectedPartEx

VtChart1.UseChartDesigner p

End Sub

This example shows how to invoke the chart designer without a selected chart part or specified chart.

Private Sub Command1_Click()

VtChart1.UseChartDesigner Nothing

End Sub


Welcome to First Impression

For a detailed list of contents, click the Help Topics button at the top of this page, then select the Contents tab.

•	Introduction

•	Methods of Accessing Data with First Impression

•	The Chart Wizard

•	The DataGrid Editor

•	The Chart Designer

•	Understanding Objects

•	The First Impression Control

•	The Object Model

•	Working with Chart Data Grids

•	Programming Reference

•	Constants

•	Events

•	Errors

•	Performance Tuning

•	Managing Charts


The Chart Wizard

The Chart Wizard is the first step in getting started with First Impression chart design. The Chart Wizard visually guides you through the process to create a new First Impression chart or modify an existing chart for use with your application. With the Chart Wizard, you can quickly accomplish many design tasks without directly setting a property or writing code. You simply point-and-click visual cues to design the chart you desire. Once you have created a basic chart, you can make further modifications by setting properties in code, or using the Chart Designer.

To Access the Chart Wizard:

1.	Right-click the chart control on the form.

2.	Select Wizard from the menu.

The Chart Wizard dialog will display.

To learn how to use the chart wizard, see Navigating in the Chart Wizard.

Related Topics:

Navigating in the Chart Wizard

The Gallery Page

The Style Page

The Layout Page

The Axes Page

Modifying Charts with the Wizard


Navigating in the Chart Wizard

The Chart Wizard controls various design aspects such as choosing a chart type, setting chart options, controlling chart layout, and specifying chart and axis titles. You can navigate through the pages in the wizard by using the navigation buttons at the bottom of the dialog box

Click on the navigational buttons to learn what they do.

Related Topics:

The Chart Wizard

The Gallery Page

The Style Page

The Layout Page

The Axes Page

Modifying Charts with the Wizard


The Gallery Page

The Gallery Page allows you to select the type of chart you wish to design. Two radio buttons allow you  to differentiate between 2D chart types and 3D chart types.

Click on buttons to learn what they do.

Related Topics:

The Chart Wizard

Navigating in the Chart Wizard

The Style Page

The Layout Page

The Axes Page

Modifying Charts with the Wizard


Wizard 2D Radio Button

Click here to display 2D chart types.


Wizard 3D Radio Button

Click here to display 3D chart types.


The Style Page

The Style Page lets you set the style for the chart type you have selected. By using the style page, you can easily set chart display options such as series labels, stacking and bar gap.

Click on buttons to learn what they do.

Related Topics:

The Chart Wizard

Navigating in the Chart Wizard

The Gallery Page

The Layout Page

The Axes Page

Modifying Charts with the Wizard


The Layout Page

The Layout Page provides methods for determining the elements and layout of the chart plot.

Click on buttons and text boxes to learn what they do.

Related Topics:

The Chart Wizard

Navigating in the Chart Wizard

The Gallery Page

The Style Page

The Axes Page

Modifying Charts with the Wizard


Chart Title Text Box

The Chart Title text box allows you to enter the title you wish to display above the chart.


Chart Footnote Text Box

The Chart Footnote text box allows you to enter a footnote to display beneath the chart


Chart Legend Pop Up Menu

The Chart Legend pop up menu provides options for displaying the chart legend. The options include:

 Bottom   The legend is displayed beneath the chart.

 Left   The legend is displayed to the left of the chart.

 None   No legend is displayed with the chart.

 Right   The legend is displayed to the right of the chart.

 Top   The legend is displayed at the top of the chart.


Series Data Radio Buttons

Click on a button to determine how series data is read from the data grid. The two choices for reading series data include:

Rows   Series data is read from rows of the data grid.

Columns   Series data is read from columns of the data grid.


The Axes Page

The Axes Page allows you to label chart axes.

Click on buttons and text boxes to learn what they do.

Related Topics:

The Chart Wizard

Navigating in the Chart Wizard

The Gallery Page

The Style Page

The Layout Page

Modifying Charts with the Wizard


Category Text Box

The Category text box allows you to label the X axis for the chart.

The X axis is referred to as the Category axis.


Value Text Box

The Value text box allows you to label the Y axis for the chart.

The y axis is referred to as the value axis.


Depth Text Box

The Depth text box allows you to label the Z axis for the chart.

The Z axis is referred to as the depth axis.


Secondary Text Box

The Secondary text box allows you to label the secondary Y axis (Y2) for the chart.


Modifying Charts with the Wizard

When you use the chart wizard to modify existing charts, the wizard will initialize the chart back to its default settings and then restore only those features it controls in the Gallery, Layout, and Axes pages.  You will want to exercise care when modifying existing charts that may have originally been created without the wizard. You may need to manually adjust some chart settings after using the wizard.

Related Topics:

The Chart Wizard

Navigating in the Chart Wizard

The Gallery Page

The Style Page

The Layout Page

The Axes Page


Wizard Help Button

Displays Wizard Help.


Wizard Cancel Button

Aborts Changes.


Wizard Back Button

Displays Previous Page.


Wizard Next Button

Displays Next Page.


Wizard Finish Button

Applies Modifications.


Understanding Objects

First Impression’s ActiveX programming interface is constructed from a collection of defined objects. This makes it easier for you to control your applications by manipulating these objects in procedures. This chapter introduces objects and explains how to use them to simplify the things you want to do in First Impression.

Related Topics:

The First Impression Control

Using Properties

Property Data Types

Setting Properties

Returning Property Values

Properties that Take an Index

Default Properties

Using Methods

Using Objects in Code

Object Collections

Using Multiple Objects in Code

General Purpose Objects

The Object Model


The First Impression Control

Each time you create a First Impression chart control in your application, you create an object that gives you a specific view into a chart.

This section explains how to use the chart object along with its corresponding properties and methods.

Each chart object

has characteristics, known as properties. For example, you can set properties to change the chart title, display the legend or change the chart type.

knows how to perform certain actions, called methods. For example, you can use methods to display the about box, copy data from an array into the datagrid or copy data out of the chart.

There are times when methods change the value of a property. For example, when you use the DeleteColumn method to delete one or more columns from the datagrid, the value of the ColumnCount property is changed to reflect the new number of datagrid columns.

Related Topics:

Understanding Objects

Using Properties

Property Data Types

Setting Properties

Returning Property Values

Properties that Take an Index

Default Properties

Using Methods

Using Objects in Code

Object Collections

Using Multiple Objects in Code

General Purpose Objects

The Object Model


Using Properties

With First Impression properties, you can perform a variety of tasks, such as changing the color of a chart backdrop, or the size of the legend text. Many properties allow you to perform complex tasks with very little coding.

When you use properties in your code, you can either set, or change the value of the property, or return the property's current value. Most properties are read-write. This means you can set and return them. However, some properties are read-only. This means you can return their current value, but you cannot set the property to change the value.

When you refer to a property, you must list the object name first, followed by a period, and then the name of the property. In the following example, the AllowSeriesSelection property of the object called VtChart is set to True.

VtChart1.AllowSeriesSelection = True

Related Topics:

Understanding Objects

The First Impression Control

Property Data Types

Setting Properties

Returning Property Values

Properties that Take an Index

Default Properties

Using Methods

Using Objects in Code

Object Collections

Using Multiple Objects in Code

General Purpose Objects

The Object Model


Property Data Types

Before setting or returning the value of a property, you must know its data type. Generally, a property's value can be a numeric value, a character string, or a boolean (True|False) value. Some objects even contain other objects. This occurs when an object has a property whose data type is object. Object variables are stored as addresses that refer to any actual objects within an application. To determine the correct data type for a particular property, consult the Object API Reference.

Related Topics:

Understanding Objects

The First Impression Control

Using Properties

Setting Properties

Returning Property Values

Properties that Take an Index

Default Properties

Using Methods

Using Objects in Code

Object Collections

Using Multiple Objects in Code

General Purpose Objects

The Object Model


Setting Properties

When you set a property, you assign it a new value. To accomplish this you use the equal sign to set the property equal to an expression that describes the new value. In the following example, the ColumnCount property is used to set the number of columns in the datagrid to 5.

VtChart1.ColumnCount = 5

The following example shows the code required to read an existing chart file from disk using the ReadFromFile  method.

VtChart1.ReadFromFile = "c:\charts\examples\elevation.vtc"

Related Topics:

Understanding Objects

The First Impression Control

Using Properties

Property Data Types

Returning Property Values

Properties that Take an Index

Default Properties

Using Methods

Using Objects in Code

Object Collections

Using Multiple Objects in Code

General Purpose Objects

The Object Model


Returning Property Values

Return a property value to determine the condition of an object before your procedure performs additional actions.

In the following example, the code returns the status of the datapoint lines on a chart. By returning the true status, the user can find out if the lines are set to appear on the chart before performing additional actions.

if VtChart1.ShowLegend = True then

With VtChart1.Legend.VtFont

.Name = “Arial”

.Size = 14

End With

End If

Related Topics:

Understanding Objects

The First Impression Control

Using Properties

Property Data Types

Setting Properties

Properties that Take an Index

Default Properties

Using Methods

Using Objects in Code

Object Collections

Using Multiple Objects in Code

General Purpose Objects

The Object Model


Properties that Take an Index

Some properties take an index to identify the specific entity for which they set or return a value. To set a property for a single object in an object collection, you must supply an index to indicate which item in the collection you wish to action. For instance, to set the Sides property for a Series Collection use the following code:

‘Set all the bars in a bar chart to 7 sides

For Each seriesItem in VtChart1.Plot.SeriesCollection

seriesItem.Bar.sides = 7

Next

The same thing could be accomplished through the following code:

Dim sc As Object

Dim ii as Integer

Set sc = VtChart1.Plot.SeriesCollection

For ii = 1 to sc.Count

sc(ii).series.Bar.sides = 7

Next

Related Topics:

Understanding Objects

The First Impression Control

Using Properties

Property Data Types

Setting Properties

Returning Property Values

Default Properties

Using Methods

Using Objects in Code

Object Collections

Using Multiple Objects in Code

General Purpose Objects

The Object Model


Default Properties

Default properties are used if no property is specified in code. The Text property is the default property for the Title object, and is assumed to be the current property, if no property is specifically identified in code. The following example shows how this might work:

‘ Set the title, font size and orientation of the chart title text.

Dim chtitle as object

Set chtitle = VtChart1.Title

chtitle = “Precipitation”

chtitle.TextLayout.Orientation = 1

Set titlefont = chtitle.VtFont

titlefont.Size = 14

In this case, two variables were set and used within the code example. chtitle was declared as a variable for VtChart1.Title, and titlefont  was declared as a variable for chtitle.VtFont. The use of variables greatly saves time, and speeds the code-writing process.

In this example, the Text property was not specifically indicated, but because it is the default property for the object, changes were made to the chart title text.

Related Topics:

Understanding Objects

The First Impression Control

Using Properties

Property Data Types

Setting Properties

Returning Property Values

Properties that Take an Index

Using Methods

Using Objects in Code

Object Collections

Using Multiple Objects in Code

General Purpose Objects

The Object Model


Using Methods

Objects have methods which perform actions. PrintChart is a method of the VtChart object that can be used to send a copy of the chart to the printer.

Types of Methods

There are two types of methods, those that take arguments, and those that do not. Methods that take no arguments initiate an action and return no value. For example, you can use the UseChartDesigner method to display the First Impression Chart Designer dialog box.

VtChart1.UseChartDesigner

If a method does take arguments, you must be aware of whether the method returns a value. In Visual Basic, if the method does not return a value, or you don’t wish to save the returned value, the method arguments appear without parentheses.

VtChart1.InsertColumns 4,2

If you do wish to save the value returned by a method, then the arguments appear with parentheses around them. The keyword Call can be used.

return value = VtChart1.InsertColumns (4,2)

There are times when methods change the value of a property. For example, when you use the DeleteColumns method to delete columns from the datagrid, the value of the ColumnCount property is changed to reflect the number of columns.

Related Topics:

Understanding Objects

The First Impression Control

Using Properties

Property Data Types

Setting Properties

Returning Property Values

Properties that Take an Index

Default Properties

Using Objects in Code

Object Collections

Using Multiple Objects in Code

General Purpose Objects

The Object Model


Using Objects in Code

When writing your First Impression application, determine which objects you need to accomplish a task, and then use those objects. Typically, the code you write accomplishes one or more of the following:

Set a value of one of the object’s properties in order to change to state of the object.

Return the value of one of the object’s properties in order to determine the state of the object.

Perform a task through the object by using one of its methods.

The following two examples demonstrate how you can determine the state of an object or perform a task.

The ColumnCount property might be used in code to inform you of the number of datagrid columns.

‘Return the number of columns in the chart datagrid.

Dim count as Integer

count = VtChart1.ColumnCount

msgbox count

The EditPaste method might be used in code to paste the chart to the clipboard.

‘Paste the chart to the clipboard in WMF format.

VtChart1.EditPaste

Related Topics:

Understanding Objects

The First Impression Control

Using Properties

Property Data Types

Setting Properties

Returning Property Values

Properties that Take an Index

Default Properties

Using Methods

Object Collections

Using Multiple Objects in Code

General Purpose Objects

The Object Model


Object Collections

In First Impression, a collection is a set of related objects. For example, the Series Collection  contains all the series in a given chart. Each object in a collection is an element of that collection.

Because collections are objects, themselves, they have their own properties and methods. You can use these properties and methods to control individual elements in the collection, as well as all objects in the collection.

Collection objects are accessed using the plural name of the object. For example, the DataPoint object belongs to the DataPoints Collection. The exception to this rule is SeriesCollection. Since Series is already plural, the compound name SeriesCollection refers to a collection of Series objects.

To access a single object in a collection, you must supply an index. For instance, to set the number of bar sides to 12 for the third series in a collection, use the following code:

VtChart1.Plot.SeriesCollection.Item(3).Bar.sides = 12

The Item index indicates which series to set the property for. To specify the default settings for all items in  a series, set the item parameter to -1.

An object's position in the collection can change whenever a change occurs in the collection. Therefore, the position of any specific object in the collection is unpredictable. This unpredictability distinguishes a collection from an array. The following code example adds three LightSource items to the LightSources Collection and then deletes all of the LightSources.

Dim xx As Object

Set xx = VtChart1.Plot.light.LightSources

xx.Add 0, 0, 1, 0.21

xx.Add -3, 0, 2, 0.22

xx.Add 3, 0, 2, 0.23

For n = 1 To xx.Count

xx.Remove (1)

Next

Related Topics:

Understanding Objects

The First Impression Control

Using Properties

Property Data Types

Setting Properties

Returning Property Values

Properties that Take an Index

Default Properties

Using Methods

Using Objects in Code

Using Multiple Objects in Code

General Purpose Objects

The Object Model


Using Multiple Objects in Code

You can fully appreciate First Impression's object model when you begin to write code. The hierarchical structure of the model makes it necessary to locate the specific object you wish to change by mapping through its parent objects.

For Example, the VtFont object is a sub-object of the Title object which is a sub-object of the VtChart object. If you want to change the font on the chart title, you actually specify the change to the font object’s Name property. Without simplifying the task, you could specify all 3 objects and the Name property as follows:

‘Set the chart title font to Helvetica.

Set VtChart1.Title.VtFont.Name = “Helvetica”

By setting the name property for the VtFont object, you are ultimately changing the original chart object.

Saving Time with Variables

You can save yourself a great deal of typing by declaring objects in your code. The following example demonstrates how you would change the chart title font. You simplify the task by declaring a variable, TitleFont and then assign that variable to the object.

‘Set the chart title font to Helvetica.

Dim TitleFont as object

Set TitleFont = VtChart1.Title.VtFont

TitleFont.Name = “Helvetica”

TitleFont.Size = ”14”

To further simplify the task, the following code uses the WITH statement:

‘Set the chart title font and size to Helvetica 14 point using the WITH statement

With VtChart1.Title.VtFont

.Name = “Helvetica”

.Size = 14

End With

The best way to take advantage of time-saving variables is to set multiple properties for the same object in a single statement. This is implied in the above example by setting the font name and size. Theoretically, you could use the variable TitleFont, and set all the VtFont properties for the chart title in one fell swoop.

Related Topics:

Understanding Objects

The First Impression Control

Using Properties

Property Data Types

Setting Properties

Returning Property Values

Properties that Take an Index

Default Properties

Using Methods

Using Objects in Code

Object Collections

General Purpose Objects

The Object Model


General Purpose Objects

Some objects are used for general purposes, and can be applied to many different objects and are not limited to a single relationship.

The VtColor object is a good example of a general purpose object. It exists as a sub-object to many other objects and is not limited to a single relationship within the object model. FrameColor and FillColor are two properties that refer to the VtColor object. These two properties have an object data type and therefore refer to the the VtColor object itself.

For a better understanding of this concept, review the object diagram below.

Related Topics:

Understanding Objects

The First Impression Control

Using Properties

Property Data Types

Setting Properties

Returning Property Values

Properties that Take an Index

Default Properties

Using Methods

Using Objects in Code

Object Collections

Using Multiple Objects in Code

The Object Model


The Object Model

First Impression has one main object; the VtChart object, which is made up of seven other objects. The diagram below illustrates the VtChart object.

For more information on how to use the actual object models, see Navigating Through The Object Model.

Related Topics:

Understanding Objects	Navigating Through the Object Model
Using Objects in Code	Object Collections
The VtChart Object	General Purpose Objects
Using Multiple Objects in Code


Navigating Through the Object Model

The sample diagram below explains how to use an actual object model to learn more about an object. Actual object model diagrams serve as interactive models and can be used to navigate through a complex tree of object and sub-object relationships. When viewing an actual object model, click on the pink and blue arrows on the right side of the diagram to navigate through a graphical object hierarchy. When viewing an actual object model, click on the object, property or method name that appears at the left of the diagram to view reference information. Reference information includes a definition, syntax information and examples.

The actual object hierarchy starts with the VtChart object, and should serve as your starting point any time you wish to trace a path through the actual object tree.


The VtChart Object

VtChart1.Backdrop

VtChart1.DataGrid

VtChart1.Footnote

VtChart1.Legend

VtChart1.Plot

VtChart1.PrintInformation

VtChart1.Title


The Plot Object

VtChart1.Plot.Axis

VtChart1.Plot.Backdrop

VtChart1.Plot.Doughnut

VtChart1.Plot.Elevation

VtChart1.Plot.Light

VtChart1.Plot.LocationRect

VtChart1.Plot.Perspective

VtChart1.Plot.Pie

VtChart1.Plot.PlotBase

VtChart1.Plot.SeriesCollection

VtChart1.Plot.View3D

VtChart1.Plot.Wall

VtChart1.Plot.Weighting

VtChart1.Plot.XYZ


The Footnote Object

VtChart1.Footnote.Backdrop

VtChart1.Footnote.VtFont

VtChart1.Footnote.Location

VtChart1.Footnote.TextLayout


The Title Object

VtChart1.Title.Backdrop

VtChart1.Title.VtFont

VtChart1.Title.Location

VtChart1.Title.TextLayout


The Legend Object

VtChart1.Legend.Backdrop

VtChart1.Legend.VtFont

VtChart1.Legend.Location

VtChart1.Legend.TextLayout


The SeriesCollection

VtChart1.Plot.SeriesCollection.Item(2).DataPoints

VtChart1.Plot.SeriesCollection.Item(2).Pen

VtChart1.Plot.SeriesCollection.Item(2).HiLo

VtChart1.Plot.SeriesCollection.Item(2).Statline

VtChart1.Plot.SeriesCollection.Item(2).GuideLinePen

VtChart1.Plot.SeriesCollection.Item(2).DataPointLabel

VtChart1.Plot.SeriesCollection.Item(2).Position

VtChart1.Plot.SeriesCollection.Item(2).Bar

VtChart1.Plot.SeriesCollection.Item(2).SeriesMarker

VtChart1.Plot.SeriesCollection.Item(2).SeriesLabel

Note: (2) refers to an index representing the second series in the collection. You should substitute an appropriate index in your code to access the correct series.


The PlotBase Object

VtChart1.Plot.PlotBase.Brush

VtChart1.Plot.PlotBase.Pen


The Light Object

VtChart1.Plot.Light.LightSources


The Wall Object

VtChart1.Plot.Wall.Brush

VtChart1.Plot.Wall.Pen


The Elevation Object

VtChart1.Plot.Elevation.Attributes

VtChart1.Plot.Elevation.Contour

VtChart1.Plot.Elevation.ContourGradient

VtChart1.Plot.Elevation.Surface


The Attributes Collection

VtChart1.Plot.Elevation.Attributes.Item(2).Brush

VtChart1.Plot.Elevation.Attributes.Item(2).Pen

Note: (2) refers to an index representing the second attribute in the collection. You should substitute an appropriate index number in your code to access the correct attribute.


The Surface Object

VtChart1.Plot.Elevation.Surface.Brush

VtChart1.Plot.Elevation.Surface.Wireframe


The LightSources Collection

VtChart1.Plot.Light.LightSources.Item(2).Direction

Note: (2) refers to an index representing the second lightsource in the collection. You should substitute an appropriate index number in your code to access the correct lightsource.


The DataPoints Collection

VtChart1.Plot.SeriesCollection.Item(2).DataPoints.Item(2).Brush

VtChart1.Plot.SeriesCollection.Item(2).DataPoints.Item(2).VtPicture

VtChart1.Plot.SeriesCollection.Item(2).DataPoints.Item(2).DataPointLabel

VtChart1.Plot.SeriesCollection.Item(2).DataPoints.Item(2).EdgePen

VtChart1.Plot.SeriesCollection.Item(2).DataPoints.Item(2).Marker

Note: (2) refers to an index representing the second series or data point in the collection. You should substitute an appropriate index number in your code to access the correct series or data point.


The HiLo Object

VtChart1.Plot.SeriesCollection.Item(2).HiLo.GainColor

VtChart1.Plot.SeriesCollection.Item(2).HiLo.LossColor

Note: (2) refers to an index representing the second series in the collection. You should substitute an appropriate index number in your code to access the correct series.


The DataPointLabel Object

VtChart1.Plot.SeriesCollection.Item(2).DataPoints.Item (1).DataPointLabel.Backdrop

VtChart1.Plot.SeriesCollection.Item(2).DataPoints.Item (1).DataPointLabel.VtFont

VtChart1.Plot.SeriesCollection.Item(2).DataPoints.Item (1).DataPointLabel.TextLayout

VtChart1.Plot.SeriesCollection.Item(2).DataPoints.Item (1).DataPointLabel.Offset

Note: (2) refers to an index representing the second series in the collection. You should substitute an appropriate index number in your code to access the correct series.


The SeriesLabel Object

VtChart1.Plot.SeriesCollection.Item(2).SeriesLabel.Backdrop

VtChart1.Plot.SeriesCollection.Item(2).SeriesLabel.VtFont

VtChart1.Plot.SeriesCollection.Item(2).SeriesLabel.TextLayout

VtChart1.Plot.SeriesCollection.Item(2).SeriesLabel.Offset

Note: (2) refers to an index representing the second series in the collection. You should substitute an appropriate index number in your code to access the correct series.


The Axis Object

VtChart1.Plot.Axis.AxisGrid

VtChart1.Plot.Axis.AxisScale

VtChart1.Plot.Axis.AxisTitle

VtChart1.Plot.Axis.CategoryScale

VtChart1.Plot.Axis.DateScale

VtChart1.Plot.Axis.Intersection

VtChart1.Plot.Axis.Labels

VtChart1.Plot.Axis.Pen

VtChart1.Plot.Axis.Tick

VtChart1.Plot.Axis.ValueScale


The AxisGrid Object

VtChart1.Plot.Axis.AxisGrid.MajorPen

VtChart1.Plot.Axis.AxisGrid.MinorPen


The AxisTitle Object

VtChart1.Plot.Axis.AxisTitle.Backdrop

VtChart1.Plot.Axis.AxisTitle.VtFont

VtChart1.Plot.Axis.AxisTitle.TextLayout


The Labels Collection

VtChart1.Plot.Axis.Labels.Item(2).Backdrop

VtChart1.Plot.Axis.Labels.Item(2).VtFont

VtChart1.Plot.Axis.Labels.Item(2).TextLayout

Note: (2) refers to an index representing the second label in the collection. You should substitute an appropriate index number in your code to access the correct label.


The VtColor Object

VtChart1.Plot.PlotBase.Brush.Pen.VtColor.red

VtChart1.Plot.PlotBase.Brush.Pen.VtColor.green

VtChart1.Plot.PlotBase.Brush.Pen.VtColor.blue

VtChart1.Plot.PlotBase.Brush.Pen.VtColor.automatic

VtChart1.Plot.PlotBase.Brush.Pen.VtColor.value


VtColor Applies To

VtFont Object, Pen Object , Gradient Object, Marker Object, Frame Object, Brush Object, ContourGradient Object, HiLo Object


The Backdrop Object

VtChart1.Backdrop.Shadow

VtChart1.Backdrop.Frame

VtChart1.Backdrop.Fill

The following example demonstrates how you would change the frame color on a chart backdrop. By declaring BackdropFrameColor as an object, you no longer have to type VtChart1.Backdrop.Frame.FrameColor every time you reference the frame color.

‘Set the chart backdrop frame color to Red.

Dim BackdropFrameColor as object

Set BackdropFrameColor = VtChart1.Backdrop.Frame.FrameColor

BackdropFrameColor = RGB (255,0,0)


Backdrop Applies To

Plot Object, DataPointLabel Object, SeriesLabel Object, Footnote Object, Title Object, Legend Object, VtChart Object, Label Object, AxisTitle Object


The ContourGradient Object

VtChart1.Plot.Elevation.ContourGradient.FromBrush

VtChart1.Plot.Elevation.ContourGradient.ToBrush

VtChart1.Plot.Elevation.ContourGradient.FromPen

VtChart1.Plot.Elevation.ContourGradient.ToPen


The Shadow Object

VtChart1.Footnote.Backdrop.Shadow.Style

VtChart1.Footnote.Backdrop.Shadow.Brush

VtChart1.Footnote.Backdrop.Shadow.Offset


The Frame Object

VtChart1.Footnote.Backdrop.Frame.Style

VtChart1.Footnote.Backdrop.Frame.FrameColor

VtChart1.Footnote.Backdrop.Frame.SpaceColor

VtChart1.Footnote.Backdrop.Frame.Width


The Fill Object

VtChart1.Footnote.Backdrop.Fill.Style

VtChart1.Footnote.Backdrop.Fill.Picture

VtChart1.Footnote.Backdrop.Fill.Brush

VtChart1.Footnote.Backdrop.Fill.Gradient

VtChart1.Footnote.Backdrop.Fill.VtPicture


The Brush Object

VtChart1.Footnote.Backdrop.Fill.Brush.Style

VtChart1.Footnote.Backdrop.Fill.Brush.FillColor

VtChart1.Footnote.Backdrop.Fill.Brush.PatternColor

VtChart1.Footnote.Backdrop.Fill.Brush.Index


Brush Applies To

PlotBase Object, DataPoint Object, Attribute Object, Surface Object , Wall Object, Shadow Object, Fill Object


The Gradient Object

VtChart1.Footnote.Backdrop.Fill.Gradient.Style

VtChart1.Footnote.Backdrop.Fill.Gradient.FromColor

VtChart1.Footnote.Backdrop.Fill.Gradient.ToColor


The VtFont Object

VtChart1.Title.Font.Name

VtChart1.Title.Font.Size

VtChart1.Title.Font.Style

VtChart1.Title.Font.Effect

VtChart1.Title.Font.Color


VtFont Applies To

Title Object, Footnote Object, Legend Object, SeriesLabel Object, DataPointLabel Object, Label Object, Series Object, DataPoint Object, AxisTitle Object


The Pen Object

VtChart1.Plot.SeriesCollection.Item(2).DataPoints.Item(1).Marker.Pen.Style

VtChart1.Plot.SeriesCollection.Item(2).DataPoints.Item(1).Marker.Pen.Join

VtChart1.Plot.SeriesCollection.Item(2).DataPoints.Item(1).Marker.Pen.Cap

VtChart1.Plot.SeriesCollection.Item(2).DataPoints.Item(1).Marker.Pen.Color

VtChart1.Plot.SeriesCollection.Item(2).DataPoints.Item(1).Marker.Pen.Width

VtChart1.Plot.SeriesCollection.Item(2).DataPoints.Item(1).Marker.Pen.Limit


Pen Applies To

Axis Object, Series Object, Attribute Object, PlotBase Object, Wall Object, Marker Object, DataPoint Object, AxisGrid Object, Surface Object


The Marker Object

VtChart1.Plot.SeriesCollection.Item(2).DataPoints.Item(1).Marker.Visible

VtChart1.Plot.SeriesCollection.Item(2).DataPoints.Item(1).Marker.Style

VtChart1.Plot.SeriesCollection.Item(2).DataPoints.Item(1).Marker.Pen

VtChart1.Plot.SeriesCollection.Item(2).DataPoints.Item(1).Marker.Picture

VtChart1.Plot.SeriesCollection.Item(2).DataPoints.Item(1).Marker.Size

VtChart1.Plot.SeriesCollection.Item(2).DataPoints.Item(1).Marker.FillColor

VtChart1.Plot.SeriesCollection.Item(2).DataPoints.Item(1).Marker.VtPicture


The Rect Object

VtChart1.Plot.LocationRec.Min

VtChart1.Plot.LocationRec.Max


Rect Applies To

Location Object, Plot Object


The Coor Object

VtChart1.Plot.SeriesCollection.Item(2).SeriesLabel.Offset.x

VtChart1.Plot.SeriesCollection.Item(2).SeriesLabel.Offset.y


Coor Applies To

SeriesLabel Object, DataPointLabel Object, Rect Object, Shadow Object


The LRect Object

LRect.Min

LRect.Max


The LCoor Object

LCoor.x

LCoor.y


The Location Object

VtChart1.Location.LocationType

VtChart1.Location.Rect

VtChart1.Location.Visible


Location Applies To

Footnote Object, Title Object, Legend Object


The Coor3 Object

VtChart1.Plot.Light.LightSources.Item (1).Direction.x

VtChart1.Plot.Light.LightSources.Item (1).Direction.y

VtChart1.Plot.Light.LightSources.Item (1).Direction.z


Coor3 Applies To

Plot Object, Light Object


The TextLayout Object

VtChart1.Plot.SeriesCollection.Item(1).DataPoints.Item(1).DataPointLabel.TextLayout.WordWrap

VtChart1.Plot.SeriesCollection.Item(1).DataPoints.Item(1).DataPointLabel.TextLayout.HorzAlignment

VtChart1.Plot.SeriesCollection.Item(1).DataPoints.Item(1).DataPointLabel.TextLayout.Orientation

VtChart1.Plot.SeriesCollection.Item(1).DataPoints.Item(1).DataPointLabel.TextLayout.VertAlignment


TextLayout Applies To

SeriesLabel Object, Footnote Object, Title Object, Legend Object, AxisTitle Object, DataPointLabel Object


The VtPicture Object

VtChart1.Plot.SeriesCollection.Item(2).DataPoints.Item(1).Marker.VtPicture.Embedded

VtChart1.Plot.SeriesCollection.Item(2).DataPoints.Item(1).Marker.VtPicture.Filename

VtChart1.Plot.SeriesCollection.Item(2).DataPoints.Item(1).Marker.VtPicture.Map

VtChart1.Plot.SeriesCollection.Item(2).DataPoints.Item(1).Marker.VtPicture.Type


VtPicture Applies To

DataPoint Object, Marker Object, Fill Object


Introducing Internet Application Development

First Impression 5.0 can be used by containers for Internet and corporate Intranet application development. The First Impression 5.0 ActiveX control has been digitally signed by Verisign Commercial Software Publishers CA and supports the to IObjectSafety interface for secure data.

Viewing a Web Page containing First Impression

Adding First Impression to your Web Page

Tools for Internet Application Development

IObjectSafety

Alternative API to ByRef Methods and Events


Viewing a Web Page containing First Impression

When a Web Browser program encounters a Web page containing an ActiveX control, a unique exchange of information must take place between the browser program and the Web server before the ActiveX control can be rendered on the page.

First, the Browser program checks to see if a copy of the ActiveX control resides on the client's computer. If not, the browser will extract the First Impression ActiveX control (and any dependent files) from the Cabinet file that resides on the server and copy them to the client machine.

Next, the browser program parses a License Pack File on the server in order to validate the license that was embedded in the First Impression control at design time. The browser then passes the extracted license key to the First Impression control on the client machine. If the license key from the .LPK file matches the First Impression control's license, the control is rendered on the Web page.

For an outline of the tasks involved, see Adding First Impression to your Web Page.


Adding First Impression to your Web Page

In order to successfully add First Impression to your Web page you must completing the following tasks:

1.	Create an HTML Web Page that contains the First Impression ActiveX control.

2.	Create a License Pack File to use for registering the control on the browser machine.

3.	Create an .INF File that lists all of the control's dependencies.

4.	Create a Cabinet File to compress and store the files needed for downloading by the browser program.

5.	Copy the License Pack and Cabinet Files to your Internet Server where they can be accessed by the browser program.

For specific instructions on how to create these files, visit our web site at:

www.visualcomp.com/internet


Tools for Internet Application Development

There are a number of tools available to assist you in creating the necessary files for displaying the First Impression ActiveX control on your Web page.

For an up-to-date list of tools and instructions on how to obtain them, visit our web site at:

www.visualcomp.com/internet


IObjectSafety

First Impression supports the IObjectSafety interface for Internet application development. When the development container requests it, First Impression operates in “safe mode” and disallows the following operations:

•	FileName property

•	EditPaste method

•	ReadFromBlob method

•	ReadFromFile method

•	WriteToBlob method

•	WriteToFile method

•	WritePictureToFile method


Alternative API to ByRef Methods and Events

Some containers (such as Microsoft's Internet Explorer) cannot use ByRef parameters. First Impression provides alternatives to the ByRef methods and events currently offered in the API.

The following ByRef methods and events are replaced with alternative methods and events.

Method/Event	Alternative
GetSelectedPart method	GetSelectedPartEx method
TwipsToChartPart method	TwipsToChartPartEx method
GetData method	GetDataEx method AND
	IsNullData method
Any Activated event	PartActivated event
Any Selected event	PartSelected event
Any Updated event	PartUpdated event